2005-08-01  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/fb/fbpict.c:
	Bugzilla #3566 <https://bugs.freedesktop.org/show_bug.cgi?id=3566>
	Patch #2906 <https://bugs.freedesktop.org/attachment.cgi?id=2906>
	Fix for RENDER, repeating pictures and offscreen memory (Owen Taylor)

2005-08-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86Config.c:
	Bug #3739: Fail soft on unknown extension string.

2005-08-01  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/GL/glx/Imakefile:
	Restore dispatch.c for platforms not using asm versions.

	* lib/GL/mesa/drivers/osmesa/Imakefile:
	Add shader grammar & slang Imakefile.inc's
	Use SharedOSMesaReqs from per-OS Imake .cf's if defined

Fri Jul 29 17:20:53 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.c (pix_multiply): Fix rounding bug.

2005-07-31  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/imake/imakemdep.h: 
	Pass through __BUILTIN_VA_STRUCT and __BUILTIN_VA_ARG_INCR defines
	in makedepend so it doesn't issue errors when source files include
	<varargs.h> or <stdarg.h> on Solaris 10.

2005-07-31  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	* lib/GL/glx/Imakefile:
	* lib/GL/mesa/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/common/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/ffb/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/gamma/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/i810/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/i915/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/mach64/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/mga/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/r128/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/r200/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/radeon/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/savage/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/sis/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/tdfx/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/unichrome/Imakefile.inc:
	* lib/GL/mesa/drivers/dri/via/Imakefile.inc:
	* lib/GL/mesa/drivers/x11/Imakefile.inc:
	* lib/GL/mesa/main/Imakefile.inc:
	* lib/GL/mesa/shader/Imakefile:
	* lib/GL/mesa/shader/Imakefile.inc:
	* lib/GL/mesa/shader/grammar/Imakefile:
	* lib/GL/mesa/shader/grammar/Imakefile.inc:
	* lib/GL/mesa/shader/slang/Imakefile:
	* lib/GL/mesa/shader/slang/Imakefile.inc:
	* lib/GL/mesa/shader/slang/library/Imakefile:
	* lib/GL/mesa/shader/slang/library/Imakefile.inc:
	* lib/GL/mesa/swrast/Imakefile.inc:
	* lib/GL/mesa/tnl/Imakefile.inc:
	* programs/Xserver/GL/glx/Imakefile:
	* programs/Xserver/GL/mesa/GLcore/Imakefile:
	* programs/Xserver/GL/mesa/shader/Imakefile:
	* programs/Xserver/GL/mesa/shader/grammar/Imakefile:
	* programs/Xserver/GL/mesa/shader/slang/Imakefile:
	* programs/Xserver/GL/mesa/shader/slang/library/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/atistruct.h:
	* programs/Xserver/hw/xfree86/drivers/glint/glint.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i810.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i810_dri.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i830.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i830_dri.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.h:
	* programs/Xserver/hw/xfree86/drivers/sis/sis.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_dri.c:
	* programs/Xserver/hw/xfree86/drivers/tdfx/tdfx.h:
	Post-merge fixups:
	- Disable building the gamma driver
	- Fix numerous Imakefiles to get header paths and subdirs right
	- Symlink client-side GLX lib source from Mesa
	- Add new shader subdirs to the Mesa core build
	- Tweak the DDX drivers to not ask for "xf86dri.h"; they don't need
	  it, since they don't generate protocol, and it was breaking the
	  build.

2005-07-31  Adam Jackson  <ajax@freedesktop.org>

	* extras/Mesa/*:
	Import Mesa 6.3.1.

2005-07-31  Adam Jackson  <ajax@freedesktop.org>

	* lib/GL/glx/*.[ch]:
	Remove old GLX client lib in prep for Mesa 6.3.1 merge.

2005-07-30  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/lbxutil/lbx_zlib/lbx_zlib.h: 
	* lib/lbxutil/delta/lbxdelta.c: 
	Add prototypes of Xalloc/free functions.
	
	* lib/X11/Imakefile: 
	Export ImUtil.h to match modular tree install.

	* include/Xosdefs.h:
	Define SVR4 to 1 to avoid warning about redefining to different values.

	* lib/Xext/XShm.c: 
	* programs/xsm/misc.c: 
	* programs/xgc/lex.l: 
	* programs/twm/menus.c: 
	Include missing headers to clear more compiler warnings.
	
2005-07-30  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* lib/font/builtins/fpe.c: 
	* lib/font/builtins/render.c: 
	* lib/lbxutil/delta/lbxdelta.c: 
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.c: 
	Clear compiler warnings.  (Stefan Dirsch)

2005-07-29  Ian Romanick <idr@us.ibm.com>

	* lib/GL/mesa/x86/Imakefile:
	* lib/X11/Imakefile:
	* lib/lbxutil/image/Imakefile:

	Fix problems with cross-compiles.  If building for PowerPC on
	x86, archictecture-specific flags, such as -mcpu=power5, set in
	DefaultGcc2PpcOpt will mistakenly be used in certain
	circumstances to build programs to be run on the host.

2005-07-29  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml: 
	Bugzilla #3916 (https://bugs.freedesktop.org/show_bug.cgi?id=3916)
	Fix broken link to comp.fonts FAQ (reported by Siward de Groot)

2005-07-29  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONSetFBLocation):
	bugzilla #3911 (https://bugs.freedesktop.org/show_bug.cgi?id=3911)
	attachment #3191 (http://bugs.freedesktop.org/attachment.cgi?id=3191)
	Disable bus mastering while updating MC_FB_LOCATION and friends to
	prevent the X server from hanging on startup every now and then
	under some circumstances. (ATI Technologies Inc.)

2005-07-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* config/makedepend/def.h:
	Update #includes to use <X11/*.h> for modularization.

2005-07-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Init.c: (xf86PrintBanner):
	Fix code to handle printing 7.0 release candidates properly.

2005-07-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xman/vendor.h (SYSMANPATH): 
	Set default man path for Solaris.

Thu Jul 28 18:29:06 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/xfs/difs/fonts.c (set_font_path_elements): Fix double
	free when there no valid paths.

2005-07-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_mouse.c: 
	Rework wrapping of common mouse driver to not require mousePriv.h,
	so that modular tree xserver can be built on Solaris.
	Wrap more ioctls in SYSCALL() to restart on signals.

2005-07-27  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/Xext/panoramiX.c:
	* programs/Xserver/hw/dmx/glxProxy/glxcmds.c:
	* programs/Xserver/hw/dmx/glxProxy/glxext.c:
	* programs/Xserver/hw/dmx/glxProxy/glxscreens.c:
	* programs/Xserver/hw/dmx/glxProxy/glxsingle.c:
	* programs/Xserver/hw/dmx/glxProxy/glxswap.c:
	* programs/Xserver/hw/dmx/glxProxy/glxvendor.c:
	* programs/Xserver/hw/dmx/glxProxy/glxvisuals.c:
	Add #include <dmx-config.h> for building dmx/glxProxy in the
	modular tree.

2005-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:		
	* programs/xload/Imakefile: 
	* programs/xload/get_load.c:
	Switch xload on Solaris from libkvm to libkstat so it works with
	both 32-bit and 64-bit kernels, and without group kmem.
	Add #include "config.h" for modularization

2005-07-27  Daniel Stone  <daniel@freedesktop.org>

	* programs/xconsole/xconsole.c:
	Fix build-breakage in xconsole on AIX caused by removal of ptyx.h
	definitions.  (Dan McNichol)

2005-07-26 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i810.h
	* programs/Xserver/hw/xfree86/drivers/i810/i810_dri.h
	* programs/Xserver/hw/xfree86/drivers/i810/i830_dri.h
	Bump the DDX version to 1.4.0 to indicate the removal of drmAddress.
	Thus allowing 32/64bit clients to cohabit.

2005-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/xtrans/Xtransutil.c:
	* programs/iceauth/iceauth.h:
	* programs/iceauth/process.c:
	* programs/lbxproxy/di/utils.c:
	* programs/lbxproxy/include/util.h:
	* programs/x11perf/x11perf.c:
	* programs/xinit/xinit.c: 
	Add config.h includes for modularization
	Use RETSIGTYPE if defined by autoconf in addition to Imake's
	SIGNALRETURNSINT.
	Use HAVE_WORKING_VFORK if defined by autoconf in addition to
	Imake's HAS_VFORK

2005-07-26  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* programs/xauth/gethost.c: 
	* programs/xauth/parsedpy.c: 
	* programs/xauth/process.c: 
	* programs/xauth/xauth.c: 
	Add config.h includes for modularization
	Use RETSIGTYPE if defined by autoconf in addition to Imake's
	SIGNALRETURNSINT.
	
2005-07-26 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	Bug #3850: <https://bugs.freedesktop.org/show_bug.cgi?id=3850>
	Fix non-DRI builds.

2005-07-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/xinit/startx.cpp:
	Bug #3860: Avoid a bashism.  (Diego Pettenò)

2005-07-25  Ian Romanick <idr@us.ibm.com>

	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_bios.c:
	(mga_initialize_bios_values), (mga_parse_bios_ver_3),
	(mga_parse_bios_ver_4), (mga_parse_bios_ver_5),
	(mga_read_and_process_bios):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dacG.c:
	(MGAGCalcClock):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.c:
	(MGADRIScreenInit):

	PInS data on later cards (G200 and later) contains information
	about the physical bus used for the card.  This allows
	accurate detection of PCI cards that use a PCI-to-PCI bridge
	with an AGP chip.
	
	Correctly disable DRI on PCI cards used with pre-3.2 DRM.
	Previously the test was performed based on PCI ID (see above
	for why this is wrong) and was done *before* the DRM version
	was known.
	
	Bug #3759: <https://bugs.freedesktop.org/show_bug.cgi?id=3759>
	Correctly determine the PLL reference frequency from the PInS
	data.  Previously the wrong bit was tested.  Blame the dumb
	programmer that used cut-and-paste (that would be me).

2005-07-25  Alan Coopersmith  <alan.coopersmith@sun.com>

	* include/extensions/Printstr.h: 
	#include "fontstruct.h" -> <X11/fonts/fontstruct.h> for modularization
	(Drew Parsons)

2005-07-25  Kristian Høgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/input/evdev/evdev.c
	(EvdevReadInput): Handle BTN_TASK too (#3859).

2005-07-24  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_agp.c:
	Add xf86DeallocateGARTMemory stub so that Xorg can be built on Solaris
	again.

2005-07-24  Luc Verhaegen  <libv@skynet.be>

	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaGetMemoryBandwidth), (ViaModePrimaryVGA):

	Fix two typos in mode setting rework (still in unichrome.sf.net CVS).
	- Wrong KM400A version when checking bandwidth.
	  (first reported by Tom Huckstep on #xorg - closes #3858)
	- Cut-n-paste error when checking mode->Flags for sync polarity.

2005-07-23  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/X11/Imakefile:
	* lib/X11/PolyReg.c:
	* lib/X11/Region.c:
	* lib/X11/Xregion.h:
	* lib/Xext/XShape.c:
	* lib/Xrender/Picture.c
	Change region.h to Xregion.h and modify internal references to
	include <X11/Xregion.h>.

2005-07-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/rgb/Imakefile:
	Don't link in -lucb on Solaris
	* programs/rgb/rgb.c:
	* programs/rgb/showrgb.c:
	#ifdef HAVE_CONFIG_H/#include "config.h" for modularization

2005-07-22  Daniel Stone  <daniel@freedesktop.org>

	* include/Imakefile:
	* include/Xpoll.h.in:
	* include/Xos.h:
	Turn Xpoll.h into a generated file.  In the modular tree, substitute
	in whichever of fds_bits or __fds_bits is being used for the member
	of fd_set on the system; in the monolithic tree, substitute in
	fds_bits unconditionally, as that's the way it was before thanks to
	_XOPEN_SOURCE being defined.  Stop defining _XOPEN_SOURCE in Xos.h.

2005-07-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xt/SetWMCW.c: 
	Bug #3824: <https://bugs.freedesktop.org/show_bug.cgi?id=3824>
	Correct incomplete license statement from Sun.

2005-07-20  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xinit/startx.cpp:
	Use kbd_mode -a to restore console keyboard on Solaris x86 too.
	
2005-07-20  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* lib/Xft/Imakefile: 
	Bug 3823 <https://bugs.freedesktop.org/show_bug.cgi?id=3823>
	Xft returns different versions on monolithic and modular builds

2005-07-19 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/os-support/shared/agp_noop.c
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
	* programs/Xserver/hw/xfree86/os-support/xf86_OSproc.h
	* programs/Xserver/hw/xfree86/loader/xf86sym.c
	Bug #3164 <https://bugs.freedesktop.org/show_bug.cgi?id=3164>
	Add xf86DeallocateGARTMemory() function call (Austin Yuan)

2005-07-18  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_agp.c: 
	Change #include "X.h" to <X11/X.h>

2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/bitmap/bmtoa.c:
	* programs/smproxy/smproxy.h:
	* programs/twm/session.c:
	* programs/xditview/Dvi.c:
	* programs/xman/misc.c:
	* programs/xman/vendor.h:
	* programs/xsm/xsm.h:
	Add #ifdef HAVE_CONFIG_H/#include "config.h" to files that need
	it to get HAS_MKSTEMP defined in modular builds.

2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* extras/Xpm/lib/parse.c: 
	Accept autoconf HAVE_STRLCPY as alias for HAS_STRLCAT

2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* include/Xalloca.h:
	Guard INCLUDE_ALLOCA_H define to end redefinition warnings.

2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* programs/Xserver/dix/dispatch.c: 
	* programs/Xserver/include/opaque.h: 
	* programs/iceauth/process.c: 
	* programs/lbxproxy/di/dispatch.c: 
	* programs/lbxproxy/include/misc.h:
	* programs/xfs/difs/dispatch.c:
	* programs/xfs/include/globals.h: 
	Mark variables modified in signal handlers as volatile
	(part of Sun bug id 4496504)
	
2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* programs/xclock/Clock.c: 
	* programs/xclock/xclock.c: 
	Add #include "config.h" for modularization
	Accept autoconf HAVE_STRLCPY as alias for HAS_STRLCAT
	
2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* BUILD: 	
	* programs/Xserver/hw/xfree86/doc/BUILD: 	
	* programs/Xserver/hw/xfree86/doc/sgml/BUILD.sgml: 
	Update build instructions.  Add details about how the
	expat, fontconfig, libpng, freetype, and xterm builds 
	are now handled.

	* programs/Xserver/hw/xfree86/doc/README.fonts:
	* programs/Xserver/hw/xfree86/doc/README.OpenBSD:
	* programs/Xserver/hw/xfree86/doc/README.SiS:
	Update text docs from SGML masters.
	
2005-07-16  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* config/cf/xorgsite.def: 
	Add examples for expat, fontconfig, libpng, freetype, & xterm
	so people know how to enable or disable and set paths.
	Update examples/comments for Speedo & MakeDllModules to reflect
	6.9 status/defaults.

2005-07-15  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/GL/glxmodule.c:
	* programs/Xserver/GL/mesa/GLcore/GLcoremodule.c:
	* programs/Xserver/Xext/extmod/modinit.c:
	* programs/Xserver/Xext/xf86dga.c:
	* programs/Xserver/Xext/xf86dga2.c:
	* programs/Xserver/Xext/xf86misc.c:
	* programs/Xserver/Xext/xf86vmode.c:
	* programs/Xserver/Xext/xvmod.c:
	* programs/Xserver/afb/afbmodule.c:
	* programs/Xserver/dbe/dbemodule.c:
	* programs/Xserver/fb/fbmodule.c:
	* programs/Xserver/mfb/mfbmodule.c:
	* programs/Xserver/mi/miinitext.c:
	* programs/Xserver/miext/layer/laymodule.c:
	* programs/Xserver/miext/shadow/shmodule.c:
	* programs/Xserver/record/recordmod.c:
	* programs/Xserver/xkb/ddxKillSrv.c:
	* programs/Xserver/xkb/ddxPrivate.c:
	* programs/Xserver/xkb/ddxVT.c:
	Fix the *-config.h includes so that it is possible to build
	modules without having to use -include in the Makefile.

2005-07-15  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/scanpci/xf86PciStdIds.h:
	Update to match recent changes to pci.ids & extrapci.ids
	for people building on systems without perl.

2005-07-15  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/GL/dri/dri.c:
	* programs/Xserver/GL/dri/drimodule.c:
	* programs/Xserver/GL/dri/xf86dri.c:
	* programs/Xserver/Xext/dmx.c:
	Fix the *-config.h includes for the files that have moved
	in the modular tree.

2005-07-15  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/extras/rman/CHANGES:
	* xc/extras/rman/MANIFEST:
	* xc/extras/rman/Makefile:
	* xc/extras/rman/Makefile.mac (removed):
	* xc/extras/rman/README-rman (removed):
	* xc/extras/rman/README-rman.txt:
	* xc/extras/rman/macish.c (removed):
	* xc/extras/rman/rman.1:
	* xc/extras/rman/rman.html
	* xc/extras/rman/contrib/README-contrib:
	Since rman.c was already updated to rman-3.2, update the rest of
	the rman files to match.

2005-07-15  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/dix/events.c: (ProcessKeyboardEvent):
	Fix keyboard state when XEVIE is not enabled (Keith Packard).

2005-07-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xdm/xdmshell.c: 
	Set HAS_VFORK if autoconf has set HAVE_WORKING_VFORK.

	* programs/xdm/dm.h: 
	Add #include "config.h" for modularization

2005-07-14  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* include/Xos.h: 
	Don't define _XOPEN_SOURCE on SVR4, because it will REMOVE
	required definitions.

2005-07-14  Alan Coopersmith  <alan.coopersmith@sun.com>	
	* config/util/lndir.man:
	Bug 3774 <https://bugs.freedesktop.org/show_bug.cgi?id=3774>
	Patch 3081 <https://bugs.freedesktop.org/attachment.cgi?id=3081>
  	lndir.man fails to mention .svn (Bernhard Reiter)

2005-07-13  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xnest/Args.c:
	* programs/Xserver/hw/xnest/Color.c:
	* programs/Xserver/hw/xnest/Cursor.c:
	* programs/Xserver/hw/xnest/Display.c:
	* programs/Xserver/hw/xnest/Events.c:
	* programs/Xserver/hw/xnest/Font.c:
	* programs/Xserver/hw/xnest/GC.c:
	* programs/Xserver/hw/xnest/GCOps.c:
	* programs/Xserver/hw/xnest/GetTime.c:
	* programs/Xserver/hw/xnest/Handlers.c:
	* programs/Xserver/hw/xnest/Init.c:
	* programs/Xserver/hw/xnest/Keyboard.c:
	* programs/Xserver/hw/xnest/Pixmap.c:
	* programs/Xserver/hw/xnest/Pointer.c:
	* programs/Xserver/hw/xnest/Screen.c:
	* programs/Xserver/hw/xnest/TestExt.c:
	* programs/Xserver/hw/xnest/Visual.c:
	* programs/Xserver/hw/xnest/Window.c:
	* programs/Xserver/mi/miinitext.c:
	Add #include <xnest-config.h> to the Xnest source files for
	modularization.

2005-07-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h: 
	Merge SVR4/pre-Solaris 8 and Solaris 8+ sections for greater
	consistency, easier maintenance, and to fix some missing headers
	when building the modular Xorg on Solaris.       
	
2005-07-13  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* include/Xalloca.h: 
	#define INCLUDE_ALLOCA_H when building with Sun compilers.
	(Imake *.cf files define this for a number of platforms in
	 the monolith, but these will need to be translated into
	 #ifdef's or similar mechanism to work in a world without Imake.)
	
2005-07-13  Alexander Gottwald  <ago at freedesktop dot org>

	* include/Xthreads.h:
	include <X11/Xwindows.h> instead of <windows.h>. Several namespace
	conflicts are worked around in Xwindows.h

2005-07-13  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/render/picture.c:
	Fix compilation where uint is not defined.

2005-07-13 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c
	Bug #2587 <https://bugs.freedesktop.org/show_bug.cgi?id=2587>
	Fix keyboard mapping on Sun keyboards in the keyboard module.

2005-07-13  Lars Knoll <lars@trolltech.com>
	* programs/Xserver/fb/fbcompose.c:
	Fix potential buffer overflow and a smaller bug in the 
	convolution filter
	* programs/Xserver/fb/fbmmx.c:
	Fix compilation on some platforms

2005-07-13  Keith Packard  <keithp@keithp.com>

	* include/Xos.h:
	* lib/FS/FSConnServ.c:
	* lib/FS/FSlibint.h:
	* lib/lbxutil/lbx_zlib/lbx_zlib.c:

	Make some minor source adjustments so that
	we don not need to use -D_XOPEN_SOURCE -D_BSD_SOURCE
	everywhere as this will leak out of the modular environment
	and into application build processes, potentially foulling up
	their compiles.

2005-07-12  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/input/aiptek/xf86Aiptek.h:
	* programs/Xserver/hw/xfree86/input/digitaledge/DigitalEdge.c:
	* programs/Xserver/hw/xfree86/input/hyperpen/xf86HyperPen.c:
	* programs/Xserver/hw/xfree86/input/joystick/xf86Jstk.c:
	* programs/Xserver/hw/xfree86/input/summa/xf86Summa.c:
	* programs/Xserver/hw/xfree86/input/tek4957/xf86Tek4957.c:
	* programs/Xserver/hw/xfree86/input/void/void.c:
	Change input drivers to get keysym's from <X11/keysym.h>.

Mon Jul 11 19:30:56 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/xedit/lisp/xedit.c: Change include of "xedit/xedit.h"
	to include of "lisp/../xedit.h"

2005-07-12  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/etc/scanpci.c:
	Fix scanpci -v core dump when subsys vendor/device id's are
	NOVENDOR & NODEVICE.
	Bug #3763 <https://bugs.freedesktop.org/show_bug.cgi?id=3763>
	Patch #3074 <https://bugs.freedesktop.org/attachment.cgi?id=3074>

2005-07-12  Lars Knoll <lars@trolltech.com>
	* programs/Xserver/fb/fbcompose.c:
	* programs/Xserver/fb/fbmmx.c:
	* programs/Xserver/fb/fbmmx.h:
	* programs/Xserver/fb/fbpict.c:
	* programs/Xserver/fb/fbpict.h:
	Add MMX Code paths for the basic composition operations
	in fbComposeGeneral.

2005-07-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/dmx/config/dmxcompat.c:
	* programs/Xserver/hw/dmx/config/dmxconfig.c:
	* programs/Xserver/hw/dmx/config/dmxparse.c:
	* programs/Xserver/hw/dmx/config/dmxprint.c:
	* programs/Xserver/hw/dmx/config/parser.y:
	* programs/Xserver/hw/dmx/config/scanner.l:
	* programs/Xserver/hw/dmx/dmx_glxvisuals.c:
	* programs/Xserver/hw/dmx/dmxcb.c:
	* programs/Xserver/hw/dmx/dmxclient.h:
	* programs/Xserver/hw/dmx/dmxcmap.c:
	* programs/Xserver/hw/dmx/dmxcursor.c:
	* programs/Xserver/hw/dmx/dmxdpms.c:
	* programs/Xserver/hw/dmx/dmxextension.c:
	* programs/Xserver/hw/dmx/dmxfont.c:
	* programs/Xserver/hw/dmx/dmxgc.c:
	* programs/Xserver/hw/dmx/dmxgcops.c:
	* programs/Xserver/hw/dmx/dmxinit.c:
	* programs/Xserver/hw/dmx/dmxinput.c:
	* programs/Xserver/hw/dmx/dmxlog.c:
	* programs/Xserver/hw/dmx/dmxpict.c:
	* programs/Xserver/hw/dmx/dmxpixmap.c:
	* programs/Xserver/hw/dmx/dmxprop.c:
	* programs/Xserver/hw/dmx/dmxscrinit.c:
	* programs/Xserver/hw/dmx/dmxshadow.c:
	* programs/Xserver/hw/dmx/dmxstat.c:
	* programs/Xserver/hw/dmx/dmxsync.c:
	* programs/Xserver/hw/dmx/dmxvisual.c:
	* programs/Xserver/hw/dmx/dmxwindow.c:
	* programs/Xserver/hw/dmx/input/ChkNotMaskEv.c:
	* programs/Xserver/hw/dmx/input/dmxarg.c:
	* programs/Xserver/hw/dmx/input/dmxbackend.c:
	* programs/Xserver/hw/dmx/input/dmxcommon.c:
	* programs/Xserver/hw/dmx/input/dmxconsole.c:
	* programs/Xserver/hw/dmx/input/dmxdetach.c:
	* programs/Xserver/hw/dmx/input/dmxdummy.c:
	* programs/Xserver/hw/dmx/input/dmxeq.c:
	* programs/Xserver/hw/dmx/input/dmxevents.c:
	* programs/Xserver/hw/dmx/input/dmxinputinit.c:
	* programs/Xserver/hw/dmx/input/dmxmap.c:
	* programs/Xserver/hw/dmx/input/dmxmotion.c:
	* programs/Xserver/hw/dmx/input/dmxsigio.c:
	* programs/Xserver/hw/dmx/input/dmxxinput.c:
	* programs/Xserver/hw/dmx/input/lnx-keyboard.c:
	* programs/Xserver/hw/dmx/input/lnx-ms.c:
	* programs/Xserver/hw/dmx/input/lnx-ps2.c:
	* programs/Xserver/hw/dmx/input/usb-common.c:
	* programs/Xserver/hw/dmx/input/usb-keyboard.c:
	* programs/Xserver/hw/dmx/input/usb-mouse.c:
	* programs/Xserver/hw/dmx/input/usb-other.c:
	* programs/Xserver/hw/vfb/InitInput.c:
	* programs/Xserver/hw/vfb/InitOutput.c:
	* programs/Xserver/mi/miinitext.c:
	Prepare Xdmx and Xvfb for modularization by adding appropriate
	#include <{dix,dmx}-config.h> to the source files.

2005-07-11  Daniel Stone  <daniel@freedesktop.org>

	* programs/twm/resize.c:
	Bug #3754 (Debian #725): Fix ten-year-old window misplacement in twm
	when dragging with the middle button.  (Christopher Mario Mae)

2005-07-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/shared/sigio.c:
	Remove unneeded xf86drm.h includes to fix modular build.

2005-07-11  Daniel Stone  <daniel@freedesktop.org>

	* lib/X11/imDefIc.c (_XimRegisterKeyPressFilter):
	Fix segfault when _XimProtoCreateIC() fails to create a context; Debian
	#239991.  (Chung-chieh Shan)

2005-07-09  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv.man: 
	* programs/Xserver/hw/xfree86/drivers/nv/nv_dac.c: 
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c: 
	* programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c: 
	Bug #3740 <https://bugs.freedesktop.org/show_bug.cgi?id=3740>
	Patch #3058 <https://bugs.freedesktop.org/attachment.cgi?id=3058>
	08-Jul-2005 nv driver updates from Mark Vojkovich:
	
	    Change some console restore code for NV11.  Hopefully, we can more
	    reliably restore the console for desktop systems using DVI.  This
	    may correct a recent regression on NV11.
	
	    Also, new PCI IDs.

	* programs/Xserver/hw/xfree86/etc/extrapci.ids: 
	Add new nVidia PCI ids to match nv_driver.c changes.

2005-07-07  Søren Sandmann  <sandmann@redhat.com>

	* programs/xconsole/xconsole.c (get_pty): Remove include of
	"../xterm/ptyx.h"

2005-07-07  Alan Coopersmith  <alan.coopersmith@sun.com>

	More compiler warning fixes for missing prototypes:
	
	* include/extensions/XKBsrv.h: 
	Add prototype for XkbSetExtension()

	* programs/xrx/helper/helper.c: 
	Add #include <ctype.h> for isspace() & isdigit()

	* programs/Xserver/Xprint/attributes.c: 
	Add #include <grp.h> (for initgroups()) and remove extra *

	* programs/Xserver/hw/xfree86/common/xf86.h: 
	Add prototype for xorgGetVersion()

2005-07-07  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* programs/Xserver/os/osdep.h:
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Add prototype for XdmAuthenticationInit()   (Peter Breitenlohner)

2005-07-07  Alan Coopersmith  <alan.coopersmith@sun.com>	
	* extras/ttf2pt1/ft.c:
	* extras/ttf2pt1/pt1.c:
	* extras/ttf2pt1/ttf2pt1.c:
	* lib/font/FreeType/ftfuncs.h:
	* programs/Xserver/Xprint/ps/PsFTFonts.c:
	* programs/Xserver/Xprint/ps/psout_ft.c:
	* programs/Xserver/Xprint/ps/psout_ftpstype1.c:
	* programs/Xserver/Xprint/ps/psout_ftpstype3.c:
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2332 <https://bugs.freedesktop.org/attachment.cgi?id=2332>
        This patch avoids 79 gcc-3.4.3 warnings
                'xxx' declared `static' but never defined
        mostly due to including "ftfuncs.h" with the declaration
        of static functions defined in "ftfuncs.c". (Peter Breitenlohner)

2005-07-06  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86cfg/loader.h: 
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Fix warnings about redefined macros (Peter Breitenlohner)
	
2005-07-06  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* programs/Xserver/hw/xfree86/drivers/nsc/Imakefile: 
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2330 <https://bugs.freedesktop.org/attachment.cgi?id=2330>
	Remove CppManTarget since it's already included in InstallModuleManPage
	expansion - removes 10 pairs of warnings from GNU make about duplicate
	Makefile targets (Peter Breitenlohner)
	
2005-07-06  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* extras/ttf2pt1/ft.c:
	* extras/ttf2pt1/pt1.c:
	* lib/XprintAppUtil/xpapputil.c:
	* programs/Xserver/Xext/xevie.c:
	* programs/Xserver/Xprint/Init.c:
	* programs/Xserver/Xprint/Oid.c:
	* programs/Xserver/Xprint/ps/PsFonts.c:
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2325 <https://bugs.freedesktop.org/attachment.cgi?id=2325>
        Avoid 38 gcc-3.4.2 warnings:
                suggest parentheses around assignment used as truth value
                suggest explicit braces to avoid ambiguous `else'
                suggest parentheses around && within ||
                suggest parentheses around arithmetic in operand of ^
                "/*" within comment
 	(Peter Breitenlohner)
	
	* programs/Xserver/Xprint/AttrValid.c:
	* programs/Xserver/Xprint/Oid.h:
	Bug #2901   <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2326 <https://bugs.freedesktop.org/attachment.cgi?id=2326>
        This patch removes these 2 gcc-3.4.3 warnings:
                missing braces around initializer
                implicit declaration of function `XpOidTrayMediumListHasTray'
 	(Peter Breitenlohner)

2005-07-06  Søren Sandmann  <sandmann@redhat.com>

	* programs/xdbedizzy/Imakefile (DEFINES): Add -DUSE_XPRINT to
	DEFINES

	* programs/xdbedizzy/xdbedizzy.c: Conditionalize use of xprint.

2005-07-06  Alexander Gottwald  <ago@freedesktop.org>

	* config/cf/cygwin.cf:
	* config/cf/mingw.cf:
	Removed AVOID_GLYPHBLT and SINGLEDEPTH from server defines. 

2005-07-06  Ian Romanick <idr@us.ibm.com>

	* programs/Xserver/GL/glx/glxcmds.c: (DoGetFBConfigs):

	Use the correct size for the glXGetFBConfigs reply.
	Bugzilla #3210 <https://bugs.freedesktop.org/show_bug.cgi?id=3210>

	* programs/Xserver/hw/xfree86/drivers/mga/Imakefile:

	Fix recent breakage to SDK install.
	Bugzilla #3703 <https://bugs.freedesktop.org/show_bug.cgi?id=3703>

2005-07-05  Søren Sandmann  <sandmann@redhat.com>

	* programs/xmore/Imakefile (DEFINES): Add -DUSE_XPRINT to DEFINES

	* program/xmore/xmore.c: Conditionalize use of xprint.

2005-07-05  Alan Coopersmith  <alan.coopersmith@sun.com>

	* extras/ttf2pt1/ttf2pt1.c:
	Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2321 <https://bugs.freedesktop.org/attachment.cgi?id=2321>

	Arguments to sscanf need to be pointers (Peter Breitenlohner)
	
2005-07-05  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* config/cf/xorg.cf:
	* config/cf/xfree86.cf:
	Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2319 <https://bugs.freedesktop.org/attachment.cgi?id=2319>

	Since many files now use non-ANSI constructs ('long long',
	substructure initializers, implicit signedness conversions, ...)
	you shouldn't use "gcc -ansi -pedantic". On our ix86-linux-gnu
	system this change reduces the number of gcc-3.4.3 warnings from
	originally 3034 to 1460!	(Peter Breitenlohner)

2005-07-05  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/makedepend/main.c:
	Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2320 <https://bugs.freedesktop.org/attachment.cgi?id=2320>

	Remove warning about whitespace in pre-processor defines.
	(Peter Breitenlohner)

2005-07-05  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* programs/xdm/auth.c:
	* programs/xdm/socket.c:
	* programs/xdm/xdmcp.c:
	Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901>
	Patch #2317 <https://bugs.freedesktop.org/attachment.cgi?id=2317>

	This patch fixes several problems arising if xdm is
	compiled with IPv6 support, but the (linux) kernel does not
	support IPv6.   (Peter Breitenlohner)

2005-07-05  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml: 
	* programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml: 
	Remove Speedo font module documentation.
	
	* programs/Xserver/Xserver.man: 
	Remove Speedo from list of font directories

	* programs/Xserver/hw/xfree86/xorg.conf.man: 
	Update default font path to remove Speedo, add TTF.

2005-07-05 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix Xvideo when operating in one line mode and video is pushed off
	the top of the screen. Also some fixes for Xvideo skew in certain
	resolutions.

2005-07-05  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONDoAdjustFrame):
	Bug #2604: Disable workaround for horrible flickering when scrolling
	vertically in a virtual screen when color tiling and page flip are
	both enabled, as it potentially does more harm than good.
	The flickering still needs fixing probably though.

2005-07-04  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	(VIAScreenInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaSetPrimaryDotclock), (ViaSetSecondaryDotclock),
	(ViaComputeProDotClock), (ViaModeDotClockTranslate):
	Add more card-ids. (Xavier Bachelot)
	Avoid VBE DPMS to blank screen when using VBE modes.
	Allow free dotclock specification on the Unichrome Pro.

2005-07-04  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/Xorg.man:
	* programs/Xserver/hw/xfree86/xorg.conf.man:
	* programs/Xserver/hw/xfree86/common/xf86Config.c:
	* programs/Xserver/hw/xfree86/common/xf86Globals.c:
	* programs/Xserver/hw/xfree86/common/xf86Init.c:
	* programs/Xserver/hw/xfree86/common/xf86Priv.h:
	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c:
	Bug #2216: Multiseat support.  From various Debian and Ubuntu patches
	by Aivils Stoss, Andreas Schuldei, Branden Robinson, and Daniel Stone.

2005-07-04  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf: 
	Set TroffCmd on Solaris to "troff -Tpost" instead of "troff -Tps" 
	when not using groff.

	* doc/specs/programs/Imakefile (MANUALS): 
	Bugzilla Bug 3695: <https://bugs.freedesktop.org/show_bug.cgi?id=3695>
  	6.8.99.14 man page installation breaks on fc-cache.man

2005-07-04 Lars Knoll <lars@trolltech.com>
	* programs/Xserver/fb/fbpict.h:
	* programs/Xserver/fb/fbcompose.c:
	Fix handling of "super luminescent" colors
	Fix off by one error in the transformation handling.

2005-07-04  Thomas Winischhofer <thomas@winischhofer.net>

	SiS driver:
	- Added initial support for XGI chipsets (V3XT, V5, V8, Z7).
	Z7 and V5 are untested. All features supported (Xv, HWCursor,
	DPMS, etc.). The binary XGI DRI driver is not supported.
	- Ported driver to EXA 0.1.0. Known problems still to solve at
	this time are:
	  * EXA's deinitialisation routine "DriverFini()" does not
	    unwrap pScreen->DestroyPixmap (and others), leading to a
	    crash on machines where the SWCursor is being used (SWCursor
	    pixmaps are destroyed after EXA has destroyed the offscreen
	    memory manager).
	  * EXA does not work correctly with 24bpp framebuffers. For some
	    reason, all pixmaps handed to the drawing primitives are
	    32bpp, despite the correct 24bpp-flag handed to
	    xf86SetDepthBpp().

2005-07-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xrdb/xrdb.c:
	Add #ifdef HAVE_CONFIG_H/#include <config.h> for modularization.

2005-07-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/common/Imakefile:
	* programs/Xserver/hw/xfree86/common/xf86Events.c:
	Fix builds on non-GLIBC systems (missing __GLIBC_PREREQ).
	Add Solaris stack backtrace dumper.

2005-07-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* lib/font/bitmap/Imakefile:
	Install publicly used headers in X11/fonts.

	* lib/font/bitmap/bdfread.c:
	* lib/font/bitmap/bdfutils.c:
	* lib/font/bitmap/bitmapfunc.c:
	* lib/font/bitmap/bitmaputil.c:
	* lib/font/bitmap/fontink.c:
	* lib/font/bitmap/pcfread.c:
	* lib/font/bitmap/pcfwrite.c:
	* programs/bdftopcf/bdftopcf.c:
	Change source files that use these headers to get them via
	<X11/fonts/*.h>.

2005-07-03  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/Imakefile:
	* programs/Xserver/hw/xfree86/common/xf86Init.c:
	* programs/Xserver/hw/xfree86/common/xf86Events.c:
	Predicate usage of xf86OSPM functions on #ifdef XF86PM.

	* programs/Xserver/hw/xfree86/os-support/xf86OSMouse.c:
	Remove needless include of ../input/mouse/mouse.h.

	* programs/Xserver/hw/xfree86/common/xf86KbdLnx.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_KbdMap.c:
	Remove needless include of DECkeysym.h.

	* lib/font/include/Imakefile:
	Install all libXfont includes to X11/fonts/ internally.

2005-07-03  Adam Jackson  <ajax@freedesktop.org>

	* lib/lbxutil/delta/lbxdelta.c:
	* lbx_zlib/lbx_zlib.c:
	* lbx_zlib/lbx_zlib_io.c:
	lbxutil doesn't really need <X11/os.h>, so don't ask for it.

2005-07-03  Daniel Stone  <daniel@freedesktop.org>

	* lib/font/fc/fserve.c:
	* lib/font/fc/fsio.c:
	Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.

	* programs/Xserver/os/connection.c:
	Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.

	* programs/Xserver/**/*.[ch]:
	* lib/**/*.[ch]:
	* lib/X11/XKBAlloc.c:
	* lib/X11/XKBGAlloc.c:
	* lib/X11/XKBMAlloc.c:
	* lib/X11/XKBMisc.c:
	* lib/misc/strlcat.c:
	* lib/misc/strlcpy.c:
	* lib/xkbfile/maprules.c:
	* lib/xkbfile/xkbconfig.c:
	* lib/xkbfile/xkberrs.c:
	* lib/xkbfile/xkbmisc.c:
	* lib/xkbfile/xkbout.c:
	* lib/xkbfile/xkbtest.c:
	* lib/xkbfile/xkmread.c:
	* lib/xtrans/transport.c: (XSERV_t)
	Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
	source files in the xserver/xorg tree, predicated on defines of
	HAVE_{DIX,XORG}_CONFIG_H.  Change all Xfont includes to
	<X11/fonts/foo.h>.  Fix includes in server branches of XKB code.
	Change all <X11/misc.h> and <X11/os.h> includes to "misc.h" and "os.h".

2005-07-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Events.c:
	(xorg_backtrace):
	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	Fix build issues.

2005-07-02  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/input/evdev/evdev.c:
	Add some build compatibility for 2.6 linux systems with 2.4 kernel
	headers installed.  Allow the use of evdev for mice on 2.4 kernels.

2005-07-02  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/xf86Events.c:
	Bug #3687: Print backtraces on fatal signal on glibc systems.

2005-07-02  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xnest/Events.c:
	* programs/Xserver/hw/xnest/Keyboard.c:
	Bug #3546: Use MAP_LENGTH instead of a magic number.
	(Mark McLoughlin)
	Bug #3664: Further fixes to Xnest modifier state handling.
	(Mark McLoughlin)

2005-07-02  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/miext/cw/Imakefile:
	* programs/Xserver/miext/damage/Imakefile:
	Bug #1324: Stop pretending cw and damage are loadable modules.

2005-07-01  Ian Romanick <idr@us.ibm.com>

	* programs/Xserver/hw/xfree86/drivers/mga/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_PInS.txt:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_arc.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_bios.c: (get_u16),
	(get_u32), (mga_initialize_bios_values), (mga_parse_bios_ver_1),
	(mga_parse_bios_ver_2), (mga_parse_bios_ver_3),
	(mga_parse_bios_ver_4), (mga_parse_bios_ver_5),
	(mga_read_and_process_bios):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_bios.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dac3026.c:
	(MGA3026RamdacInit):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dacG.c:
	(MGAGCalcClock), (MGAGSetPCLK), (MGAGRamdacInit):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dga.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dh.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c: (MGAdoDDC):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_g450pll.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_hwcurs.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_merge.c:
	(MGAPreInitMergedFB):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_shadow.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_storm.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_video.c:

	Re-write the PInS processing code.  All of the old BIOS processing
	code from the MGA DDX has been dumped and replaced.

	Bugzilla #3553 <https://bugs.freedesktop.org/show_bug.cgi?id=3553>
	Patch #2934 <https://bugs.freedesktop.org/attachment.cgi?id=2934>.

2005-07-01  Lars Knoll <lars@trolltech.com>

	* include/extensions/render.h:
	* include/extensions/renderproto.h:
	* lib/Xrender/Picture.c:
	* lib/Xrender/Xrender.h:
	* programs/Xserver/fb/fbcompose.c:
	* programs/Xserver/fb/fbpict.c:
	* programs/Xserver/fb/fbpict.h:
	* programs/Xserver/hw/xfree86/src/xaaPict.c:
	* programs/Xserver/render/mipict.c:
	* programs/Xserver/render/picture.c:
	* programs/Xserver/render/picturestr.h:
	* programs/Xserver/render/render.c:
	Add support for gradients and solid fills to Render.

	* fb/fbcompose.c:
	Changed the semantics of the Convolution filter a
	bit. It now doesn't try to normalize the filter
	values but leaves this to the client. This gives
	more reasonable behaviour in the limit where the filter
	parameters sum up to 0.

	* doc/specs/Render/protocol:
	Sync with modular tree

2005-07-01  Zack Rusin  <zrusin@trolltech.com>

	* programs/Xserver/hw/xfree86/exa/exa.h:
	* programs/Xserver/hw/xfree86/exa/exa.c:
	* programs/Xserver/hw/xfree86/exa/exaasync.c:
	* programs/Xserver/hw/xfree86/exa/exaoffscreen.c:
	* programs/Xserver/hw/xfree86/exa/exapict.c:
	* programs/Xserver/hw/xfree86/exa/exaPriv.h:
	* programs/Xserver/hw/xfree86/exa/Imakefile:
	* config/cf/xfree86.cf:
	* config/cf/xorg.cf:
	* programs/Xserver/Imakefile:
	* programs/Xserver/hw/xfree86/Imakefile:
	- Adding the new acceleration architecture: Exa.
	It's meant to replace XAA in the coming months.

2005-07-01  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONValidateMergeModes), (RADEONPreInitModes), (RADEONPreInit),
	(RADEONScreenInit), (RADEONChangeSurfaces):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	- fix depth tiling for r3/4xx chips (Aapo Tahkola)
	- adjust limits for tiled surfaces on r3/4xx

2005-06-30  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mm_i2c.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.c:
	- Fix Support for Philips FM1236/F on ATI AIW 9600 XT (Jeff Smith)
	Bug 3401

2005-06-30  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONChangeSurfaces):
	- change back part of a comment I seem to have accidently changed.

2005-06-29  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c:
	(RADEONUpdateXineramaScreenInfo):
	- small mergedfb fix from Thomas Winischhofer

2005-06-29  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInit), (RADEONChangeSurfaces), (RADEONInitCrtcRegisters),
	(RADEONInitCrtc2Registers), (RADEONDoAdjustFrame):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	- add support for colortiling on r3/4xx hardware (disabled by default).  In order
	for pageflipping to work on r3/4xx we will need to update the the sarea and drm
	so that the crtc1/2 xytiling regs get updated.
	Initially worked out by Aapo Tahkola.

2005-06-29  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONSetFBLocation):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h:
	- Increase the priority of display 0/1 in the memory controller for r3/4xx hardware
	when displaypriority is set to HIGH. Fixes display problems in high res modes.
	Originally reported by Aapo Tahkola.

2005-06-29  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONSetDynamicClock):
	- fix some OUTREGs that should be OUTPLLs in dynamicclocks code

2005-06-29 Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_driver.c:
	(SMI_ModeInit):
	- add 800x480 modes to smi driver (bug 3639)

2005-06-29  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/X11.tmpl:
	Set XorgManDefs properly to set __xorgversion__ in cpp'ed man pages
	to the correct release name.

2005-06-29  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/Imake.tmpl:
	Add HasGetopt (default: YES on everything but Win32 & OS/2) and
	HasGetoptLong (default: NO) flags for use in fc-list & fc-cache
	Imakefiles.

	* config/cf/sun.cf:
	Set HasGetoptLong to YES on Solaris 10 and later.

	* programs/fc-cache/Imakefile:
	* programs/fc-list/Imakefile:
	Add -DHAVE_GETOPT & -DHAVE_GETOPT_LONG flags based on settings
	of HasGetopt & HasGetoptLong from Imake config files to simulate
	autoconf tests.

	* lib/fontconfig/Imakefile:
	Add FREETYPE_DEFINES to set flags to match what autoconf would set
	for Freetype 2.1.8.   Add defines for HAVE_LINK, HAVE_GETUID, and
	HAVE_GETEUID for everything but OS/2 & Win32 to match autoconf tests.
	Remove fcfreetype.c from the list of files linked to extras directory.

	* lib/fontconfig/fcfreetype.c:
	Use customized version of fcfreetype.c to make these needed changes:
	- Remove // comment prohibited by gcc -ansi -pedantic default flags
	- Change include path for "../fc-glyphname/fcglyphname.h" to work in
	   monolithic tree layout

2005-06-30  Daniel Stone  <daniel@freedesktop.org>

	* lib/Xcursor:
	Import Xcursor version 1.1.4.

2005-06-29  Soren Sandmann  <sandmann@redhat.com>

	* programs/rgb/showrgb.c: Don't include rgb.h and site.h when
	USE_RGB_TXT is defined.

2005-06-29  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c (NVBacklightEnable):
	Bugzilla #3657 <https://bugs.freedesktop.org/show_bug.cgi?id=3657>
	Patch #2992 <https://bugs.freedesktop.org/attachment.cgi?id=2992>
	Experimental DPMS support for GeForce4 and later laptops.
	(Mark Vojkovich)

2005-06-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/Xext/Imakefile:
	* doc/man/Xext/DPMSSetTimeouts.man:
	* doc/man/Xext/DPMSCapable.man:
	* doc/man/Xext/DPMSDisable.man:
	* doc/man/Xext/DPMSEnable.man:
	* doc/man/Xext/DPMSForceLevel.man:
	* doc/man/Xext/DPMSGetTimeouts.man:
	* doc/man/Xext/DPMSGetVersion.man:
	* doc/man/Xext/DPMSInfo.man:
	* doc/man/Xext/DPMSQueryExtension.man:
	* doc/man/Xext/DPMSSetTimeouts.man:
	Add man pages for DPMS Extension calls in libXext.   (Converted to
	man page format by Sun doc teams based on DPMS specification docs.)

2005-06-29  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* lib/XvMC/Imakefile:
	* lib/XvMC/hw/via/unichromeProA/Imakefile:
	* lib/XvMC/hw/via/unichromeProA/viaLowLevelPro.c: (initHQVShadow),
	(setHQVDeblocking), (setHQVStartAddress), (setHQVDeinterlacing),
	(setHQVTripleBuffer), (finish_header_agp), (hwlLock), (hwlUnlock),
	(timeDiff), (setAGPSyncLowLevel), (viaDMATimeStampLowLevel),
	(viaDMAWaitTimeStamp), (viaDMAInitTimeStamp),
	(viaDMACleanupTimeStamp), (viaMpegGetStatus), (viaMpegIsBusy),
	(syncDMA), (syncVideo), (syncAccel), (syncMpeg), (pciFlush),
	(agpFlush), (uploadHQVShadow), (flushXvMCLowLevel),
	(flushPCIXvMCLowLevel), (viaMpegSetSurfaceStride),
	(viaVideoSetSWFLipLocked), (viaVideoSWFlipLocked), (viaMpegSetFB),
	(viaMpegBeginPicture), (viaMpegReset), (viaMpegWriteSlice),
	(viaVideoSubPictureOffLocked), (viaVideoSubPictureLocked),
	(viaBlit), (syncXvMCLowLevel), (updateLowLevelBuf),
	(cleanupLowLevelBuf), (releaseXvMCLowLevel), (initXvMCLowLevel),
	(setLowLevelLocking), (closeXvMCLowLevel):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC):
	Add XvMC support for the mpeg1 / mpeg2 hardware decoder of
	VIA's Unichrome Pro Group A chips, CN400 and PM8X0.
	(Ivor Hewitt and Thomas Hellstrom).

2005-06-29  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* lib/XvMC/Imakefile:
	* lib/XvMC/hw/via/Imakefile:
	* lib/XvMC/hw/via/driDrawable.c: (drawStamp),
	(getDRIDrawableInfoLocked), (driDestroyHashContents):
	* lib/XvMC/hw/via/driDrawable.h:
	* lib/XvMC/hw/via/unichrome/Imakefile:
	* lib/XvMC/hw/via/unichrome/viaLowLevel.c: (hwlLock), (hwlUnlock),
	(timeDiff), (setAGPSyncLowLevel), (viaDMATimeStampLowLevel),
	(viaDMAWaitTimeStamp), (viaDMAInitTimeStamp),
	(viaDMACleanupTimeStamp), (viaMpegGetStatus), (viaMpegIsBusy),
	(syncDMA), (syncVideo), (syncAccel), (syncMpeg), (pciFlush),
	(agpFlush), (flushXvMCLowLevel), (flushPCIXvMCLowLevel),
	(pciCommand), (viaMpegSetSurfaceStride), (viaVideoSetSWFLipLocked),
	(viaVideoSWFlipLocked), (viaMpegSetFB), (viaMpegBeginPicture),
	(viaMpegReset), (viaMpegWriteSlice), (viaVideoSubPictureOffLocked),
	(viaVideoSubPictureLocked), (viaBlit), (syncXvMCLowLevel),
	(initXvMCLowLevel), (setLowLevelLocking), (closeXvMCLowLevel):
	* lib/XvMC/hw/via/viaLowLevel.c:
	* lib/XvMC/hw/via/viaLowLevel.h:
	* lib/XvMC/hw/via/viaXvMC.c: (grabDecoder),
	(releaseContextResources), (XvMCCreateContext),
	(XvMCDestroyContext), (XvMCCreateSurface), (XvMCPutSlice2),
	(XvMCPutSlice), (XvMCPutSurface), (XvMCBeginSurface),
	(XvMCSyncSurface), (XvMCLoadQMatrix), (XvMCCreateSubpicture),
	(XvMCSetSubpicturePalette), (XvMCClearSubpicture),
	(XvMCCompositeSubpicture), (XvMCBlendSubpicture2),
	(XvMCSyncSubpicture), (XvMCDestroySubpicture), (XvMCFlushSurface),
	(XvMCGetSurfaceStatus), (XvMCQueryAttributes), (XvMCSetAttribute),
	(XvMCGetAttribute), (XvMCHideSurface):
	* lib/XvMC/hw/via/viaXvMCPriv.h:
	* lib/XvMC/hw/via/xf86dri.c: (uniDRIDestroyContext),
	(uniDRICreateDrawable), (uniDRIDestroyDrawable),
	(uniDRIGetDrawableInfo):
	* lib/XvMC/hw/via/xf86dri.h:
	* lib/XvMC/hw/via/xf86dristr.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC), (ViaCleanupXVMC), (ViaXvMCCreateContext),
	(ViaXvMCDestroyContext):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	Restructure Via XvMC for multiple hardware drivers.
	Make Via XvMC use the DRI protocol for efficient drawable handling,
	overlay updates and initialization.

2005-06-28  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c:
	Bug #2447: Fix argument order to xf86DrvMsgVerb.  (Luc Verhaegen)

2005-06-28  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/input/acecad/acecad.c:
	Bug #1565: Don't delete the driver twice.  (St�hane VOLTZ)

2005-06-28 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	Add support to check the in-built VESA mode list.

2005-06-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/etc/pci.ids:
	* programs/Xserver/hw/xfree86/etc/extrapci.ids:
	Update to latest snapshot (27-May-2005) from http://pciids.sf.net/

2005-06-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/X11.tmpl:
	Add LinkerRuntimeLibraryPathFlag to EXPATLIB, FONTCONFIGLIB & LIBPNGLIB

2005-06-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* extras/fontconfig/*:
	* lib/fontconfig/Imakefile:
	* programs/fc-cache/Imakefile:
	* programs/fc-cache/fc-cache.man:
	* programs/fc-list/Imakefile:
	* programs/fc-list/fc-list.man:
	Update fontconfig from 2.2.2 to 2.3.2

2005-06-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/Imake.tmpl:
	Change HasLibpng default back to NO - unlike FreeType & Zlib,
	if it's not present, we don't "build a potentially dangerous libpng",
	but instead just skip the xcursorgen build.

2005-06-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/include/Imakefile: Fix links to os.h & misc.h

2005-06-27  Sren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/include/Imakefile: Install os.h and misc.h

2005-06-27  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/input/aiptek/xf86Aiptek.c:
	* programs/Xserver/hw/xfree86/input/digitaledge/DigitalEdge.c:
	* programs/Xserver/hw/xfree86/input/elographics/xf86Elo.c:
	* programs/Xserver/hw/xfree86/input/fpit/xf86Fpit.c:
	* programs/Xserver/hw/xfree86/input/hyperpen/xf86HyperPen.c:
	* programs/Xserver/hw/xfree86/input/mutouch/xf86MuTouch.c:
	* programs/Xserver/hw/xfree86/input/palmax/xf86Palmax.c:
	* programs/Xserver/hw/xfree86/input/summa/xf86Summa.c:
	* programs/Xserver/hw/xfree86/input/tek4957/xf86Tek4957.c:
	* programs/Xserver/hw/xfree86/input/ur98/xf86Ur-98.c:
	* programs/Xserver/hw/xfree86/input/void/void.c:
	* programs/Xserver/hw/xfree86/input/wacom/xf86Wacom.c:
	Various input drivers set their InputDriverRec to be static when
	doing a loadable build, and the same symbol can't be both static
	and _X_EXPORT.  Pointed out by Alan Coopersmith.

2005-06-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Set HasLibpng defaults correctly for various Solaris releases

2005-06-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/atiadjust.c:
	* programs/Xserver/hw/xfree86/drivers/ati/aticonsole.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atifillin.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atiscreen.c:
	* programs/Xserver/hw/xfree86/drivers/ati/ativalid.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/alp_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/lg_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_driver.c:
	Bug #3628: Fix video driver submodule visibility.

2005-06-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xnest/Events.c:
	* programs/Xserver/hw/xnest/Events.h:
	* programs/Xserver/hw/xnest/Init.c:
	* programs/Xserver/hw/xnest/Keyboard.c:
	* programs/Xserver/hw/xnest/Keyboard.h:
	* programs/Xserver/hw/xnest/Pointer.c:
	* programs/Xserver/hw/xnest/Pointer.h:
	Bug #3030: Fix Xnest keyboard state handling.  (Mark McLoughlin)

2005-06-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/apm/apm_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ark/ark_driver.c:
	* programs/Xserver/hw/xfree86/drivers/ati/ati.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atimisc.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atimodule.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_misc.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_misc.c:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre200_module.c:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre_detect_module.c:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre_module.c:
	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/alp_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/cir_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cirrus/lg_driver.c:
	* programs/Xserver/hw/xfree86/drivers/cyrix/cyrix_driver.c:
	* programs/Xserver/hw/xfree86/drivers/dummy/dummy_driver.c:
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c:
	* programs/Xserver/hw/xfree86/drivers/glide/glide_driver.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/i128/i128_driver.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/bt829_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/msp3430_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/tda8425_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/tda9850_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/tda9885_module.c:
	* programs/Xserver/hw/xfree86/drivers/i2c/uda1380_module.c:
	* programs/Xserver/hw/xfree86/drivers/i740/i740_driver.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c:
	* programs/Xserver/hw/xfree86/drivers/imstt/imstt_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_halmod.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nsc/nsc_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/riva_driver.c:
	* programs/Xserver/hw/xfree86/drivers/rendition/rendition.c:
	* programs/Xserver/hw/xfree86/drivers/s3/s3_driver.c:
	* programs/Xserver/hw/xfree86/drivers/s3virge/s3v_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/siliconmotion/smi_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunbw2/bw2_driver.c:
	* programs/Xserver/hw/xfree86/drivers/suncg14/cg14_driver.c:
	* programs/Xserver/hw/xfree86/drivers/suncg3/cg3_driver.c:
	* programs/Xserver/hw/xfree86/drivers/suncg6/cg6_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/suntcx/tcx_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tdfx/tdfx_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tga/tga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tseng/tseng_driver.c:
	* programs/Xserver/hw/xfree86/drivers/v4l/v4l.c:
	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c:
	* programs/Xserver/hw/xfree86/drivers/vga/generic.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	* programs/Xserver/hw/xfree86/drivers/vmware/vmware.c:
	* programs/Xserver/hw/xfree86/drivers/voodoo/voodoo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/wsfb/wsfb_driver.c:
	* programs/Xserver/hw/xfree86/input/acecad/acecad.c:
	* programs/Xserver/hw/xfree86/input/aiptek/xf86Aiptek.c:
	* programs/Xserver/hw/xfree86/input/calcomp/xf86Calcomp.c:
	* programs/Xserver/hw/xfree86/input/citron/citron.c:
	* programs/Xserver/hw/xfree86/input/digitaledge/DigitalEdge.c:
	* programs/Xserver/hw/xfree86/input/dmc/xf86DMC.c:
	* programs/Xserver/hw/xfree86/input/dynapro/xf86Dyna.c:
	* programs/Xserver/hw/xfree86/input/elo2300/elo.c:
	* programs/Xserver/hw/xfree86/input/elographics/xf86Elo.c:
	* programs/Xserver/hw/xfree86/input/evdev/evdev.c:
	* programs/Xserver/hw/xfree86/input/fpit/xf86Fpit.c:
	* programs/Xserver/hw/xfree86/input/hyperpen/xf86HyperPen.c:
	* programs/Xserver/hw/xfree86/input/jamstudio/js_x.c:
	* programs/Xserver/hw/xfree86/input/joystick/xf86Jstk.c:
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c:
	* programs/Xserver/hw/xfree86/input/magellan/magellan.c:
	* programs/Xserver/hw/xfree86/input/microtouch/microtouch.c:
	* programs/Xserver/hw/xfree86/input/mouse/mouse.c:
	* programs/Xserver/hw/xfree86/input/mutouch/xf86MuTouch.c:
	* programs/Xserver/hw/xfree86/input/palmax/xf86Palmax.c:
	* programs/Xserver/hw/xfree86/input/penmount/xf86PM.c:
	* programs/Xserver/hw/xfree86/input/sample/sample.c:
	* programs/Xserver/hw/xfree86/input/spaceorb/spaceorb.c:
	* programs/Xserver/hw/xfree86/input/summa/xf86Summa.c:
	* programs/Xserver/hw/xfree86/input/tek4957/xf86Tek4957.c:
	* programs/Xserver/hw/xfree86/input/ur98/xf86Ur-98.c:
	* programs/Xserver/hw/xfree86/input/void/void.c:
	* programs/Xserver/hw/xfree86/input/wacom/xf86Wacom.c:
	Bug #3626: _X_EXPORT tags for video and input drivers.

2005-06-24  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Don't use installed fontconfig on Solaris 10, because it doesn't
	install fcprivate.h which Xft1 needs.
	Don't use installed Motif on Solaris, because it depends on Solaris
	installed libX11.

2005-06-24  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xft/AUTHORS:
	* lib/Xft/COPYING:
	* lib/Xft/ChangeLog:
	* lib/Xft/Imakefile:
	* lib/Xft/Makefile.am:
	* lib/Xft/README:
	* lib/Xft/Xft-def.cpp:
	* lib/Xft/Xft.3.in:
	* lib/Xft/Xft.h:
	* lib/Xft/XftCompat.h:
	* lib/Xft/autogen.sh:
	* lib/Xft/configure.ac:
	* lib/Xft/xft-config.1.in:
	* lib/Xft/xftcolor.c:
	* lib/Xft/xftcore.c:
	* lib/Xft/xftdbg.c:
	* lib/Xft/xftdpy.c:
	* lib/Xft/xftdraw.c:
	* lib/Xft/xftextent.c:
	* lib/Xft/xftfont.c:
	* lib/Xft/xftfreetype.c:
	* lib/Xft/xftglyphs.c:
	* lib/Xft/xftinit.c:
	* lib/Xft/xftint.h:
	* lib/Xft/xftlist.c:
	* lib/Xft/xftname.c:
	* lib/Xft/xftrender.c:
	* lib/Xft/xftstr.c:
	* lib/Xft/xftswap.c:
	* lib/Xft/xftxlfd.c:
	Sync with Xft from xlibs CVS (2.1.7 plus man page updates from
	Branden Robinson) - see lib/Xft/ChangeLog for full details

2005-06-24  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Fix HasExpat, HasZlib, and HasFontconfig as well for older Solaris
	releases.

2005-06-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Set HasFreetype2 to NO by default for older releases of Solaris.

2005-06-23  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/os-support/bsd/drm/Imakefile:
	Remove more traces of xf86drmCompat.c

2005-06-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Fix LazyLoadFlag to work with Solaris 9 ld & Sun CC so
	the XMonolith tinderbox stops being so red.

2005-06-22  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	Add missing detection of the PCI ID for 0x5b62, Radeon X600
	(Vladimir Kushnir).

2005-06-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/xtrans/Xtranssock.c:
	Add the rest of my patch from bugzilla #1605 to define INADDR_NONE
	on platforms that don't define it in the system headers.

2005-06-21  Kristian Hgsberg  <krh@redhat.com>

	* lib/xtrans/Xtranssock.c (TRANS(SocketINETConnect)): Apply patch
	by Alan Coopersmith from #1605 to fix address resolution of
	hostnames starting with a digit for 64 bit architechtures.

Mon Jun 20 14:41:57 2005  Sren Sandmann  <sandmann@redhat.com>

	* lib/xkbui/XKBui.c: Cut and paste declaration of _XkbStrCaseCmp()
	from XKBFileInt.h.

2005-06-19  Adam Jackson  <ajax@freedesktop.org>

	* programs/xdm/config/Imakefile:
	* programs/xdm/config/Xreset:
	* programs/xdm/config/Xstartup:
	* programs/xdm/config/xdm-conf.cpp:
	Bug #2959: Make sure displays other than :0 get entries in utmp when
	started from xdm.  (Tim Waugh)

2005-06-18  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xhost/xhost.c:
	Autotooling: Add #include "config.h" & use RETSIGTYPE if defined.

Thu Jun 16 18:12:30 2005  Sren Sandmann  <sandmann@redhat.com>

	* lib/font/Type1/t1io.c: Put back accidentally removed #include.

2005-06-16  Sren Sandmann  <sandmann@redhat.com>

	* lib/font/Speedo/: Change includes to be <X11/foo.h> instead of
	"foo.h" in some places.

2005-06-16  Thomas Hellstr�  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC), (ViaXvMCCreateContext), (ViaXvMCCreateSurface),
	(ViaXvMCCreateSubpicture):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	Fix and enable Unichrome XvMC for AMD64

2005-06-16  Sren Sandmann  <sandmann@redhat.com>

	* lib/font/Type1/: Change includes to be <X11/foo.h> instead of
	"foo.h" in some places.

2005-06-15  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONScreenInit), (RADEONGetMergedFBOptions):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c:
	(RADEONFindWidestTallestCommonMode),
	(RADEONGenerateModeListFromLargestModes), (RADEONGenerateModeList),
	(RADEONRecalcDefaultVirtualSize), (RADEONUpdateXineramaScreenInfo),
	(RADEONXineramaExtensionInit), (RADEONMergePointerMoved),
	(RADEONAdjustFrameMergedHelper):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.h:
	Sync up radeon mergedfb with Thomas' recent sis mergedfb changes
	- support for non-rectangular mergedfb desktops
	- support for display offsets

2005-06-15  Ian Romanick <idr@us.ibm.com>

	* extras/drm/shared/mga_drm.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:

	Temporary fixes until updated client-side code is in the X.org tree.
	The first is a compile fix.  The second makes OldDmaInit=true the
	default.  This is required because the X.org tree contains "new" DDX,
	"new" DRM, and "old" client-side driver.  This is the *only*
	combination that does not work with OldDmaInit=false.

2005-06-15  Ian Romanick <idr@us.ibm.com>

	* extras/drm/*:
	Re-import from DRM CVS.

	* programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmCompat.c:
	* programs/Xserver/hw/xfree86/os-support/linux/drm/Imakefile:
	* config/cf/xorg.cf:
	* config/cf/OpenBSD.cf:
	* config/cf/xfree86.cf:

	The routines in xf86drmCompat are no longer need, and haven't been
	needed for at least a release.  Eliminate the file.

	* programs/Xserver/hw/xfree86/drivers/mga/mga.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga.man:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.c:
	(MGADRIBootstrapDMA), (MGADRIScreenInit), (MGADRIFinishScreenInit):
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c:

	Bug #3259: Update MGA DDX to use new features of MGA DRM
	version 3.2 to enable DRI support on PCI cards.  Backwards
	compatability with older client-side drivers is enabled with
	new Device section settings.  See mga.man for details.

	reviewed by: Eric Anholt

2005-06-14  Thomas Hellstr�  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_vbe.c:
	(ViaVbeSetRefresh), (ViaVbeSetMode):
	via: Customized refresh for VBE modes. (VIA)

2005-06-14  Thomas Hellstr�  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_bios.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.c:
	(ViaI2C3GetBit), (ViaI2CBus3Init):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaModePrimary):
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.c:
	(VT162xPrintRegs), (VT162xSave), (VT162xRestore), (VT1621ModeCrtc),
	(VT1622ModeCrtc), (ViaVT162xInit):
	via: Unichrome Pro TV-out fixes.

2005-06-14  Branden Robinson  <branden@debian.org>

	* config/cf/linux.cf:
	Fix typo that I introduced on 2005-03-06.

Mon Jun 13 18:17:06 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/oldX/*.c: Conditionally include config.h

Mon Jun 13 17:51:00 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/xkbfile/*.c: Conditionally include config.h

2005-06-13  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/xf86config/Cards:
	Correct the CHIPSET lines for the 3dfx cards so the tdfx driver will
	recognize them.  I'm not sure if this file is supposed to be maintained
	still, but I'd like to close FreeBSD ports/32121 which has been around
	for far too long.

2005-06-14  Daniel Stone  <daniel@freedesktop.org>

	* lib/Xcursor/cursor.c:
	Bug #1043: Fix leak when creating animated cursors.

2005-06-13  Lars Knoll <lars@trolltech.com>

	* add the convolution filter from xserver to xorg

2005-06-12  Adam Jackson  <ajax@freedesktop.org>

	* include/Xfuncproto.h:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.h:
	Bug #3528: Add _X_DEPRECATED tag.

2005-06-12  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xnest/Events.c:
	Bug #3513: Silence unhandled event messages from Xnest when running
	with -parent.  (Mark McLoughlin)

2005-06-12  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_priv.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(viaOverlayGetV1V3Format), (viaOverlayGetSrcStartAddress),
	(viaOverlayGetFetch), (ViaSwovSurfaceCreate),
	(ViaSwovSurfaceDestroy), (Upd_Video), (VIAVidUpdateOverlay),
	(ViaOverlayHide):
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c: (Flip),
	(viaPutImage), (viaQueryImageAttributes):
	Add Unichrome Pro Group A YUY2 Xv support. (Ivor Hewitt)
	Add Via Xv RV15, RV16 image-format support.

2005-06-12  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	(VIASetAgpMode), (VIADRIAgpInit):
	Add more elaborate AGP mode setting for the via driver.

2005-06-12  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(viaWaitHQVFlip), (viaWaitHQVDone), (viaOverlayHQVCalcZoomWidth),
	(viaOverlayHQVCalcZoomHeight), (viaCalculateVideoColor),
	(viaSetColorSpace), (ViaInitVideoStatusFlag), (ViaSetVidCtl),
	(AddHQVSurface), (ViaSwovSurfaceCreate), (SetFIFO_V3_64or32or32),
	(SetFIFO_V3_64or32or16), (SetColorKey), (SetChromaKey),
	(SetHQVFetch), (Upd_Video), (VIAVidUpdateOverlay),
	(ViaOverlayHide):
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c:
	(DecideOverlaySupport), (viaInitVideo), (viaSetupAdaptors), (Flip),
	(nv12cp), (viaPutImage):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvpriv.h:
	Preliminary YV12 Xv support for Unichrome Pro Group A
	(PM800, CN400 and friends).
	(Ivor Hewitt and myself)

2005-06-09  Daniel Stone  <daniel@freedesktop.org>

	* lib/ICE/ICEutil.h:
	Remove pointless inclusion of Xlib.h.

	* lib/X11/OpenDis.c:
	Fix bigreqstr.h inclusion.

	* lib/Xrandr/Xrandr.c:
	Bug #1976: Call XRRFindDisplay before we take the global lock, so we
	don't get ruined by XextAddDisplay when running with threads.

2005-06-09  Adam Jackson  <ajax@freedesktop.org>

	* include/extensions/shape.h
	* include/extensions/shapestr.h
	* lib/X11/CrWindow.c
	* programs/Xserver/Xext/shape.c
	* programs/Xserver/dix/dispatch.c
	* programs/Xserver/dix/events.c
	* programs/Xserver/dix/window.c
	* programs/Xserver/include/windowstr.h
	* programs/Xserver/xfixes/region.c
	Bug #2799: Input shape.  (Keith Packard)

2005-06-09  Alexander Gottwald <ago@freedesktop.org>

	* xc/programs/xrx/helper/GetUrl.c:
	* xc/programs/lbxproxy/include/os.h:
	* xc/programs/lbxproxy/os/connection.c:
	* xc/programs/lbxproxy/os/io.c:
	* xc/programs/xfs/os/config.c:
	* xc/programs/xfs/os/connection.c:
	* xc/programs/xfs/os/io.c:
	* xc/programs/xfs/os/osglue.c:
	* xc/lib/FS/FSOpenServ.c:
	* xc/lib/FS/FSlibos.h:
	* xc/lib/ICE/accept.c:
	* xc/lib/ICE/connect.c:
	* xc/lib/ICE/listen.c:
	* xc/lib/ICE/listenwk.c:
	* xc/lib/ICE/misc.c:
	* xc/lib/ICE/shutdown.c:
	* xc/lib/SM/sm_manager.c:
	* xc/lib/X11/ClDisplay.c:
	* xc/lib/X11/ConnDis.c:
	* xc/lib/X11/OpenDis.c:
	* xc/lib/X11/XlibInt.c:
	* xc/lib/X11/imTrans.c:
	* xc/lib/font/fc/fsconvert.c:
	* xc/lib/font/fc/fserve.c:
	* xc/lib/font/fc/fsio.c:
	* xc/lib/font/fc/fslibos.h:
	Replace <X11/Xtrans.h> with <X11/Xtrans/Xtrans.h>
	* xc/lib/xtrans/Imakefile:
	Copy Xtrans.h to exports/include/X11/Xtrans only

2005-06-09 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c
	Bug #3496 <https://bugs.freedesktop.org/show_bug.cgi?id=3496>
	Remove a bogus check for DRM 1.2 for resume functionality as it's
	been present since 1.1

2005-06-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/sunos/agpgart.h:
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_agp.c:
	Add agpgart support for Solaris x86/x64.   [Requires
	Solaris "Nevada" build 16 or later to get kernel side for now.]
	(Sophia Li - Sun Microsystems)

2005-06-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Add HasWeakSymbols & MotifDir defines to fix libGLw build on Solaris.

2005-06-08  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/miext/damage/damage.c:
	Bug #2469: More accurate damage reports.  (Jonathan Lennox)

2005-06-08  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/Xext/panoramiX.c:
	* programs/Xserver/os/utils.c:
	Bug #1846: Add intentionally undocumented -disablexineramaextension
	flag to the server to work around ignorant clients on large display
	walls. (Kevin E. Martin)

2005-06-08  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xnest/Display.c:
	* programs/Xserver/hw/xnest/Display.h:
	Bug #1880: Remove unused xnestConfineWindow.  (Mark McLoughlin)

2005-06-08  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/fb/fbpict.h:
	Bug #3434: Don't define fbAddTraps twice.  (Mike A. Harris)

2005-06-08  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xrandr/Xrandr.c: Conditionally include config.h

2005-06-08 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	Fix the mode validation such that using function 5f05 to set
	the refresh rate works again.

2005-06-07 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Fix text restoration when display switching has been activated
	and we could be potentially on a different display than the
	initial one.

2005-06-04 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Bug #3054 <https://bugs.freedesktop.org/show_bug.cgi?id=3054>
	Fix some offset, pitch and overlay scaler size problems with
	the video overlay. Solves various spontaneous lockups.

2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>
	* lib/X11/ConnDis.c (GetAuthorization):
	Bug #3436 <https://bugs.freedesktop.org/show_bug.cgi?id=3436>
	Conndis.c uses incorrect type for args to XdmcpWrap()
	(Mike Harris - mharris@www.linux.org.uk)

2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>
	* programs/Xserver/hw/xfree86/drivers/ati/ativga.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c:
	Sync with 6.8.2 branch:
	Bug #591 (https://bugs.freedesktop.org/show_bug.cgi?id=591)
	attachment #308 (https://bugs.freedesktop.org/attachment.cgi?id=308):
	Fix video timing problems with Sony PCG-C1VN Vaio Picturebook notebook
	&& co.
	Patch by Marc Aurele La France

2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c (RADEONValidateFPModes):
	Sync with 6.8.2 branch:
	Bugzilla #1306 (https://bugs.freedesktop.org/show_bug.cgi?id=1306)
	attachment #1291 (https://bugs.freedesktop.org/attachment.cgi?id=1291):
	Fix SEGV in "radeon" driver.
	Patch by Kevin E. Martin <kem@freedesktop.org>

2005-06-04  Alan Coopersmith  <alan.coopersmith@sun.com>
	* extras/Mesa/src/mesa/drivers/dri/r200/r200_tcl.c
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_swtcl.c
	* extras/Mesa/src/mesa/drivers/dri/radeon/radeon_tcl.c
	Sync with 6.8.2 branch:
	Bugzilla #2110 (https://bugs.freedesktop.org/show_bug.cgi?id=2110)
	attachment #1569 (https://bugs.freedesktop.org/attachment.cgi?id=1569):
	Fix build bustage in MESA/DRI code with gcc 2.96.
	Patch by Kevin E. Martin <kem@freedesktop.org>

2005-06-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_mouse.c:
	Need to set initial screen size at device open time too.

2005-06-01  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/sunos/sun_mouse.c:
	Solaris VUID mouse protocol updates:
	- support for mouse-like devices that report absolute coordinates
	- support for mouse-like devices that need to know screen size so
		they can scale absolute coordinates to screen size
	- fix 3-button emulation

2005-05-30 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_cursor.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	* programs/Xserver/hw/xfree86/drivers/i810/common.h
	Add Intel(R) 945G support

2005-05-30  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	Bug #3368: Cosmetic cleanup to DIX export list.

2005-05-30  Adam Jackson  <ajax@freedesktop.org>

	* lib/XTrap/XEWrappers.c:
	* programs/Xserver/GL/glx/glxext.c:
	* programs/Xserver/GL/glx/glxscreens.c:
	* programs/Xserver/hw/dmx/glxProxy/glxext.c:
	Bug #3407: Clean out ancient #ifdef X11R5 conditionals.

2005-05-29  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/specs/programs/Imakefile (XFREE86_MANUALS):
	Bugzilla Bug 3385 <https://bugs.freedesktop.org/show_bug.cgi?id=3385>
	Patch #2758 <https://bugs.freedesktop.org/attachment.cgi?id=2758>
  	Fix xc/programs/Xserver/hw/xfree86/doc/man/Imakefile broken man page
	installation due to Xxf86misc & Xxf86vm man page move to lib dirs.
	(Donnie Berkholz)

2005-05-27  Matthieu Herrb <matthieu.herrb@laas.fr>

	* xc/include/fonts/Imakefile:
	Link more files to exports/ to fix the monolithic tree build.

2005-05-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Change hardcoded /usr/X11R6 to PROJECTROOT.   Change hardcoded
	XF86Config to XCONFIGFILE.

2005-05-27  Josh Triplett  <josh@freedesktop.org>

	* xc/lib/font/FreeType/ftenc.c:
	* xc/lib/font/FreeType/ftfuncs.c:
	* xc/lib/font/FreeType/fttools.c:
	* xc/lib/font/bitmap/bdfutils.c:
	* xc/lib/font/builtins/builtin.h:
	* xc/lib/font/fc/fsconvert.c:
	* xc/lib/font/fc/fserve.c:
	* xc/lib/font/fc/fsio.c:
	* xc/lib/font/fontcache/fontcache.h:
	* xc/lib/font/include/fntfilst.h:
	* xc/lib/font/include/fontutil.h:
	* xc/lib/font/include/fontxlfd.h:
	* xc/lib/font/stubs/stubs.h:
	* xc/lib/font/util/fontaccel.c:
	* xc/lib/font/util/fontnames.c:
	* xc/lib/font/util/fontutil.c:
	* xc/lib/font/util/fontxlfd.c:
	* xc/lib/font/util/format.c:
	* xc/lib/font/util/patcache.c:
	* xc/lib/font/util/private.c:
	Reference X11/fonts header files using X11/fonts/ prefix.

Wed May 25 17:41:00 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/FS/*.c: Conditionally include config.h
	* lib/FS/FSlibint.h: Remove redundant include of FSproto.h

2005-05-25 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	Change the sequence on how refresh rates are set in the
	i830 driver. This works much better with custom modelines.

2005-05-25  Luc Verhaegen  <libv@skynet.be>

	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c: (VIAProbe),
	(VIAPreInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	(ViaCheckCardId):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.h:
	Fix up some leftover strings pointing to unichrome.sf.net.

2005-05-24  Alexander Gottwald  <ago at freedesktop dot org>

	* config/util/makestrs.c:
	* config/util/makestrs.man:
	Make source directory for templates configurable

2005-05-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xdm/chooser.c:
	* programs/xdm/Chooser.ad:
	Bugzilla #2165 <https://bugs.freedesktop.org/show_bug.cgi?id=2165>
	Patches #1599 & 2754
	XDM Chooser enhancements: scrollwheel, no mouse (Thomas Reifferscheid)

2005-05-23  Søren Sandmann  <sandmann@redhat.com>

	* xc/lib/Xaw/*.c: Conditionally include config.h

2005-05-23  Thomas Hellstrom  <unichrome-at-shipmail-dot-org>

	* lib/XvMC/hw/via/viaLowLevel.c: (hwlLock), (hwlUnlock),
	(timeDiff), (setAGPSyncLowLevel), (viaDMATimeStampLowLevel),
	(viaDMAWaitTimeStamp), (viaDMAInitTimeStamp),
	(viaDMACleanupTimeStamp), (viaMpegGetStatus), (viaMpegIsBusy),
	(syncDMA), (syncVideo), (syncAccel), (syncMpeg), (pciFlush),
	(agpFlush), (flushXvMCLowLevel), (flushPCIXvMCLowLevel),
	(viaMpegSetSurfaceStride), (viaVideoSetSWFLipLocked),
	(viaVideoSWFlipLocked), (viaMpegSetFB), (viaMpegBeginPicture),
	(viaMpegReset), (viaMpegWriteSlice), (viaVideoSubPictureOffLocked),
	(viaVideoSubPictureLocked), (viaBlit), (syncXvMCLowLevel),
	(initXvMCLowLevel), (setLowLevelLocking), (closeXvMCLowLevel):
	* lib/XvMC/hw/via/viaLowLevel.h:
	* lib/XvMC/hw/via/viaXvMC.c: (releaseDecoder), (grabDecoder),
	(releaseContextResources), (XvMCCreateContext),
	(XvMCDestroyContext), (XvMCCreateSurface), (XvMCPutSlice2),
	(XvMCPutSlice), (updateXVOverlay), (XvMCPutSurface),
	(XvMCBeginSurface), (XvMCSyncSurface), (XvMCCreateSubpicture),
	(XvMCSetSubpicturePalette), (XvMCClearSubpicture),
	(XvMCCompositeSubpicture), (XvMCBlendSubpicture2),
	(XvMCSyncSubpicture), (XvMCDestroySubpicture), (XvMCFlushSurface),
	(XvMCHideSurface):
	* lib/XvMC/hw/via/viaXvMCPriv.h:
	* programs/Xserver/hw/xfree86/drivers/via/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/via/via.h:
	* programs/Xserver/hw/xfree86/drivers/via/via.man:
	* programs/Xserver/hw/xfree86/drivers/via/via_accel.c:
	(dispatchCBufferAGP):
	* programs/Xserver/hw/xfree86/drivers/via/via_bandwidth.c:
	(ViaSetPrimaryFIFO), (ViaSetSecondaryFIFO):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_common.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dga.c:
	(VIADGASetMode), (VIADGASetViewport):
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	(VIADRIRingBufferCleanup), (VIADRIRingBufferInit), (VIADRIAgpInit),
	(VIADRIFBInit), (VIADRIScreenInit), (VIADRICloseScreen),
	(VIADRIKernelInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c:
	(VIAGetRec), (VIAProbe), (kickVblank), (VIAPreInit), (VIAEnterVT),
	(VIALeaveVT), (VIAMapFB), (VIAScreenInit), (VIAWriteMode),
	(VIACloseScreen), (VIAAdjustFrame), (VIASwitchMode), (VIADPMS),
	(VIAInitialize3DEngine):
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_drm.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_drmclient.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_id.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_memcpy.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_memcpy.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_memory.c:
	(VIAFreeLinear), (VIAAllocLinear):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaTVDetect), (ViaTVInit), (ViaTVSetMode), (ViaTVPrintRegs),
	(ViaTVModeValid), (ViaOutputsDetect), (ViaOutputsSelect),
	(VIAGetPanelSize), (ViaPanelGetIndex), (ViaModesAttachHelper),
	(ViaModesAttach), (ViaGetMemoryBandwidth),
	(ViaModePrimaryVGAValid), (ViaModeSecondaryVGAValid),
	(ViaValidMode), (ViaSetUseExternalClock), (ViaSetPrimaryDotclock),
	(ViaSetSecondaryDotclock), (VIASetLCDMode), (ViaModePrimaryVGA),
	(ViaModeDotClockTranslate), (ViaModePrimary),
	(ViaModeSecondaryVGA), (ViaModeSecondary):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_priv.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regs.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_shadow.c:
	(ViaShadowFBInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(viaWaitHQVIdle), (viaWaitVideoCommandFire), (viaWaitHQVFlip),
	(viaWaitHQVFlipClear), (viaWaitVBI), (viaWaitHQVDone),
	(FlushVidRegBuffer), (ResetVidRegBuffer), (SaveVideoRegister),
	(viaOverlayGetV1V3Format), (viaOverlayGetSrcStartAddress),
	(viaOverlayGetYCbCrStartAddress), (viaOverlayHQVCalcZoomWidth),
	(viaOverlayHQVCalcZoomHeight), (viaOverlayGetFetch),
	(rangeEqualize), (vPackFloat), (viaCalculateVideoColor),
	(viaSetColorSpace), (ViaInitVideoStatusFlag), (ViaSetVidCtl),
	(AddHQVSurface), (CreateSurface), (ViaSwovSurfaceCreate),
	(ViaSwovSurfaceDestroy), (SetFIFO_V3_64or32or32),
	(SetFIFO_V3_64or32or16), (SetupFIFOs), (SetChromaKey),
	(SetDisplayCount), (SetVideoWindow), (Upd_Video),
	(VIAVidUpdateOverlay), (ViaOverlayHide):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vbe.c:
	(ViaVbeAdjustFrame), (ViaVbeSetMode), (ViaVbeSaveRestore),
	(ViaVbeModePreInit), (ViaVbePanelPower), (ViaVbePanelLowPower),
	(ViaVbeDoDPMS), (ViaVbeDPMS):
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.c:
	(ViaVgahwPrint):
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c:
	(DecideOverlaySupport), (viaResetVideo), (viaExitVideo),
	(viaInitVideo), (viaSetupAdaptors), (viaStopVideo),
	(viaSetPortAttribute), (viaGetPortAttribute), (viaQueryBestSize),
	(Flip), (viaPutImage), (viaQueryImageAttributes),
	(VIAVidAdjustFrame):
	* programs/Xserver/hw/xfree86/drivers/via/via_video.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.c:
	(VT162xPrintRegs), (ViaVT162xDetect), (VT162xSave),
	(VT162xRestore), (VT162xDACSenseI2C), (VT1621DACSense),
	(VT1622DACSense), (VT1621ModeIndex), (VT1621ModeValid),
	(VT1622ModeIndex), (VT1622ModeValid), (VT162xSetSubCarrier),
	(VT1621ModeI2C), (VT1621ModeCrtc), (VT1622ModeI2C),
	(VT1622ModeCrtc), (VT1621Power), (VT1622Power), (ViaVT162xInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(cleanupViaXvMC), (ViaInitXVMC), (ViaCleanupXVMC),
	(ViaXvMCCreateContext), (ViaXvMCCreateSurface),
	(ViaXvMCCreateSubpicture), (ViaXvMCDestroySurface),
	(viaXvMCInitXv), (viaXvMCInterceptXvAttribute),
	(viaXvMCInterceptXvGetAttribute), (viaXvMCDisplayAttributes),
	(viaXvMCInterceptPutImage), (viaXvMCPutImageSize):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvpriv.h:

	Sync with Unichrome CVS 2005-05-20. Highlights:
	- Extensive output, Xv and XvMC cleanups.
	- More general mode support, with a discrete set of dotclocks.
	- TV-out noscale / overscan modeline support.
	- DRI and Xv bugfixes.
	- VBE modes for unsupported chipsets and hardware configurations.
	- Initial Unichrome Pro mode support.
	- K8M/N800 Xv and XvMC support.
	- Increased pipelining in the XvMC client library using AGP DMA.

	(Luc Verhaegen, Thomas Hellström, Terry Barnaby)
	For detailed changelog, see http://unichrome.sourceforge.net.

	Remove the old MTRR setup failure hack.
	Make VBEModes option visible even when DEBUG is not defined.
	Update dotclock table with tested Unichrome Pro dotclocks.
	Disable XvMC on 64-bit architectures.
	Patch #1172117 from the Unichrome site tracker.

	(Thomas Hellström)

2005-05-23  Adam Jackson  <ajax@freedesktop.org>

	* include/Xfuncproto.h:
	Bug #3360: Add _X_EXPORT, _X_HIDDEN, and _X_INTERNAL visibility tags.

2005-05-23  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/r128_reg.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONCloseScreen), (RADEONDisplayPowerManagementSet):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	Explicitely disable DPMS power states during close screen.
	Fix macro that takes a value and a mask of bits to modify
	to be behave evquvalently if the bits that should remain unchanged
	are set or unset in the value (Bugzilla #3369).

2005-05-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xmu/CvtStdSel.c:
	Move #ifdef HAVE_CONFIG_H outside of #ifdef SYSVNET

2005-05-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* include/extensions/Xevie.h:
	* include/extensions/Xeviestr.h:
	* lib/Xevie/Xevie.c:
	Move request id definitions to Xeviestr.h, leaving Xevie.h for
	client library definitions and Xeviestr.h for protocol definitions
	to allow cleaner split in modularization.

2005-05-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/dix/devices.c:
	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	* programs/Xserver/dix/privates.c:
	* programs/Xserver/dix/main.c:
	* programs/Xserver/dix/events.c:
	* programs/Xserver/Xext/xevie.c:
	* include/extensions/XKBsrv.h:
	* programs/Xserver/xkb/xkbActions.c:

	Bugzilla #2800 <https://bugs.freedesktop.org/show_bug.cgi?id=2800>
	Xevie extension crash with signal 11 on keyboard
	Bugzilla #1205 <https://bugs.freedesktop.org/show_bug.cgi?id=1205>
  	Xevie client receives two KeyPress events on consumed keys when
	XKB is enabled

	Patch #2223 <https://bugs.freedesktop.org/attachment.cgi?id=2223>
	Fixes for both of these and some other Xevie bugs
	(Derek Wang - Sun Microsystems)

2005-05-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/Imake.cf:
	* config/cf/sun.cf:
	* config/cf/svr4.cf:
	* programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	* programs/Xserver/hw/xfree86/os-support/sunos/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/sunos/solaris-amd64.S:
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_init.c:
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_kbdEv.c:
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_mouse.c:
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_vid.c:
	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	* programs/Xserver/include/servermd.h:
	* programs/Xserver/mi/micoord.h:

	Initial experimental support for AMD64 builds on Solaris 10 x86.
	Improved support for 64-bit SPARC builds on Solaris as well.
	(Andy Bowers, Andy Burrows, & Alan Coopersmith - Sun Microsystems)

2005-05-20  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_dri.c:
	Bug #3346: Don't include DRI-internal headers from the drivers.
	Pointed out by Kevin Martin.

2005-05-20 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/Imakefile
	* programs/Xserver/hw/xfree86/drivers/i810/common.h
	* programs/Xserver/hw/xfree86/drivers/i810/i810.man
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Bugzilla #3292: https://bugs.freedesktop.org/show_bug.cgi?id=3292
	Add shadowFB support to the Intel driver (Dima Dorfman)

2005-05-20 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830.h
	Bugzilla #2339: https://bugs.freedesktop.org/show_bug.cgi?id=2339
	Bugzilla #1064: https://bugs.freedesktop.org/show_bug.cgi?id=1064
	Bugzilla #3055: https://bugs.freedesktop.org/show_bug.cgi?id=3055
	Much better display switching support for mobile chipsets using
	the Fn+F? combination keys.
	Add DirectColor support.
	Add gamma correction support.

2005-05-20 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/common.h
	Bugzilla #2585: https://bugs.freedesktop.org/show_bug.cgi?id=2585
	Support the Intel E7221 server chipset.

2005-05-19  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/Amoeba.cf:
	* config/cf/WinLib.tmpl:
	* config/cf/bsdi.cf:
	* config/cf/bsdiLib.tmpl:
	* config/cf/cray.cf:
	* config/cf/cygwin.rules:
	* config/cf/cygwin.tmpl:
	* config/cf/dmx.cf:
	* config/cf/gnuLib.tmpl:
	* config/cf/hp.cf:
	* config/cf/hpLib.tmpl:
	* config/cf/ibmLib.tmpl:
	* config/cf/luna.cf:
	* config/cf/lynx.cf:
	* config/cf/macII.cf:
	* config/cf/mingw.rules:
	* config/cf/mingw.tmpl:
	* config/cf/os2def.db:
	* config/cf/osf1.cf:
	* config/cf/osfLib.tmpl:
	* config/cf/sco5.cf:
	* config/cf/sequent.cf:
	* config/cf/sgi.cf:
	* config/cf/sony.cf:
	* config/cf/sun.cf:
	* config/cf/sunLib.tmpl:
	* config/cf/ultrix.cf:
	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	* programs/Xserver/include/globals.h:
	* programs/Xserver/mi/miinitext.c:
	* programs/Xserver/os/utils.c:
	* programs/xdpyinfo/Imakefile:
	Bug #3334: Clean up remnants from the PEX, XIE, and BEZIER extensions.

Thu May 19 10:57:32 2005  Søren Sandmann  <sandmann@redhat.com>

	* xc/extras/Xpm/lib/*.c: Conditionally include config.h.

Thu May 19 10:36:54 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/cxpm/Imakefile (INCLUDES): Add "../lib" to INCLUDES.

	* programs/cxpm/cxpm.c: Replace #include "../lib/foo" with
	#include "foo".

2005-05-18  Alex Deucher  <agd5f@yahoo.com>


	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitAccel):
	Disable ScreentoScreenCopy on crtc2 at depth 24.  Fixes
	screen corruption.

Wed May 18 21:20:35 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8x8888mmx):
	s/dst/src that I missed in the previous patch. Pointed out by
	Owen Taylor.

Wed May 18 16:47:44 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8x8888mmx):
	Actually assign the computed results. (Reported by Michael
	Dänzer, patch by Owen Taylor).

Wed May 18 16:26:20 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xp/*.c: Conditionally include config.h

2005-05-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/GL/dri/dri.c:
	* programs/Xserver/GL/dri/dri.h:
	Bug #3066: Promote frameBufferPhysicalAddress to pointer from CARD32;
	bump DRIINFO version to match.  Fix various pointer printfs in libdri
	to be 64-bit aware.  Silence a warning about redefining
	noXFree86DRIExtension. (Jesse Barnes)

Wed May 18 15:04:23 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xmu/*.c: Conditionally include config.h

Wed May 18 14:42:45 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xext/*.c: Conditionally include config.h

	* lib/Xext/XShm.c: Remove unnecessary include of ImUtil.h

	* Xt/*.c: Conditionally include config.h

2005-05-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/GL/dri/dri.c:
	* programs/Xserver/GL/dri/dri.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atidri.c:
	* programs/Xserver/hw/xfree86/drivers/ati/r128_dri.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_dri.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i810_dri.c:
	* programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c:
	* programs/Xserver/hw/xfree86/drivers/mga/mga_dri.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	* programs/Xserver/hw/xfree86/drivers/sis/sis_dri.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_dri.c:
	* programs/Xserver/hw/xfree86/drivers/tdfx/tdfx_dri.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	Bug #3163: Create new DRIINFO_*_VERSION macros to indicate the
	version number of the DRIInfoRec, disambiguating it from the XF86DRI
	protocol version number.  Modify DRIQueryVersion to return the libdri
	version number, which all DDXes were requesting implicitly.  Fix the
	DDXes to check for the DRIINFO version they were compiled against.

2005-05-18  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/vbe/vbe.c: (VBESetVBEMode):
	VBESetVBEMode() calls int10 0x4f02 to set a VBE video mode. This
	can be a standard mode solely determined by the mode ID or it may
	be a detailed mode with almost arbitrary mode parameters. The mode
	parameters are passed to the BIOS in a memory area pointed to by
	es:di. If bit 11 in the video mode is set this memory area is
	evaluated.
	When we don't have such an area (passed to VBESetVBEMode() this
	function should unset this bit for sanity reasons.
	(Bugzilla #3329)

2005-05-18  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Config.c: (configMonitor):
	Avoid segfaults if the number of user supplied monitor ranges
	exceed the number of preallocated slots. We should really make this
	dynamic - but I don't think this ever caused a problem so it's
	more or less academic.
	* programs/Xserver/hw/xfree86/common/xf86Mode.c: (ModeHSync),
	(ModeVRefresh), (xf86SetModeCrtc), (xf86CheckModeForMonitor),
	(xf86InitialCheckModeForDriver), (xf86ValidateModes),
	(xf86PrintModes):
	A. Avoid that *SyncStart starts before *BlankStart. If *BlankStart >
	  *SyncStart it is made = *SyncStart and its width is made maximal
	  but such that the blank does not exceed *Total. Since the Sync
	  width has the same restrictions as the Blank width monitors
	  should still be able to clamp after the sync pulse.
	B. Over time mode validation has become inconsistent when people
	  started to add additional features to the mode validation. One
	  such feature is that the mode->Crtc* values have been (ab)used
	  to allow the driver ValidMode() function to pass driver
	  normalized timing values back to the validation function.
	  The introduction of these features made the code less readable
	  and created numerous possibly unintended side effects in the
	  validation semantics.
	  I've attempted to consolidate these changes making the code
	  more consistent and eliminating a number of side effects.
	  This should not cause problems for the majority of drivers,
	  still it should receive testing - especially with ATi Mach64
	  and Radeon code.
	   (Bugzilla #3325).

Tue May 17 17:24:09 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/SM/*.c: Conditionally include config.h

2005-05-17  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_cursor.c:
	(SavageHWCursorInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	Set the hardware to 8bit CLUT mode in 8 bpp. We used to flag an
	8 bit DAC to DDX but did not make sure it actually was running
	in 8 bit mode.
	On Savage4 the HW cursor doesn't seem to be truecolor in 8bpp
	- not even with the streams engine running.
	Fix SavageProbeDDC() to load vbe module and initialize it before
	using it (Bugzilla #3309).

2005-05-17  Egbert Eich  <eich-at-freedesktop-dot-org>

	* include/Xfuncproto.h:
	* lib/X11/Xlib.h:
	* lib/Xt/Intrinsic.h:
	* lib/Xt/IntrinsicI.h:

	gcc4 allows to check if sentinels are correct (a sentinel is the
	terminating element in a varargs list). A sentinel needs to be
	NULL, not 0 - which doesn't make a difference on 32bit but
	matters on 64bit.
	Furthermore it can be told that functions have a printf-like
	format string and argument list so that they can verify that
	both match.
	To use these features certain attributes need to be set - which
	are compiler specific. To do this we define macros which are
	expanded depending on the compiler version.
	For now we put those in include/Xfuncproto.h (the XFree86 DDX
	layer contains a file compiler.h which however is not visible
	outside the DDX) (Bugzilla #3268).


2005-05-15  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/makedepend/main.c:
	* config/util/makestrs.c:
	[Modularization/autotooling project]
	Add support for building with autoconf #ifdefs if present.
	#include "makedepend-config.h" if HAVE_CONFIG_H is defined.

2005-05-15  Alan Coopersmith  <alan.coopersmith@sun.com>

	* config/cf/sun.cf:
	Add settings to bring Solaris builds closer to the ones Sun
	packages in Solaris.   Adds "BuildLikeSun" options for areas
	Sun deviates from the way Xorg is packaged on other platforms.
	See comment in sun.cf for details.
	Also, use system-provided Expat on Solaris 10 and other cleanups.
	* config/cf/sunLib.tmpl:
	Set shared library versions for Solaris builds to match versions
	used in Solaris.  Add missing SharedXfixesReqs and SharedXdamageReqs.
	* config/util/makestrs.c:
	Add -solarisabi option to create XtStrings code compatibile with
	existing Solaris binaries.  (Off by default, on if "BuildLikeSun"
	is set in sun.cf)

2005-05-15  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c:
	(mtrr_remove_offending):
	Bug #2750: Prevent mtrr_remove_offending from ending up in an
	endless loop if an offending mtrr region refuses to be removed

2005-05-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/fb/fbcompose.c:
	Change return statements to fix compiler errors:
	"fbcompose.c", line 2815: void function cannot return value
	"fbcompose.c", line 2861: void function cannot return value

2005-05-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xxf86vm/Imakefile:
	* lib/Xxf86vm/XF86VM.man:
	* lib/Xxf86misc/Imakefile:
	* lib/Xxf86misc/XF86Misc.man:
	* programs/Xserver/hw/xfree86/doc/Imakefile:
	* programs/Xserver/hw/xfree86/doc/man/Imakefile:
	Move man pages for libXxf86vm & libXxf86misc to the directory for
	the libraries.

Fri May 13 18:35:12 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/X11/*.c: Conditionally include config.h

Thu May 12 12:24:16 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xdmcp/*.c: Conditionally include config.h

Wed May 11 17:00:59 2005  Søren Sandmann  <sandmann@redhat.com>

	* lib/Xau/*.c: Conditionally include config.h

2005-05-10  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/input/evdev/evdev.c:
	Bug #968: Grab the event device used by the evdev driver to avoid
	weird issues when input goes to multiple places.  Restrict building
	the evdev driver to 2.6 kernels since EVIOCGRAB didn't exist in 2.4.

2005-05-09  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (PostKbdEvent):
	* programs/Xserver/hw/xfree86/os-support/shared/at_scancode.c:
	(ATScancode):
	Bugzilla #2561: Disable some keycode translations on PC98, which had
	various bad effects including modifier keys not working.

2005-05-09  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/os-support/bsd/alpha_video.c:
	Bugzilla #2429: Correct the sysarch prototype for FreeBSD/alpha.

2005-05-09  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/input/mouse/mouse.man:
	Bugzilla #2389: Document the maximum number of buttons a mouse can have.
	Correct a missing period I noticed while I was here.

2005-05-09  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/os-support/xf86OSmouse.h:
	Increase the maximum number of buttons from 12 to 24.  Helps with
	button-happy mice like the Logitech MediaPlay.
	(Bugzilla #2390)

2005-05-09  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c: (VESAPreInit),
	(VESASwitchMode), (VESASetMode):
	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.h:
	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.man:
	VBE Set Mode (0x02) to not clear the screen causes problems
	on some BIOSes. This fix adds an option to disable it
	(Bugzilla #3246).

2005-05-09  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/vesa/vesa.c: (VESASetMode):
	Setting the DAC Palette format with VBE function 0x08 causes
	problems on some BIOSes when depth > 8.
	The attached patch avoids this setting (Bugzilla #3247).

2005-05-08  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/fb/fbcompose.c:
	* programs/Xserver/fb/fbpict.c:
	* programs/Xserver/fb/fbpict.h:
	* programs/Xserver/render/picture.h:
	Render performance improvements. (Lars Knoll, Zack Rusin)

2005-05-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/RELNOTES:
	* programs/Xserver/hw/xfree86/doc/README.dps
	* programs/Xserver/hw/xfree86/doc/RELNOTES
	* programs/Xserver/hw/xfree86/doc/sgml/RELNOTES.sgml
	* programs/Xserver/hw/xfree86/doc/sgml/dps.sgml
	Bugzilla #3080: https://bugs.freedesktop.org/show_bug.cgi?id=3080
	Patch #2636: https://bugs.freedesktop.org/attachment.cgi?id=2636
	Clearly document impending demise of DPS.

2005-05-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/config/cf/sun.cf:
	* xc/config/cf/sunLib.tmpl:
	* xc/config/cf/sv4Lib.rules:
	Bugzilla #3243: https://bugs.freedesktop.org/show_bug.cgi?id=3243
	Patch #2635: https://bugs.freedesktop.org/attachment.cgi?id=2635
	libGLU/glxinfo build fixes for Sun C++ compiler on Solaris:
	 - Set C++ runtime library to -lCrun when using Sun C++ 5.0 or newer
	 - Make .so -> .so.$REV links in $TOP/export/lib for C++ libraries on
	   SVR4 in the same way we already do for C libraries
	 - Set libGLU required libraries list for Solaris

2005-05-08  Bogdan Diaconescu  <b_diaconescu@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	Bugzilla #3192: https://bugs.freedesktop.org/show_bug.cgi?id=3192
	Fixed SDK install

2005-05-05  Torrey T. Lyons  <torrey@freedesktop.org>

	* lib/GL/apple/dri_driver.c:
	* programs/Xserver/hw/darwin/darwinKeyboard.c:
	* programs/Xserver/hw/darwin/quartz/xpr/x-hash.c:
	(hash_table_modify):
	Fix build issues on Mac OS X 10.4.0.

2005-05-05  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/dmx/doc/Imakefile:
	Bugzilla #3182: https://bugs.freedesktop.org/show_bug.cgi?id=3182
	Patch #2612: https://bugs.freedesktop.org/attachment.cgi?id=2612
	Protect the doc target with BuildSgmlDocs.

2005-05-03  Eric Anholt  <anholt@FreeBSD.org>

	* config/cf/FreeBSD.cf:
	* config/cf/Imake.cf:
	* programs/Xserver/hw/xfree86/common/compiler.h:
	* programs/Xserver/hw/xfree86/loader/loader.c: (_LoaderFileToMem):
	* programs/Xserver/hw/xfree86/os-support/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	Port X.Org to FreeBSD/powerpc.  This makes a bit of math for sysmouse
	in mouse.c explicitly signed, avoiding the need for -fsigned-chars.
	(Peter Grehan, grehan at FreeBSD dot org)

2005-05-03  Eric Anholt  <anholt@FreeBSD.org>

	* programs/Xserver/hw/xfree86/Imakefile:
	Install the xorg.conf.eg file referred to by xorg.conf(5).  Its
	installation was disabled before 6.7.0 when it was called XF86Config.eg.
	(FreeBSD ports/73915)

2005-04-28  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	Bug #3080: Disable DPS in the default build.

2005-04-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* include/Xosdefs.h:
	Don't define X_NOT_STDC_ENV on Solaris x86.
	Bugzilla #3158: https://bugs.freedesktop.org/show_bug.cgi?id=3158
	Patch #2588: https://bugs.freedesktop.org/attachment.cgi?id=2588
	(Henry Zhao, Sun Microsystems)

2005-04-27  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/os/utils.c: (OsBlockSignals):
	Catch SIGCHLD in OsBlockSignals() too to make sure this
	signal doesn't intercept reading the authority file (Fabian Franz,
	Bugzilla #3137).

2005-04-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	bugzilla #2879 (https://bugs.freedesktop.org/show_bug.cgi?id=2879)
	attachment #2556 (https://bugs.freedesktop.org/attachment.cgi?id=2556)
	Refix for bug 2879 - downgrade 15bit PseudoColor to 14bit - the current
	datatype for the |ColormapEntries| is a |signed short| which is too
	small for |32768| colors (=integer overflow).

2005-04-26 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xdpyinfo/xdpyinfo.c
	bugzilla #2705 (https://bugs.freedesktop.org/show_bug.cgi?id=2705)
	attachment #2555 (https://bugs.freedesktop.org/attachment.cgi?id=2555)
	bug 2705 part II: Fix build to work with |#define BuildXprint NO|
	Patch by Kevin E. Martin <kem@freedesktop.org>

2005-04-25  Alexander Gottwald  <ago at freedesktop dot org>

	* config/xf/X11.tmpl:
	Bug #3069: Reenable DefaultFontPath and DefaultFSFontPath which got
	removed in the BuildLowMem commit

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/loadmod.c:
	Bug #2138: When the server is built with MakeDllModules YES, prefer
	dlloader modules to elfloader modules, and vice versa when
	MakeDllModules is NO.  Based on 028_loader_speed_hack.diff from
	Ubuntu (Daniel Stone).

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #2141: Rework misleading warning message when APM support is
	unavailable. (Previous patch on 2005-04-14 changed the wrong message.)

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Bug #2072: Always define LargePositionIndependentCFlags on sparc
	systems using gcc.  (Ferris McCormick)

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/programs/Xserver/Xext/Imakefile
	* xc/programs/Xserver/dix/Imakefile
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/xpstubs.c
	* xc/programs/Xserver/mi/miinitext.c
	* xc/programs/Xserver/os/utils.c
	bugzilla #2792 (https://bugs.freedesktop.org/show_bug.cgi?id=2792)
	attachment #2526 (https://bugs.freedesktop.org/attachment.cgi?id=2526)
	bug 2792 part II: Make Xprint headers in dix/, mi/, os/ and Xext/
	conditional on whether the Xprint extension is build or not.
	Patch by Egbert Eich  <eich@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/main.c
	bugzilla #3118 (https://bugs.freedesktop.org/show_bug.cgi?id=3118)
	attachment #2525 (https://bugs.freedesktop.org/attachment.cgi?id=2525)
	Get Xprint server working again which was broken by the
	05/04/20 05:49:46 commit commit (the CPP symbol |XPRINT| is not
	universally available when building the Xserver and should be used
	with care).

2005-04-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/linux.cf
	* xc/config/cf/sun.cf
	bugzilla #3023 (https://bugs.freedesktop.org/show_bug.cgi?id=3023)
	attachment #2523 (https://bugs.freedesktop.org/attachment.cgi?id=2523)
	Make the Xserver and libraries (X11, Xt, Xaw etc.) and client
	applications largefile-aware by default on Linux and Solaris (*BSD
	platforms and IRIX are aready largefile-aware by default, only the
	status of AIX+HP/UX is currently unknown). The change does not
	affect Xserver modules loaded via the ELF loader which would either
	require an ABI change or a port of the whole lf64(5) API (both steps
	may not be required as the ELF loader may go away in favour of the DL
	loader where the libc wrapper is no longer needed to access files).

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	Bug #2606: Force the Security extension to be built if the Appgroup
	extension is requested.

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/loadmod.c:
	Bug #3016: Don't complain as loudly about failing to load a module
	that's already loaded.

2005-04-23  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/elf.h:
	* programs/Xserver/hw/xfree86/loader/elfloader.c:
	Bug #3109: Handle R_ALPHA_BRSGP relocations in elfloader.
	(Sergey Tikhonov)

2005-04-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/os-support/xf86_libc.h:
	Work around clash between Solaris headers and module loader headers
	over definition of FILE.

2005-04-22  Alan Coopersmith  <alan.coopersmith@sun.com>

	* extras/ogl-sample/main/gfx/lib/glu/libnurbs/internals/simplemath.h:
	Add Sun CC to the list of compilers for which abs() should not be
	redefined.

2005-04-22  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/X11.tmpl:
	* lib/font/fontfile/ffcheck.c:
	* lib/font/fontfile/register.c:
	* programs/Xserver/Imakefile:
	* programs/Xserver/cfb/cfbgc.c:
	* programs/Xserver/cfb/cfbimage.c:
	* programs/Xserver/cfb/cfbpush8.c:
	* programs/Xserver/hw/sun/Imakefile:
	* programs/Xserver/hw/sun/sunCfb.c:
	* programs/Xserver/hw/sun/sunCursor.c:
	* programs/Xserver/hw/sun/sunInit.c:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfbgc.c:
	* programs/Xserver/hw/xfree86/xf8_32bpp/cfbgcunder.c:
	* programs/Xserver/lmfcfb/Imakefile:
	* programs/Xserver/mfb/Imakefile:
	* programs/Xserver/mfb/maskbits.c:
	* programs/Xserver/mfb/mfbbitblt.c:
	* programs/Xserver/mfb/mfbgc.c:
	* programs/Xserver/mfb/mfbimggblt.c:
	* programs/Xserver/mfb/mfbpixmap.c:
	* programs/Xserver/mfb/mfbscrinit.c:
	* programs/xfs/difs/Imakefile:
	* programs/xfs/difs/initfonts.c:
	Bug #3069: Drop the BuildLowMem hack, it doesn't compile and isn't
	useful.

2005-04-22  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	* programs/Xserver/hw/xfree86/common/xf86Bus.c:
	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	* programs/Xserver/hw/xfree86/loader/xf86sym.c:
	* programs/Xserver/hw/xfree86/os-support/xf86_OSproc.h:
	* programs/Xserver/hw/xfree86/os-support/bus/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.h:
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_ia64.c:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_pci.c:
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.c:
	* programs/Xserver/hw/xfree86/os-support/shared/ia64Pci.h:
	* programs/Xserver/hw/xfree86/os-support/bus/altixPCI.c:
	* programs/Xserver/hw/xfree86/os-support/bus/altixPCI.h:
	Bug #2373: SGI Altix platform support.  (Shrijeet Mukherjee,
	Jesse Barnes, Bjorn Helgaas, Egbert Eich.)

2005-04-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
	* programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c
	* programs/Xserver/hw/xfree86/drivers/nv/nv_type.h
	Bugzilla #3095 <https://bugs.freedesktop.org/show_bug.cgi?id=3095>
	Patch #2501 <https://bugs.freedesktop.org/attachment.cgi?id=2501>
	nv DPMS panel fixes 	(Mark Vojkovich)

2005-04-21  Thomas Winischhofer <thomas@winischhofer.net>

        * programs/Xserver/hw/xfree86/drivers/sis/*
	SiS driver:
	- Add SISCTRL extension
	- Declare Xv interface for SiSCtrl deprecated
	- Remove useless GammaPreBrightness feature
	- Fix LCD+TV mode for dual link panels
	- Add support for LCD-via-CRT1 for 315PRO
	- Add "TVBlueWorkAround" option
	- Various minor fixes

	* programs/Xserver/hw/xfree86/drivers/sisusb/*
	SiSUSB driver:
	- Add SISCTRL extension
	- Declare Xv interface for SiSCtrl deprecated

2005-04-20  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/drivers/ati/theatre.h
	Build fix for DoLoadableServer = NO systems.

2005-04-20  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/xinit/startx.cpp:
	Separate server auth and client .Xautority file in startx.
	.Xautority might have credentials from other Xservers which
	we might not want to enable on ours Bugzilla #3078).

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/GL/windows/glwindows.h:
	* programs/Xserver/GL/windows/glwrap.c:
	* programs/Xserver/os/auth.c:
	* programs/Xserver/os/xdmcp.c:
	* programs/Xserver/xkb/ddxLoad.c:
	Fix includes right throughout the Xserver tree:
	  * apply changes to windows specific includes
	* programs/Xserver/os/xdmauth.c:
	Fix includes right throughout the Xserver tree:
	  * apply changes to Xdmcp.h

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/xtrans/Imakefile:
	Fix includes right throughout the Xserver tree:
	  * Create both X11/Xtrans/Xtrans.h and X11/Xtrans.h in exports/include.
	    The first is for Xserver, the second is for libX11 and friends.

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/xedit/util.c:
	Move variable declaration to top. Makes gcc2 happy.

2005-04-20  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/*:
	Fix includes right throughout the Xserver tree:
	  * change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
	  * change "foo.h", "extensions/foo.h" and "X11/foo.h" to
	    <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
	  * change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.
	* programs/Xserver/dix/main.c (InitOutput):
	Conditionalise usage of Xprint headers and functions.

2005-04-20  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/Xt/Initialize.c:
	Bugzilla #3072 (https://bugs.freedesktop.org/show_bug.cgi?id=3072)
	attachment #2469 (https://bugs.freedesktop.org/attachment.cgi?id=2469):
	fix uninitialized pointer in libXt on Win32. Reported by Dave Williss

2005-04-18  Bogdan Diaconescu  <b_diaconescu@yahoo.com>
	Added support for RageTheatre200 see BugZilla #2778
	https://bugs.freedesktop.org/show_bug.cgi?id=2778

	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/generic_bus.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInit): Added new option for the ATI driver:
	RageTheatreMicrocPath - file path for microcode,
	RageTheatreMicrocType - BINARY or ASCII. When RT200 is
	detected, microcode is uploaded from the specified file.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mm_i2c.c:
	(RADEONInitI2C): Changed the i2c bus access method for
	GPUs newer than R100. Added detection code for PAL tuners FM1216MK3.
	Added detection for UDA1380 sound processor.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONAllocAdaptor), (RADEONStopVideo), (RADEONSetPortAttribute),
	(RADEON_TDA9885_SetEncoding): TDA9885 exists on the MK3 tuners.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.h:
	Added UDA1380 object to the RADEONPortPrivRec.
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_vip.c:
	(RADEONVIP_fifo_idle), (RADEONVIP_fifo_read),
	(RADEONVIP_fifo_write), (RADEONVIP_reset), (RADEONVIP_init):
	Added new functions for the VIP bus regarding the FIFO transfer.
	Changed the values at reset for processors newest than R200.
	* programs/Xserver/hw/xfree86/drivers/ati/theatre.c:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre.h:
	* programs/Xserver/hw/xfree86/drivers/ati/theatre_reg.h:
	The theatre chip detection is now in a separate module called
	theatre_detect. Upon detecting the theatre chip type,
	the coresponding theatre module will be loaded. For RageTheatre200
	a new module is created called theater200.
	* programs/Xserver/hw/xfree86/drivers/i2c/Imakefile:
	Added new module uda1380 for the sound chip existing on
	boards featuring RT200.
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.c:
	(FI1236_get_afc_hint), (FI1236_tune), (FI1236_AFC):
	The MK3 tuners (PAL/NTSC/SECAM) now have the AFC signal comming
	from the TDA98xx chip. The AFC hint can be gotten now from I2C.
	* programs/Xserver/hw/xfree86/drivers/i2c/fi1236.h:
	* programs/Xserver/hw/xfree86/drivers/i2c/tda9885.c:
	(tda9885_setparameters): Tweaks for new MK3 tuners.

2005-04-15  Torrey T. Lyons  <torrey@freedesktop.org>

	* lib/GL/apple/dri_glx.c: (GetDriverName), (glXGetDriverConfig):
	* programs/Xserver/hw/darwin/quartz/applewmExt.h:
	Fix cases in Darwin build where a variable is declared static and
	later as extern (XFree86 Bug #1576, Jordan Frank).

2005-04-15 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
	bugzilla #2885 (https://bugs.freedesktop.org/show_bug.cgi?id=2885)
	attachment #2434 (https://bugs.freedesktop.org/attachment.cgi?id=2434)
	Fix Solaris build bustage caused by namespace collision between symbols
	defined in <sys/kbd.h> and those in "xf86_OSlib.h".
	Patch by Alan Coopersmith  <alan.coopersmith@sun.com>.

2005-04-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #2141: Rework misleading warning message when APM support is
	unavailable.

2005-04-14 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Fix initial DDC parameters when validating modes.

2005-04-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/cfb/cfbgc.c:
	Bug #3025: gcc4 build fix.

2005-04-14  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	User reports indicate that both command and vertex DMA on
	SuperSavages lock up the engine. Disabling DMA on SuperSavages
	until someone figures out how to make it work.

2005-04-12 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/psout.c
	bugzilla #3001 (https://bugs.freedesktop.org/show_bug.cgi?id=3001)
	attachment #2404 (https://bugs.freedesktop.org/attachment.cgi?id=2404)
	Improve rendering performance when glXSwapBuffers()| or |XPutImage()|
	are called for the PostScript DDX via optimizing the codepath around
	|PsOut_OutImageBytes()|.
	Patch by Simon Toedt <simon.toedt@gmail.com> and Roland Mainz
	<roland.mainz@nrubsig.org>.

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/vfb/InitOutput.c: (vfbScreenInit):
	Reenable BackingStore in Xvfb.

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	Removing the compiler flag -fsigned-char which is only used
	for a few BE platforms. This still needs some testing - which
	can only be done when in the tree, but since most platforms
	don't need I strongly assume it's not needed. Ticket remains
	open for discussion (Bugzilla #2964).

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/bus/xf86Pci.h:
	Correct the mask bits when checking for a 64bit memory base
	in PCI config space (bugzilla #2963).

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	(NEOPreInit), (NEOValidMode), (neoRestore), (neoModeInit),
	(neoCalcVCLK):
	Fix several mode setting issues:
	  - eliminates DoubleScan modes above height == 1024.
	  - eliminates interlaced modes as we don't know how to turn
	    on interlace.
	  - Fixes clock calculation to prevent lockups.
	  (Bugzilla # 2627)

2005-04-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/mi/miwideline.c:
	Preventing hight for drawing from becoming negative when
	face->dy < 0. The height value is used in miFillPolyHelper()
	to calculate the size of memory to be allocated. A negative
	value will lead to a crash (Bugzilla #2690, Keith Packard,
	Egbert Eich).

2005-04-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.c
	* xc/programs/glxgears/glxgears.c
	* xc/programs/xdbedizzy/xdbedizzy.c
	* xc/programs/xedit/Imakefile
	* xc/programs/xedit/Xedit-xprint.ad
	* xc/programs/xedit/util.c
	* xc/programs/xedit/xedit.h
	* xc/programs/xlogo/print.c
	* xc/programs/xlogo/xlogo.c
	* xc/programs/xlogo/xlogo.h
	* xc/programs/xman/Imakefile
	* xc/programs/xman/print.h
	* xc/programs/xmore/Imakefile
	* xc/programs/xmore/print.c
	* xc/programs/xmore/print.h
	* xc/programs/xmore/printdialog.c
	* xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
	* xc/programs/xphelloworld/xphelloworld/xphelloworld.c
	* xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c
	* xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.c
	* xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.c
	bugzilla #790 (https://bugs.freedesktop.org/show_bug.cgi?id=790)
	attachment #2379 (https://bugs.freedesktop.org/attachment.cgi?id=2379)
	Implement support client+Xserver support for passing output
	(stdout+stderr) of the spooler command started by the Xprint
	server back to the application using the "xp-spooler-command-results"
	XPJobAttr attribute (applications can fetch the attribute value after
	the XPEndJobNotify event was received; more details can be found
	in http://xprint.mozdev.org/docs/dtprint_fspec.ps).

2005-04-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xman/buttons.c
	bugzilla #2942 (https://bugs.freedesktop.org/show_bug.cgi?id=2942)
	attachment #2360 (https://bugs.freedesktop.org/attachment.cgi?id=2360)
	Fix possible crash due uninitalised structure when "xman" opens the
	print dialog.

2005-04-05  Daniel Stone  <daniel@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Release SDA/SDL I2C lines from an asserted-low state after a DDC probe,
	which caused Apple Studio Display monitors to shut off after a second
	or so (Ben Herrenschmidt).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitAccel):
	Add ROP_NEEDS_SOURCE to Mono8x8PatternFill as S3 chips tend
	to lock up without it (Helmut Fahrion).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/xf86cfg/accessx.c:
	(CreateAccessXHelpDialog), (AccessXInitialize):
	* programs/Xserver/hw/xfree86/xf86cfg/card-cfg.c:
	(CardModelCallback), (CardModel):
	* programs/Xserver/hw/xfree86/xf86cfg/config.c: (StartConfig):
	* programs/Xserver/hw/xfree86/xf86cfg/expert.c:
	(ExpertConfigureStart), (ExpertConfigureEnd), (CreateFiles),
	(CreateFilesField), (UpdateFiles), (CreateFontPathField),
	(CreateModulePathField), (CreateModuleField), (CreateModesField),
	(CreateModeLineField), (CreateVideoAdaptorField),
	(VideoAdaptorUpdate), (CreateVideoPortField), (CreateMonitorField),
	(MonitorUpdate), (CreateMonitorModesField), (CreateDeviceField),
	(DeviceUpdate), (CreateScreenField), (ScreenUpdate),
	(CreateScreenAdaptorField), (CreateScreenDisplayField),
	(ScreenDisplayUpdate), (CreateDisplayModeField),
	(CreateInputField), (InputUpdate), (CreateLayoutField),
	(CreateAdjacencyField), (AdjacencyMenuCallback),
	(AdjacencyToggleCallback), (CreateInputrefField),
	(CreateVendorField), (CreateVendorSubField), (VendorSubUpdate),
	(CreateDRIField), (DRIUpdate), (CreateBuffersField),
	(BuffersUpdate), (DeleteNode), (ToggleNodeRecursive), (ToggleNode),
	(ExpertInitialize):
	* programs/Xserver/hw/xfree86/xf86cfg/help.c: (Help), (StartHelp),
	(Html_ModeStart), (Html_ModeEnd):
	* programs/Xserver/hw/xfree86/xf86cfg/interface.c: (main),
	(AskConfig), (QuitCallback), (AddDevice), (SelectLayoutCallback),
	(DefaultLayoutCallback):
	* programs/Xserver/hw/xfree86/xf86cfg/keyboard-cfg.c:
	(UpdateRulesPopups), (KeyboardModelAndLayout):
	* programs/Xserver/hw/xfree86/xf86cfg/monitor-cfg.c:
	(MonitorLayout):
	* programs/Xserver/hw/xfree86/xf86cfg/mouse-cfg.c:
	(MouseDeviceAndProtocol):
	* programs/Xserver/hw/xfree86/xf86cfg/options.c:
	(ModuleOptionsPopup), (OptionsPopup):
	* programs/Xserver/hw/xfree86/xf86cfg/screen-cfg.c: (ScreenDialog):
	* programs/Xserver/hw/xfree86/xf86cfg/vidmode.c:
	(VideoModeInitialize), (VideoModeConfigureStart), (GetModes),
	(ForceAddMode), (AddMode), (TestCallback):
	* programs/editres/widgets.c:
	* programs/xedit/ispell.c: (InitIspell):
	* programs/xedit/options.c: (CreateColumnsShell):
	Fixed sentinels in Xt, editres and xedit to reduce number of
	warnings with gcc4 (Andreas Schwab).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/xf86cfg/screen.c: (AdjustScreenUI):
	Fix typo leading to bogus code in xorgcfg (Andreas Schwab).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>
	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/os-support/bus/zx1PCI.c:
	(xf86PreScanZX1), (xf86PostScanZX1):
	Support for HP's IPF ZX1 systems (Alex Williamson).

2005-04-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	* programs/Xserver/hw/xfree86/loader/elfloader.c:
	(ELFCollectSections):
	When not using dlopen ia64 needs an extra cache
	flush to ensure the icache is coherent when modules
	are loaded (Alex Williamson).

2005-04-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* lib/Xevie/Xevie.man:
	Clean up text and formatting of Xevie man page

2005-04-03  Adam Jackson  <ajax@freedesktop.org>

	* lib/SM/sm_process.c:
	Bug #1447: Fix a use-after-free case in libSM. (Mark McLoughlin)

2005-04-02  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.tmpl:
	Bug #2884: Canonicalize BUILDERADDR to point to
	@lists.freedesktop.org.

2005-04-01  Torrey T. Lyons  <torrey@freedesktop.org>

	* programs/Xserver/hw/darwin/quartz/XServer.m:
	Fix XDarwin's handling of Wacom tablet mouse buttons (Based on patch
	suggested by Daphne Pfister).

2005-04-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ps/Imakefile
	* xc/programs/Xserver/Xprint/ps/Ps.h
	* xc/programs/Xserver/Xprint/ps/PsArea.c
	* xc/programs/Xserver/Xprint/ps/PsColor.c
	* xc/programs/Xserver/Xprint/ps/PsImageUtil.c
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	* xc/programs/Xserver/Xprint/ps/psout.h
	bugzilla #2879 (https://bugs.freedesktop.org/show_bug.cgi?id=2879)
	attachment #2287 (https://bugs.freedesktop.org/attachment.cgi?id=2287)
	Follow-up to bugzilla #1299: Add new visuals in the Postscript DDX
	(including TrueColor 16bit, PseudoColor 15bit/12bpg(12 bits per R-,
	G-, B-channel as in PostScript Level 2 (and above) colors can have 12
	bits per component (36 bit for RGB)), PseudoColor+GrayScale+StaticGray
	12bit/12bpg) and switch the default visual from PseudoColor 8bit/8bpg
	to PseudoColor 12bit/12bpg.

2005-04-01  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/loader/xf86sym.c
	* programs/Xserver/hw/xfree86/os-support/shared/libc_wrapper.c
	Fix setjump0 declaration for DllLoader.

2005-04-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/int10/helper_exec.c: (x_inl),
	(x_outl), (pciCfg1out):
	bugzilla #2880 (https://bugs.freedesktop.org/show_bug.cgi?id=2880)
	attachment #2285 (https://bugs.freedesktop.org/attachment.cgi?id=2285)
	Use system method to access PCI config space.

2005-04-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/loader/dixsym.c:
	Bug #2835: Add symbol exports to support the ReadDisplay extension.

2005-04-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Check the VESA BIOS scanline requirements and adjust the
	displayWidth accordingly. Fixes an assumption that the screen width
	was always used as the displayWidth.

2005-03-31  Torrey T. Lyons  <torrey@freedesktop.org>

	* config/cf/darwin.cf:
	Reenable default build of xterm since Darwin does not provide
	an alternate source for it.

2005-03-31  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	- Add new Radeon pci ids (ATI devrel), bug 2827

2005-03-31 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c

	Patch from Antti Ajanki - provide VBI capture support for
	PAL and SECAM (You need GATOS km module to actually get at the
	data, the change merely configures the hardware to handle it
	correctly).

2005-03-29  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c:
	bugzilla #2844 (https://bugs.freedesktop.org/show_bug.cgi?id=2844)
	attachment #2230 (http://bugs.freedesktop.org/attachment.cgi?id=2230)
	Wait for idle before uploading HW cursor data to the framebuffer to
	avoid lockups when moving the mouse on some machines.

2005-03-28  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPllErrataAfterIndex), (RADEONPllErrataAfterData),
	(RADEONOUTPLL), (RADEONPLLWriteUpdate), (RADEONPLL2WriteUpdate),
	(RADEONRestorePLL2Registers):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	bugzilla #2840 (https://bugs.freedesktop.org/show_bug.cgi?id=2840)
	attachment #2227 (https://bugs.freedesktop.org/attachment.cgi?id=2227)
	Fix build problems introduced by previous Radeon PLL errata
	workarounds.

2005-03-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/xvinfo/xvinfo.man:
	Change hardcoded "1" to __appmansuffix__ and remove initial
	blank line that confused Solaris nroff.

Sat Mar 26 19:00:30 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbpict.h: Remove accidentally committed
	prototype.

Sat Mar 26 18:49:21 2005  Soeren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.h
	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8888mmx): New
	function.

	* programs/Xserver/fb/fbpict.c (fbComposite): Hook it up here

2005-03-25  Dave Airlie <airlied@linux.ie>

	* programs/Xserver/hw/xfree86/drivers/ati/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/ati/aticonfig.c:
	(ATIProcessOptions):
	* programs/Xserver/hw/xfree86/drivers/ati/aticonsole.c:
	(ATIProbeAndSetActiveDisplays), (ATIEnterGraphics),
	(ATILeaveGraphics):
	* programs/Xserver/hw/xfree86/drivers/ati/atilock.c: (ATIUnlock),
	(ATILock):
	* programs/Xserver/hw/xfree86/drivers/ati/atimach64.c:
	(ATIMach64Calculate):
	* programs/Xserver/hw/xfree86/drivers/ati/atimode.c:
	(ATIModeCalculate), (ATISetVBEMode), (ATIModeSet):
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.c:
	* programs/Xserver/hw/xfree86/drivers/ati/atioption.h:
	* programs/Xserver/hw/xfree86/drivers/ati/atipreinit.c:
	(ATIPreInit):
	* programs/Xserver/hw/xfree86/drivers/ati/atiscreen.c:
	(ATIScreenInit):
	* programs/Xserver/hw/xfree86/drivers/ati/atistruct.h:
	bugzilla #2057 (https://bugs.freedesktop.org/show_bug.cgi?id=2057)
	attachment #1516 (https://bugs.freedesktop.org/attachment.cgi?id=1516)
	Add TVOUT Support for Mach64 (Leif Delgass, fixed up for Xorg by me).

2005-03-24 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/ps/Imakefile
	* xc/programs/Xserver/Xprint/ps/PsInit.c
	bugzilla #2821 (https://bugs.freedesktop.org/show_bug.cgi?id=2821)
	attachment #2215 (https://bugs.freedesktop.org/attachment.cgi?id=2215)
	Remove the cfb dependicy from the PostScript DDX as this is not needed
	in a vector DDX (mfb is still needed to fill the |BitmapToRegion()|
	callback with |mfbPixmapToRegion()|).

2005-03-24  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c:
	(RADEONEngineReset):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_bios.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONINPLL), (RADEONOUTPLL), (RADEONProbePLLParameters),
	(RADEONGetPanelInfoFromReg), (RADEONPreInitConfig),
	(RADEONRestoreFPRegisters), (RADEONRestorePLLRegisters),
	(RADEONRestorePLL2Registers), (RADEONSave), (RADEONRestore),
	(RADEONDisplayPowerManagementSet), (RADEONSetDynamicClock):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_macros.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mm_i2c.c:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONAllocAdaptor), (RADEONDisplayVideo):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_vip.c:
	- radeon PLL access errata workarounds (Benjamin Herrenschmidt, acked by Hui Yu)

2005-05-23  Matthieu Herrb <matthieu.herrb@laas.fr>

	* config/cf/OpenBSD.cf:
	OpenBSD doesn't have libpng in base system.
	* config/cf/OpenBSDLib.tmpl
	Bump libfreetype2 minor after update to 2.1.9
	* config/cf/X11.tmpl
	Update freetype version in comments
	* programs/Xserver/Xext/saver.c:
	bugzilla #2194: fix an alignement problem on 64 bit architectures.

2005-03-23  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c:
	(mtrr_cull_wc_region), (mtrr_remove_offending),
	(mtrr_add_wc_region):
	Bugzilla #2750 (https://bugs.freedesktop.org/show_bug.cgi?id=2750)
	Linux-only fixes:
	Fix case where a smaller write-combining region blocks write-combining
	setting of the whole frame buffer.
	Fix bug in wc setting code when regions are first splitted
	and setting of write-combining then fails.

2005-03-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/vfb/InitOutput.c
	* xc/programs/Xserver/hw/vfb/Xvfb.man
	bugzilla #2791 (https://bugs.freedesktop.org/show_bug.cgi?id=2791)
	attachment #2197 (https://bugs.freedesktop.org/attachment.cgi?id=2197)
	Add support for 12bit PseudoColor and 30bit TrueColor to Xvfb.

2005-03-23 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Imakefile
	* xc/programs/Xserver/Xprint/DiPrint.h
	* xc/programs/Xserver/Xprint/Imakefile
	* xc/programs/Xserver/Xprint/Init.c
	* xc/programs/Xserver/Xprint/ddxInit.c
	* xc/programs/Xserver/dix/Imakefile
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/xpstubs.c
	* xc/programs/Xserver/os/Imakefile
	* xc/programs/Xserver/os/utils.c
	bugzilla #2792 (https://bugs.freedesktop.org/show_bug.cgi?id=2792)
	attachment #2193 (https://bugs.freedesktop.org/attachment.cgi?id=2193)
	Fix build bustage when |PrintOnlyServer| is set to |NO|.
	Patch by Roland Mainz <roland.mainz@nrubsig.org> and Julien
	Lafon <julien.lafon@gmail.com>.

2005-03-22 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/vfb/InitOutput.c
	bugzilla #2789 (https://bugs.freedesktop.org/show_bug.cgi?id=2789)
	attachment #2187 (https://bugs.freedesktop.org/attachment.cgi?id=2187)
	Fix Xvfb to honor the "-dpi" option (instead of using a hardcoded
	value of 100DPI).

2005-03-22  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xorg.conf.man:
	Bug #1821: Typo fix in xorg.conf man page (Jens Schweikhardt)

Tue Mar 22 12:47:16 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/miext/damage/damage.c (damageCopyPlane): Only
	validate the source if it is a viewable window. Stops the cursor
	flickering when it is above an unviewable window.

2005-03-21 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	Fix some bad alignment problems when allocating memory from
	the end of AGP space.
	Bugzilla #2764 (https://bugs.freedesktop.org/show_bug.cgi?id=2764)

2005-03-20  Alan Coopersmith  <alan.coopersmith@sun.com>
	* xc/lib/X11/ErrDes.c
	* xc/lib/X11/XKBSetGeom.c
	Bugzilla #132 (https://bugs.freedesktop.org/show_bug.cgi?id=132)
	Patch #2168 (https://bugs.freedesktop.org/attachment.cgi?id=2168)
	Replace a couple of BUFSIZE uses with better values to check against.
	Fixes by Stuart Anderson <anderson@netsweng.com>

2005-03-20 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xset/xset.c
	bugzilla #2258 (https://bugs.freedesktop.org/show_bug.cgi?id=2258)
	attachment #2166 (https://bugs.freedesktop.org/attachment.cgi?id=2166)
	"xset q" (query) should not print an error message ('Xlib:  extension
	"XFree86-Misc" missing on display ":35.0".') when the "XFree86-Misc"
	is not available on the Xserver.

2005-03-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/Compose/iso8859-2
	* xc/nls/Compose/iso8859-3
	* xc/nls/Compose/iso8859-9
	* xc/nls/Compose/iso8859-9e
	bugzilla #2592 (https://bugs.freedesktop.org/show_bug.cgi?id=2592)
	attachment #2156 (https://bugs.freedesktop.org/attachment.cgi?id=2156)
	Fix a couple of typos in ISO8859-* Compose files
	("asciicircum" instead "of asciicirum").
	Patch by Matthias Hopf <mhopf@suse.de>.

2005-03-19 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/mi/miinitext.c
	bugzilla #2771 (https://bugs.freedesktop.org/show_bug.cgi?id=2771)
	attachment #2148 (https://bugs.freedesktop.org/attachment.cgi?id=2148)
	Remove RENDER extension from exclusion list for the standalone print
	server (Xprt) to get this extension enabled if the print DDX support
	it.

2005-03-18  Michel Daenzer <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	Add support for production version of ATI RN50/ES1000. (ATI
	Technologies Inc.)

2005-03-17  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavageEnterVT):
	Invalidate 3D hardware state in SavageEnterVT. This fixes 3D
	applications running during a suspend-resume cycle.

2005-03-16 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c
	Back out RadeonWaitForIdleMMIO that I put in earlier.

	From discussion on dri-devel we do not need to be as
	careful with INREG() access on Radeons as we are on mach64
	chips.

	The fix is backed out due to:
	    * it breaks DRI on SMP systems (due to absense of the
	      lock in mouse handling functions)
	    * I am no longer able to reproduce the lockup I saw before

2005-03-16  Torrey T. Lyons  <torrey@freedesktop.org>

	* config/cf/darwin.cf:
	* programs/Xserver/cfb/cfballpriv.c:
	Fix build on stock Mac OS X: Out of the box, Mac OS X does not include
	Freetype2, Expat, or PNG. Also global variables should be initalized
	in the Xserver.

2005-03-17  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIMapInit):
	Fixed PCI ShadowStatus initialization for the case that
	ShadowStatus is explicitly enabled in the configuration file.

Wed Mar 16 16:17:43 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/miext/damage/damage.c (damageCopyArea): Only
	validate the source if it is a viewable window. Stops the cursor
	flickering when it is above an unviewable window.

2005-03-16  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetConfig):
	Don't fail calling function when DriverFunc() for RandR
	fails as DriverFunc() also returns FALSE when the
	specific sub function isn't supported.
	In the case of xf86RandRGetInfo() we simply rely on what
	has been set before and return TRUE.
	In the case of xf86RandRSetConfig() we only bail with
	FALSE if we have to do a rotation and the call fails.
	We presently cannot do rotation on the fly without the
	help of a driver function (Bugzilla #2745).


2005-03-16  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/loader/loader.c: (ARCHIVELoadModule):
	Make message that gets printed when loader encounters a .o
	with no symbols less conspicuous (Bugzilla #2744).

2005-03-15  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.c:
	(SavageInitStreamsOld), (SavageInitStreams2000),
	(PatchEnableSPofPanel):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_streams.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_video.c:
	(GetBlendForFourCC), (GetBlendForFourCC2000),
	(SavageSetColorKey2000), (SavageSetColor2000), (SavageSetBlend),
	(SavageDisplayVideoOld), (SavageDisplayVideo2000),
	(SavagePutImage):
	- small fixups for old streams
	- more work on Xv support for savage2000 (still not working 100%)

2005-03-15 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	LFP's may exist on Pipe A in older i830's. Check that case so
	that Panel ID can be obtained and Xvideo is correctly setup for
	panel fitting.

2005-03-15 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	Enforce DDC monitor ranges usage if we have them and reject bad
	modes. Use NoDDC option to override DDC timings. We currently
	only use DS_RANGES, but could use other DDC information, as does
	the common layer, to deduce the h/v ranges.

2005-03-13  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIScreenInit),
	(SAVAGEDRIFinishScreenInit):
	Fixed fallback to PCI mode when AGP initialization fails.

2005-03-13  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGECreateContext), (SAVAGEDestroyContext), (SAVAGEDRIAgpInit),
	(SAVAGEDRIScreenInit), (SAVAGEDRICloseScreen):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Removed lots of dead code.
	- Moved driver-private definitions from savage_dri.h to
	  savage_driver.h. savage_dri.h should only contain the public
	  interface between DDX and DRI drivers.
	- Don't forget to remove the command DMA mapping in
	  SAVAGEDRICloseScreen.

2005-03-11 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/twm/Imakefile
	* xc/programs/twm/twm.c
	* xc/programs/xdpyinfo/xdpyinfo.c
	bugzilla #2705 (https://bugs.freedesktop.org/show_bug.cgi?id=2705)
	attachment #2087 (https://bugs.freedesktop.org/attachment.cgi?id=2087)
	Make twm ignore print screens to avoid that users accidentally warp
	on a non-video screen (which are not visible on any monitor) when
	the Xserver has both video and print screens.
	(This includes also a small cleanup of xdpyinfo where parts of the
	print screen test code comes from)
	Patch by Julien Lafon <julien.lafon@gmail.com> (MIT/X.org license).

2005-03-11 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/twm/add_window.c
	* xc/programs/twm/cursor.c
	* xc/programs/twm/events.c
	* xc/programs/twm/gc.c
	* xc/programs/twm/gram.y
	* xc/programs/twm/iconmgr.c
	* xc/programs/twm/icons.c
	* xc/programs/twm/list.c
	* xc/programs/twm/menus.c
	* xc/programs/twm/parse.c
	* xc/programs/twm/resize.c
	* xc/programs/twm/twm.c
	* xc/programs/twm/util.c
	bugzilla #2566 (https://bugs.freedesktop.org/show_bug.cgi?id=2566)
	attachment #2083 (https://bugs.freedesktop.org/attachment.cgi?id=2083)
	ANSI-fy twm window manager code.
	The conversion preserves the comments which annotate variables and
	function arguments (these have been moved into doxygen(esque?) "stubs"
	above each function.
	Patch by Mike Owens <etc@filespanker.com>.

2005-03-11  Thomas Winischhofer <thomas@winischhofer.net>

	* programs/Xserver/hw/xfree86/drivers/sis/*
	SiS driver:
	- MergedFB/Xinerama: Added support for non-rectangular layouts
	  (no panning into dead areas, mouse restriced to accessible
	  areas)
	- MergedFB/Xinerama: Added support for RandR.
	- MergedFB: Improved "physical alignment compensation" Offset
	  by disallowing panning and mouse movements into dead areas.
	- Added "Reflect" feature: Reflect screen in x, y or x+y direction
	- Added aspect ratio detection for analog (VGA) devices.
	- Fixed FSTN support on SiS55x (for 320x240 xSTN panels)
	- Workaround for SiS76x memory access latency issues if no local
	  framebuffer memory is present.
	- Fixed bug in SaveScreen() causing a sig 11 sometimes.
	- Minor others.

2005-03-08  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/lbxproxy/os/connection.c:
	Bugzilla Bug 2678 (https://bugs.freedesktop.org/show_bug.cgi?id=2678)
	Patch #2051 (https://bugs.freedesktop.org/attachment.cgi?id=2051)
  	lbxproxy core dumps on exit if clients have had authentication failures
	(Sun bug #5074303 - Fix by Derek Wang <derek.wang@sun.com>)

2005-03-09  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONScreenInit): Fix accidentally removed depth pitch
	adjustment if displayWidth is not a multiple of 32 pixels
	(bug #788)

2005-03-08  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/shared/libc_wrapper.c:
	(xf86open), (xf86strerror), (xf86GetErrno):
	* programs/Xserver/hw/xfree86/os-support/xf86_libc.h:
	Adding more errnos to the libc wrapper (Bugzilla #2672).

2005-03-07  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/lib/X11/imEvToWire.c:
	Bugzilla Bug 2006 (https://bugs.freedesktop.org/show_bug.cgi?id=2006)
	Patch #2031 (https://bugs.freedesktop.org/attachment.cgi?id=2031)
	XEmbed client doesn't receive key events from XIM: Use | to set a bit,
	not &.   Patch by Hidetoshi Tajima <hidetoshi.tajima@sun.com>.

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/dix/atom.c
	* xc/programs/Xserver/dix/colormap.c
	* xc/programs/Xserver/dix/cursor.c
	* xc/programs/Xserver/dix/devices.c
	* xc/programs/Xserver/dix/dispatch.c
	* xc/programs/Xserver/dix/dixfonts.c
	* xc/programs/Xserver/dix/dixutils.c
	* xc/programs/Xserver/dix/events.c
	* xc/programs/Xserver/dix/extension.c
	* xc/programs/Xserver/dix/gc.c
	* xc/programs/Xserver/dix/glyphcurs.c
	* xc/programs/Xserver/dix/grabs.c
	* xc/programs/Xserver/dix/main.c
	* xc/programs/Xserver/dix/pixmap.c
	* xc/programs/Xserver/dix/privates.c
	* xc/programs/Xserver/dix/property.c
	* xc/programs/Xserver/dix/resource.c
	* xc/programs/Xserver/dix/swaprep.c
	* xc/programs/Xserver/dix/swapreq.c
	* xc/programs/Xserver/dix/window.c
	bugzilla #2560 (https://bugs.freedesktop.org/show_bug.cgi?id=2560)
	attachment #2037 (https://bugs.freedesktop.org/attachment.cgi?id=2037)
	ANSI-fy Xserver/dix code.
	The conversion preserves the comments which annotate variables.
	These have been moved into doxygen(esque?) "stubs" above each
	function.
	Patch by Mike Owens <etc@filespanker.com>.

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/glxgears/glxgears.c
	bugzilla #2220 (https://bugs.freedesktop.org/show_bug.cgi?id=2220)
	attachment #2035 (https://bugs.freedesktop.org/attachment.cgi?id=2035)
	Backout of attachment #1630 (https://bugs.freedesktop.org/attachment.cgi?id=1630)
	as the described issue should be fixed in the GLX implementation of
	the server side (per discussion in xorg@freedesktop.org).

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/Imake.rules
	* xc/programs/Xserver/hw/xfree86/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/apm/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/ark/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/ati/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/chips/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/cirrus/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/cyrix/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/dummy/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/fbdev/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/glide/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/glint/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i128/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i2c/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i740/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i810/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/imstt/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/mga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/neomagic/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/newport/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/nsc/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/nv/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/rendition/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/s3/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/s3virge/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/savage/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/siliconmotion/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sis/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sisusb/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunbw2/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg14/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg3/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suncg6/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/sunleo/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/suntcx/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tdfx/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/trident/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/tseng/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/v4l/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vesa/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vga/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/via/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/vmware/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/voodoo/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/wsfb/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/acecad/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/aiptek/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/calcomp/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/citron/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/digitaledge/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/dmc/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/dynapro/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/elo2300/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/elographics/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/evdev/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/fpit/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/hyperpen/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/jamstudio/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/joystick/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/keyboard/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/magellan/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/magictouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/microtouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/mouse/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/mutouch/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/palmax/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/penmount/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/sample/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/spaceorb/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/summa/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/tek4957/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/ur98/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/void/Imakefile
	* xc/programs/Xserver/hw/xfree86/input/wacom/Imakefile
	Bugzilla #2663 (https://bugs.freedesktop.org/show_bug.cgi?id=2663)
	attachment #2034 (https://bugs.freedesktop.org/attachment.cgi?id=2034):
	Cleanup Xorg server module installation.

2005-03-07 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	* xc/extras/freetype2/ChangeLog
	* xc/extras/freetype2/Jamfile
	* xc/extras/freetype2/README
	* xc/extras/freetype2/builds/freetype.mk
	* xc/extras/freetype2/builds/unix/configure
	* xc/extras/freetype2/builds/unix/configure.ac
	* xc/extras/freetype2/builds/win32/visualc/freetype.dsp
	* xc/extras/freetype2/builds/win32/visualc/freetype.vcproj
	* xc/extras/freetype2/builds/win32/visualc/index.html
	* xc/extras/freetype2/devel/ftoption.h
	* xc/extras/freetype2/docs/CHANGES
	* xc/extras/freetype2/docs/VERSION.DLL
	* xc/extras/freetype2/docs/formats.txt
	* xc/extras/freetype2/include/freetype/cache/ftcmru.h
	* xc/extras/freetype2/include/freetype/config/ftmodule.h
	* xc/extras/freetype2/include/freetype/config/ftoption.h
	* xc/extras/freetype2/include/freetype/freetype.h
	* xc/extras/freetype2/include/freetype/ftcache.h
	* xc/extras/freetype2/include/freetype/ftmm.h
	* xc/extras/freetype2/include/freetype/internal/ftmemory.h
	* xc/extras/freetype2/include/freetype/internal/ftstream.h
	* xc/extras/freetype2/include/freetype/internal/fttrace.h
	* xc/extras/freetype2/include/freetype/internal/psaux.h
	* xc/extras/freetype2/include/freetype/internal/services/svmm.h
	* xc/extras/freetype2/include/freetype/internal/tttypes.h
	* xc/extras/freetype2/include/freetype/t1tables.h
	* xc/extras/freetype2/include/freetype/tttables.h
	* xc/extras/freetype2/include/freetype/tttags.h
	* xc/extras/freetype2/src/autofit/afangles.c
	* xc/extras/freetype2/src/autofit/afdummy.c
	* xc/extras/freetype2/src/autofit/afglobal.c
	* xc/extras/freetype2/src/autofit/afhints.c
	* xc/extras/freetype2/src/autofit/afhints.h
	* xc/extras/freetype2/src/autofit/aflatin.c
	* xc/extras/freetype2/src/autofit/aflatin.h
	* xc/extras/freetype2/src/autofit/afloader.c
	* xc/extras/freetype2/src/autofit/afmodule.c
	* xc/extras/freetype2/src/autofit/aftypes.h
	* xc/extras/freetype2/src/autohint/ahhint.c
	* xc/extras/freetype2/src/autohint/ahmodule.c
	* xc/extras/freetype2/src/base/ftbbox.c
	* xc/extras/freetype2/src/base/ftdbgmem.c
	* xc/extras/freetype2/src/base/ftexcept.c
	* xc/extras/freetype2/src/base/ftgloadr.c
	* xc/extras/freetype2/src/base/ftglyph.c
	* xc/extras/freetype2/src/base/fthash.c
	* xc/extras/freetype2/src/base/ftlist.c
	* xc/extras/freetype2/src/base/ftmm.c
	* xc/extras/freetype2/src/base/ftobject.c
	* xc/extras/freetype2/src/base/ftobjs.c
	* xc/extras/freetype2/src/base/ftstream.c
	* xc/extras/freetype2/src/base/ftsysio.c
	* xc/extras/freetype2/src/base/ftsysmem.c
	* xc/extras/freetype2/src/base/ftutil.c
	* xc/extras/freetype2/src/bdf/bdf.h
	* xc/extras/freetype2/src/bdf/bdfdrivr.c
	* xc/extras/freetype2/src/bdf/bdfdrivr.h
	* xc/extras/freetype2/src/bdf/bdflib.c
	* xc/extras/freetype2/src/cache/ftcbasic.c
	* xc/extras/freetype2/src/cache/ftccache.c
	* xc/extras/freetype2/src/cache/ftccback.h
	* xc/extras/freetype2/src/cache/ftccmap.c
	* xc/extras/freetype2/src/cache/ftcglyph.c
	* xc/extras/freetype2/src/cache/ftcimage.c
	* xc/extras/freetype2/src/cache/ftcmanag.c
	* xc/extras/freetype2/src/cache/ftcsbits.c
	* xc/extras/freetype2/src/cff/cffdrivr.c
	* xc/extras/freetype2/src/cff/cffgload.c
	* xc/extras/freetype2/src/cff/cffgload.h
	* xc/extras/freetype2/src/cff/cffload.c
	* xc/extras/freetype2/src/cff/cffobjs.c
	* xc/extras/freetype2/src/cff/cffobjs.h
	* xc/extras/freetype2/src/cff/cffparse.c
	* xc/extras/freetype2/src/cid/cidgload.c
	* xc/extras/freetype2/src/cid/cidgload.h
	* xc/extras/freetype2/src/cid/cidobjs.c
	* xc/extras/freetype2/src/cid/cidobjs.h
	* xc/extras/freetype2/src/cid/cidriver.c
	* xc/extras/freetype2/src/gzip/ftgzip.c
	* xc/extras/freetype2/src/lzw/zopen.c
	* xc/extras/freetype2/src/pcf/pcfdrivr.c
	* xc/extras/freetype2/src/pcf/pcfread.c
	* xc/extras/freetype2/src/pcf/pcfutil.c
	* xc/extras/freetype2/src/pcf/pcfutil.h
	* xc/extras/freetype2/src/pfr/pfrdrivr.c
	* xc/extras/freetype2/src/pfr/pfrobjs.c
	* xc/extras/freetype2/src/pfr/pfrobjs.h
	* xc/extras/freetype2/src/psaux/psobjs.c
	* xc/extras/freetype2/src/psaux/t1decode.c
	* xc/extras/freetype2/src/raster/ftraster.c
	* xc/extras/freetype2/src/sfnt/sfobjs.c
	* xc/extras/freetype2/src/sfnt/ttload.c
	* xc/extras/freetype2/src/tools/cordic.py
	* xc/extras/freetype2/src/truetype/Jamfile
	* xc/extras/freetype2/src/truetype/rules.mk
	* xc/extras/freetype2/src/truetype/truetype.c
	* xc/extras/freetype2/src/truetype/ttdriver.c
	* xc/extras/freetype2/src/truetype/ttgload.c
	* xc/extras/freetype2/src/truetype/ttgxvar.c
	* xc/extras/freetype2/src/truetype/ttgxvar.h
	* xc/extras/freetype2/src/truetype/ttobjs.c
	* xc/extras/freetype2/src/truetype/ttobjs.h
	* xc/extras/freetype2/src/truetype/ttpload.c
	* xc/extras/freetype2/src/type1/t1driver.c
	* xc/extras/freetype2/src/type1/t1gload.c
	* xc/extras/freetype2/src/type1/t1load.c
	* xc/extras/freetype2/src/type1/t1load.h
	* xc/extras/freetype2/src/winfonts/winfnt.c
	Bugzilla #878 (https://bugs.freedesktop.org/show_bug.cgi?id=878)
	attachment #2032 (https://bugs.freedesktop.org/attachment.cgi?id=2032):
	Update Freetype2 version in xc/extras/freetype2/ from V2.1.8 to
        V2.1.9.

2005-03-06 Branden Robinson <branden@debian.org>

	* config/cf/linux.cf
	Shut up (tons of) Imake warnings on Debian systems by testing for
	variable being defined before testing its value.  (Presumably the
	fallback definition of NothingOutsideProjectRoot in Imake.tmpl was
	intended to prevent this, but it apparently is not in effect yet
	when linux.cf is parsed.)

2005-03-06  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIMapInit), (SAVAGEDRIBuffersInit),
	(SAVAGEDRIKernelInit), (SAVAGEDRIScreenInit),
	(SAVAGEDRIFinishScreenInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Support for the new DRM version 2.4 with command DMA.
	- Added an option "DmaMode" to choose between vertex and command DMA.
	- Allow ShadowStatus to be explicitly disabled even with DRI enabled.
	- Updated the man page.

2005-03-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Imakefile
	* xc/programs/Xserver/hw/xnest/Imakefile
	* xc/programs/Xserver/hw/xnest/Init.c
	Bugzilla #2653 (https://bugs.freedesktop.org/show_bug.cgi?id=2653)
	attachment #2020 (https://bugs.freedesktop.org/attachment.cgi?id=2020):
	Cleanup Xnest usage of the DPMS dummy stub functions from dpmsstubs.c
	instead of using it's own copy of these functions.

2005-03-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/common/xf86Events.c
	Bugzilla #2543 (https://bugs.freedesktop.org/show_bug.cgi?id=2543)
	attachment #2019 (https://bugs.freedesktop.org/attachment.cgi?id=2019):
	Fix |xf86SignalHandler()| which resets the signal handler
	before setting the flag indicating a signal has been caught,
	theoretically allowing the possibility of infinite recursion.
	Patch by Andrew Church <xzilla@achurch.org>.

2005-03-04 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	Let through all chips R300 and above - presumably the filtering
	should take place at the DRM driver level.
	Correct cut'n'paste position misprint.
	Big thanks for Michel Danzer for pointing out both improvements.

2005-03-04 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	Turns out Radeon R420 chips work fine with R300 microcode.
	Thanks go to Rune Petersen for careful investigation.

2005-03-03 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Limit the maximum refresh rate to 85Hz and remove the bogus
	100Hz and 120Hz settings as they don't match close enough and
	are really unsupported.

2005-03-02  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xc/include/Xos_r.h:
	Patch #2007 <https://bugs.freedesktop.org/attachment.cgi?id=2007>
	1) Fix Solaris #ifdefs to choose between UI/SVR4 (early POSIX draft)
	and POSIX standard thread API's correctly.
	2) Fix calls to POSIX standard versions to check errors correctly.
	(POSIX defines a return value of 0 on success, errno value on error,
	 but the macros were checking for -1 on error.)

2005-03-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xnest/Screen.c
	* xc/programs/Xserver/hw/xnest/Window.c
	* xc/programs/Xserver/hw/xnest/XNWindow.h
	Bugzilla #2546 (https://bugs.freedesktop.org/show_bug.cgi?id=2546)
	attachment #2005 (https://bugs.freedesktop.org/attachment.cgi?id=2005):
	Fix Xnest to update the shape regions in the backend server whenever
	a client changes them in Xnest (the fix is to add a new wrapper which
	calls |xnestShapeWindow()| before calling |miSetShape()|).
	Patch by Mark McLoughlin <mark@skynet.ie>

2005-03-02 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/DragonFly.cf
	* xc/config/cf/Imake.cf
	* xc/config/cf/Imakefile
	* xc/config/imake/imake.c
	* xc/config/imake/imakemdep.h
	* xc/extras/drm/shared/drm.h
	* xc/include/Xos_r.h
	* xc/lib/xtrans/Xtranssock.c
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
	* xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
	* xc/programs/Xserver/hw/xfree86/os-support/linux/drm/xf86drmCompat.c
	Bugzilla #1712 (https://bugs.freedesktop.org/show_bug.cgi?id=1712)
	attachment #2004 (https://bugs.freedesktop.org/attachment.cgi?id=2004):
	Add support for DragonFly/BSD platform.
	Patch by Jeroen Ruigrok <asmodai@tendra.org> and Mike Verona
	<firedragonfly@gmail.com>.

2005-03-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix an off by one error when scaling which caused occasional
	overlay color lines at the far right and bottom of the window.

2005-03-01  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/GL/glx/Imakefile:
	Remove stdcall objects in clean rule

2005-02-26  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIMapInit), (SAVAGEDRICloseScreen):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	Fixed ShadowStatus handling with DRI:
	- always enable ShadowStatus when DRI is enabled
	- if DRI initialization fails, reset ShadowStatus to configured setting
	- if DRI initialization fails, fall back to ShadowStatus in framebuffer

2005-02-25  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/cyrix/cyrix_driver.c:
	* programs/Xserver/hw/xfree86/drivers/dummy/dummy_driver.c:
	* programs/Xserver/hw/xfree86/drivers/glint/glint_driver.c:
	* programs/Xserver/hw/xfree86/drivers/neomagic/neo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/tga/tga_driver.c:
	* programs/Xserver/hw/xfree86/drivers/trident/trident_driver.c:
	Bug #2605: Make the cyrix, dummy, glint, neomagic, tga, and trident
	drivers build when BuildXF86DGA NO.

2005-02-24  Alexander Gottwald  <ago at freedesktop dot org>

	* config/imake/imake.c:
	enable detection of gcc compiler for cygwin and mingw

2005-02-24  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/Xserver/hw/xnest/Screen.c:
	Bugzilla #2599 (https://bugs.freedesktop.org/show_bug.cgi?id=2599)
	attachment #1964 (https://bugs.freedesktop.org/attachment.cgi?id=1964):
	move miScreenInit in front of pScreen->function initializations to
	prevent it from resetting ClipNotify.

2005-02-22  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	Fix building radeon driver with BuildXF86DRI set to NO,
	the breakage was caused by the tiling support (bug #2481)

2005-02-21  Matthieu Herrb  <matthieu.herrb@laas.fr>

	* lib/Xt/ActionHook.c
	* lib/Xt/Alloc.c:
	* lib/Xt/ArgList.c:
	* lib/Xt/Callback.c:
	* lib/Xt/ClickTime.c:
	* lib/Xt/Composite.c:
	* lib/Xt/Constraint.c:
	* lib/Xt/Convert.c:
	* lib/Xt/Converters.c:
	* lib/Xt/Core.c:
	* lib/Xt/Create.c:
	* lib/Xt/Destroy.c:
	* lib/Xt/Display.c:
	* lib/Xt/Error.c:
	* lib/Xt/Event.c:
	* lib/Xt/EventI.h:
	* lib/Xt/EventUtil.c:
	* lib/Xt/Functions.c:
	* lib/Xt/GCManager.c:
	* lib/Xt/Geometry.c:
	* lib/Xt/GetActKey.c:
	* lib/Xt/GetValues.c:
	* lib/Xt/HookObj.c:
	* lib/Xt/Hooks.c:
	* lib/Xt/Initialize.c:
	* lib/Xt/Intrinsic.c:
	* lib/Xt/Intrinsic.h:
	* lib/Xt/IntrinsicI.h:
	* lib/Xt/IntrinsicP.h:
	* lib/Xt/Keyboard.c:
	* lib/Xt/Manage.c:
	* lib/Xt/NextEvent.c:
	* lib/Xt/Object.c:
	* lib/Xt/PassivGrab.c:
	* lib/Xt/Pointer.c:
	* lib/Xt/Popup.c:
	* lib/Xt/PopupCB.c:
	* lib/Xt/RectObj.c:
	* lib/Xt/ResConfig.c:
	* lib/Xt/ResourceI.h:
	* lib/Xt/Resources.c:
	* lib/Xt/Selection.c:
	* lib/Xt/SelectionI.h:
	* lib/Xt/SetValues.c:
	* lib/Xt/SetWMCW.c:
	* lib/Xt/Shell.c:
	* lib/Xt/TMaction.c:
	* lib/Xt/TMgrab.c:
	* lib/Xt/TMkey.c:
	* lib/Xt/TMparse.c:
	* lib/Xt/TMprint.c:
	* lib/Xt/TMstate.c:
	* lib/Xt/Threads.c:
	* lib/Xt/TranslateI.h:
	* lib/Xt/VarGet.c:
	* lib/Xt/Varargs.c:

	Convert lib/Xt to ANSI C (Thomas Dickey).
	Fixes for a few valgrind warnings (Thomas Dickey).

2005-02-21  Matthieu Herrb <matthieu.herrb@laas.fr>

	* extras/Xpm/lib/create.c:
	* extras/Xpm/lib/scan.c:
	Avoid inifite loops. From Chris Gilbert in bug #1920.

2005-02-19 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c

	Fix an INREG without WaitForIdleMMIO. This one should be
	unlikely to trigger, but we should still do this in the name
	of correctness.

2005-02-18 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_mergedfb.c

        Add a call to RADEONWaitForIdleMMIO() within RADEONChooseCursorCRTC()
	as this function uses OUTREGP() which, internally, calls INREG().

	Thus (due to SilkenMouse) INREG() could be called while CP engine
	was busy. I have observed this lockup on RV350 + R300 3d driver and
	have no idea why no issues were reported for R200 cards. Perhaps,
	few of them have enough memory to run merged fb and 3d simultaneously ?

	This fix is the right thing to do, however, we might also need to
	put fifo management calls into other cursor handling functions
	(in particular those that write cursor image directly to video memory).

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/newport/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/newport/newport.h:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_accel.c:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_driver.c:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_regs.h:
	* programs/Xserver/hw/xfree86/drivers/newport/newport_shadow.c:
	Bug #2356: Massive acceleration improvements to newport(4).
	(Dominik Behr)

2005-02-18  Michel Daenzer  <michel@daenzer.net>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_chipset.h:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONPreInitConfig):
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_probe.c:
	Bug #2576: Add support for ATI RN50/ES1000. (ATI Technologies Inc.)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/input/void/void.c:
	Bug #2467: Fix a segfault in the void(4) driver. (David Wong)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* extras/x86emu/src/x86emu/ops2.c:
	Bug #2455: Make x86emu handle JNL correctly. (David Wong)

2005-02-18  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/ati/atidac.c:
	Bug #2567: Fix reversed memset arguments. (David Krause)

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	* config/cf/mingw.rules:
	Update MinGW config files:
	- Require PThreads
	- Build xkbcomp
	- Build libXext
	- Never build shared libraries

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* programs/xkbcomp/Imakefile:
	Do not build cross variant of xkbcomp if UseInstalledOnCrossCompile
	is defined

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/X11.tmpl:
	* programs/Imakefile:
	Bugzilla #2569 (https://bugs.freedesktop.org/show_bug.cgi?id=2569)
	attachment #1929 (https://bugs.freedesktop.org/attachment.cgi?id=1929):
	make build of xkbcomp configurable

2005-02-18  Alexander Gottwald  <ago at freedesktop dot org>

	* lib/Xext/XAppgroup.c:
	* lib/Xext/Xcup.c:
	Bugzilla #2570 (https://bugs.freedesktop.org/show_bug.cgi?id=2570)
	attachment #1930 (https://bugs.freedesktop.org/attachment.cgi?id=1930):
	fixes build of libXext on mingw

2005-02-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	Bugzilla #2533 (https://bugs.freedesktop.org/show_bug.cgi?id=2533)
	Feb. 3, 2005 "nv" driver update from Mark Vojkovich
	(Mainly driver updates for nVidia cards with
	  ((pNv->Chipset & 0xfff0) == 0x0090) )

2005-02-11  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xf86config/Imakefile:
	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Bug #826: Make xorgconfig respect font installation outside
	$PROJECTROOT.  (Donnie Berkholz)

2005-02-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix unaligned YV12 videos that caused skew when playing.

2005-02-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Fix pixmap cache corruption when Xv was in use due to a memory
	allocator calculation problem.

2005-02-09  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPpcBusAddrToHostAddr), (linuxPpcHostAddrToBusAddr):
	Added PCI2Host bus translations for linux PPC and fixed
	fixed bugs in macros that apply these functions (Bill Randle
	Bugzilla #325 and #327).

2005-02-09 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/gnu.cf
	Bugzilla #2507 (https://bugs.freedesktop.org/show_bug.cgi?id=2507)
	attachment #1871 (https://bugs.freedesktop.org/attachment.cgi?id=1871):
	Fix build problems on GNU/Hurd.
	Patch by Pierre Chifflier <chifflier@cpe.fr>.

2005-02-09  Roland Scheidegger  <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	do not enable color tiling on r300 chips and newer, since it doesn't work (yet)
	(Bugzilla #2504)

2005-02-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	Setup the Xv atoms correctly.

2005-02-07  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/int10/vm86/linux_vm86.c: (vm86_rep):
	Save gs register before calling the vm86_old syscall thru
	int 0x80. This is required for linuxthreads as the TLS uses
	this register to keep track of local thread storage
	(Bugzilla #2431, J. Scott Berg).

2005-02-07  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86str.h:
	* programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c:
	(CheckMode), (i830SetModeParameters):
	Check the pixel clock choosen for a specific refresh rate
	against the maximally allowed pixel clock when choosing
	mode lines for VBESetVBEMode() and VESA BIOS version >= 3.0
	(Bugzilla #2486).

2005-02-06  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/doc/sgml/OpenBSD.sgml:
	Doc updates for OpenBSD, reflecting X11R6.8.2.

2005-02-06  Luc Verhaegen  <libv@skynet.be>

	* programs/Xserver/hw/xfree86/drivers/via/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/via/via.h:
	* programs/Xserver/hw/xfree86/drivers/via/via.man:
	* programs/Xserver/hw/xfree86/drivers/via/via_accel.c:
	(VIAInitAccel):
	* programs/Xserver/hw/xfree86/drivers/via/via_bandwidth.c:
	(ViaSetPrimaryFIFO):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.c:
	(ViaDumpVGAROM), (ViaVBEGetActiveDevice):
	* programs/Xserver/hw/xfree86/drivers/via/via_bios.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_capture.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_common.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_compose.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_cursor.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dga.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_dri.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.c: (VIASetup),
	(VIAFreeRec), (VIAPreInit), (VIASave), (VIARestore), (VIAMapMMIO),
	(VIAMapFB), (VIAUnmapMem), (VIALoadPalette), (VIAScreenInit),
	(VIAInternalScreenInit), (VIAValidMode), (VIAWriteMode),
	(VIAAdjustFrame), (VIADPMS):
	* programs/Xserver/hw/xfree86/drivers/via/via_driver.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.c:
	(ViaI2C1PutBits), (ViaI2C1GetBits), (ViaI2CBus1Init),
	(ViaI2C2PutBits), (ViaI2C2GetBits), (ViaI2CBus2Init),
	(ViaI2C3Start), (ViaI2C3Address), (ViaI2C3Stop), (ViaI2C3PutBit),
	(ViaI2C3PutByte), (ViaI2C3GetBit), (ViaI2C3GetByte),
	(ViaI2CBus3Init), (ViaI2CScan), (ViaI2CInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_i2c.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_id.c:
	(ViaCheckCardId):
	* programs/Xserver/hw/xfree86/drivers/via/via_id.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_memory.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.c:
	(ViaTVDetect), (ViaTVInit), (ViaTVSave), (ViaTVRestore),
	(ViaTVDACSense), (ViaTVSetMode), (ViaTVPower), (ViaTVGetIndex),
	(ViaOutputsDetect), (VIAGetActiveDisplay), (ViaOutputsSelect),
	(VIAGetPanelSizeFromDDCv2), (ViaGetModeIndex), (ViaGetVesaMode),
	(ViaPanelGetIndex), (ViaGetNearestRefresh), (ViaRefreshAllowed),
	(ViaModeInit), (VIASetPrimaryClock), (VIASetSecondaryClock),
	(VIASetLCDMode), (ViaModePrimaryVGA), (ViaModeDotClockTranslate),
	(ViaModePrimary), (ViaModeSecondaryVGA), (ViaModeSecondary),
	(ViaLCDPower):
	* programs/Xserver/hw/xfree86/drivers/via/via_mode.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.c:
	(viaOverlayGetV1V3Format), (viaOverlayGetSrcStartAddress),
	(viaOverlayGetYCbCrStartAddress), (viaOverlayHQVCalcZoomWidth),
	(viaOverlayHQVCalcZoomHeight), (viaOverlayGetFetch),
	(viaOverlayGetDisplayCount), (rangeEqualize), (vPackFloat),
	(viaCalculateVideoColor):
	* programs/Xserver/hw/xfree86/drivers/via/via_overlay.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_priv.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_refresh.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.c:
	(FlushVidRegBuffer), (ResetVidRegBuffer), (SaveVideoRegister):
	* programs/Xserver/hw/xfree86/drivers/via/via_regrec.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_regs.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_shadow.c:
	(VIARefreshArea), (VIARefreshArea8), (VIARefreshArea16),
	(VIARefreshArea24), (VIARefreshArea32):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.c:
	(VIAVidHWDiffInit), (viaSetColorSpace), (ViaInitVideoStatusFlag),
	(ViaSetVidCtl), (ViaYUVFillBlack), (AddHQVSurface),
	(CreateSurface), (VIAVidCreateSurface), (VIAVidLockSurface),
	(VIAVidDestroySurface), (SetFIFO_V1), (SetFIFO_V3),
	(SetFIFO_64or32), (SetFIFO_64or16), (SetFIFO_64or48or32),
	(SetFIFO_V3_64or32or32), (SetFIFO_V3_64or32or16), (SetupFIFOs),
	(SetColorKey), (SetChromaKey), (SetVideoStart), (SetHQVFetch),
	(SetFetch), (SetDisplayCount), (SetMiniAndZoom), (SetVideoControl),
	(FireVideoCommand), (SetVideoWindow), (Upd_Video),
	(VIAVidUpdateOverlay), (VIAVidAdjustFrame):
	* programs/Xserver/hw/xfree86/drivers/via/via_swov.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_tuner.c:
	* programs/Xserver/hw/xfree86/drivers/via/via_tv2.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_tv3.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.c: (ViaGrMask):
	* programs/Xserver/hw/xfree86/drivers/via/via_vgahw.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_video.c:
	(DecideOverlaySupport), (viaResetVideo), (viaInitVideo),
	(viaSetupImageVideoG), (CreateSWOVSurface), (DestroySWOVSurface),
	(viaStopSWOVerlay), (viaSetPortAttributeG), (viaPutImageG),
	(viaQueryImageAttributesG), (viaPutVideo):
	* programs/Xserver/hw/xfree86/drivers/via/via_video.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vt1622a.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.c:
	(VT162xPrintRegs), (ViaVT162xDetect), (ViaVT162xSave),
	(ViaVT162xRestore), (ViaVT162xDACSenseI2C), (ViaVT1621DACSense),
	(ViaVT1622DACSense), (ViaVT1621ModeValid), (ViaVT1622ModeValid),
	(ViaVT1621ModeI2C), (ViaVT1621ModeCrtc), (ViaVT1622ModeI2C),
	(ViaVT1622ModeCrtc), (ViaVT1621Power), (ViaVT1622Power),
	(ViaVT162xInit):
	* programs/Xserver/hw/xfree86/drivers/via/via_vt162x.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.c:
	(ViaInitXVMC), (ViaXvMCCreateSurface), (ViaXvMCCreateSubpicture),
	(ViaXvMCDestroyContext):
	* programs/Xserver/hw/xfree86/drivers/via/via_xvmc.h:
	* programs/Xserver/hw/xfree86/drivers/via/via_xvpriv.h:
	* programs/Xserver/hw/xfree86/drivers/via/videodev.h:

	Sync with latest unichrome releases:
	Release 30: Fixes YUV2 alloc/free issues, increased overlay height to
	1200, disable ScreenToScreenColorExpand Acceleration, abstract vt162x
	and clean up standard modetable.
	Release 29: Further cleanups to Xv, move gpioi2c into xf86I2C, sanely
	handle output activation (primary only). Fixes many Xv and accel bugs,
	stops VT switching hardlock with certain dotclocks.
	Release 28: Major Xv cleanup. Add Xv cropping. Add support for new
	XvMC info infrastructure. Tuner dropped. AGP ring-buffer support is
	now an option. Virtual range extended.
	(Kenneth Aafløy, Thomas Hellström, Felipe Rodriguez, Terry Lewis,
	Andreas Robinson, Luc Verhaegen)

2005-02-06  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIInitBuffers):
	Don't clear the front buffer in SAVAGEDRIInitBuffers. Fixes blackness
	of GL-XScreensaver hacks that grab the screen.

2005-02-05  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/input/fpit/fpit.man:
	* programs/Xserver/hw/xfree86/input/fpit/readme.txt:
	* programs/Xserver/hw/xfree86/input/fpit/xf86Fpit.c:
	(xf86FpitConvert), (xf86FpitReadInput), (xf86FpitControl),
	(xf86FpitAllocate), (xf86FpitInit):
	-Add passive pen support to the fpit driver (David M. Clay), bug 2440

2005-02-04  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/common/xf86PciInfo.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	Applied patch (id=1354) by Mike A. Harris from bug #1901:
	The attached patch updates a couple of PCI IDs for the Savage driver --
	Debian/Ubuntu/Red Hat/Fedora.

2005-02-03  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/os/xprintf.c:
	Bugzilla #1865 (https://bugs.freedesktop.org/show_bug.cgi?id=1865)
	attachment #1827 (https://bugs.freedesktop.org/attachment.cgi?id=1827):
	check for va_copy not being defined and use __va_copy if available

2005-02-02  Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c:
	(RADEONDoAdjustFrame): fix error with color tiling and hw scrolling,
	it looks like rv100 doesn't need the special treatment, after all
	(reported by Stephane Marchesin)

2005-02-02  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/lib/GL/glx/compsize.c:
	* xc/programs/Xserver/GL/glx/Imakefile:
	Bugzilla #1866 (https://bugs.freedesktop.org/show_bug.cgi?id=1866)
	attachment #1819 (https://bugs.freedesktop.org/attachment.cgi?id=1819):
	Define APIENTRY on windows to prevent <GL/gl.h> from loading <windows.h>
	removed leftovers from attachment #1818

2005-02-02  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/Imakefile
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1817 (https://bugs.freedesktop.org/attachment.cgi?id=1817):
	Fix linking dependencies on cygwin, bsd and maybe others introduced by
	attachment #1649 (https://bugs.freedesktop.org/attachment.cgi?id=1649)
	Link libos.a after libxkb.a to resolve the Xprintf symbol.

2005-02-01  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	- fix long standing bug in depth 24 that made colors look dithered.
	The CLUT was not being switched to 8 bit mode.

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/xaa/xaaStateChange.c:
	Bug #1294: Make sure RenderAccel hooks get wrapped in XAA init.

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* lib/GL/mesa/drivers/osmesa/Imakefile:
	Bug #1894: Fix weak dependencies in libOSMesa.  Originally Debian
	patch 063_fix_weak_deps.diff. (Branden Robinson)

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/hw/xfree86/os-support/bus/xf86Sbus.h
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_io.c
	* xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c
	Bugzilla #825 (https://bugs.freedesktop.org/show_bug.cgi?id=825)
	attachment #956 (https://bugs.freedesktop.org/attachment.cgi?id=956):
	Fix build problems on Linux/SPARC.
	Patch by  Jeremy Huddleston <eradicator@gentoo.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-02  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	- Changed option ForcePCIMode to option BusType for consistency
	  with other drivers (radeon) and the DmaType option.
	- Changed the type of a few more messages in SavagePreInit.
	- Updated the manual page.
	- Moved option CrtOnly to a more sensible place in the man page.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xmore/xmore.man
	* xc/programs/xmore/xmore.sgml
	Bugzilla #2410 (https://bugs.freedesktop.org/show_bug.cgi?id=2410)
	attachment #1786 (https://bugs.freedesktop.org/attachment.cgi?id=1786):
	Fix formatting problem in the xmore(1x) manual page.
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr> and Roland Mainz
	<roland.mainz@nrubsig.org>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call (the
	xmore.man diff is an automatic update from the DocBook--->man
	conversion).

2005-02-01  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/Imake.rules:
	* config/cf/Imake.tmpl:
	Bug #1054: dlloader modules need to statically link against libgcc.

2005-02-01 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c
	Check return value of i830InitDma() and fail to initialize the DRI
	if that fails.
	Also, check the DRM module name that it matches i915 and not the
	older i830 driver which some people were still trying to use
	and was causing Dma Initialization failures and lockups.

2005-02-01  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxLoad.c
	* xc/programs/Xserver/xkb/ddxList.c:
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1649 (https://bugs.freedesktop.org/attachment.cgi?id=1649):
	cleanup the generation of xkbcomp command lines. Allocate them dynamicly
	and remove unmaintainable length calculation.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/config/cf/X11.tmpl
	Bugzilla #2410 (https://bugs.freedesktop.org/show_bug.cgi?id=2410)
	attachment #1782 (https://bugs.freedesktop.org/attachment.cgi?id=1782):
	Build the XRX plugin only if the system supports shared libraries
	(which is a requirement for this plugin).
	Patch by Matthieu Herrb <matthieu.herrb@laas.fr>.
	Approved in the 2005-01-31 Xorg release-wranglers phone call.

2005-02-01 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	Bugzilla #2400 (https://bugs.freedesktop.org/show_bug.cgi?id=2400)
	attachment #1762 (https://bugs.freedesktop.org/attachment.cgi?id=1762):
	Fix build bustage caused by broken patch for brazillian locale support
	(see Bugzilla #1896).
	Patch by Kevin E. Martin <kem@freedesktop.org>.

2005-02-01  Daniel Stone  <daniel@freedesktop.org>

	* config/cf/linux.cf:
	* config/cf/xorg.cf:
	Re-enable building of tdfx for ia64 and amd64, since libglide3 is
	available there.

2005-01-31 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man
	change option EnableColorTiling to ColorTiling

2005-01-31  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage.man:
	Update the savage manual page:
	- Added options AGPSize, DmaType and ForcePCIMode.
	- Updated DisableCOB: 3D requires COB, default value is "off", which
	  means that the COB is enabled.

2005-01-31  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageInitialize2DEngine):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(ShadowWait), (ShadowWaitQueue), (WaitQueue3D), (WaitQueue4),
	(WaitQueue2K), (SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	- Shadow status update thresholds on Savage4 were reversed. Fixed now.
	- Fixed cobIndex on Savage2K. It used only a 4K COB so far. Now we
	  have full 128K.
	- Program the shadow status thresholds correctly on Savage2K.
	- Savage2K reports used entries in the queue in qword units instead
	  of dwords. Fixed WaitQueue2K accordingly.
	- Event counter 0 is in status word 2 instead of status word 1 on
	  Savage2K. Fixed ShadowWait accordingly.
	- Added a ShadowWaitQueue function that doesn't idle the engine
	  all the time. This improves 3D animation smoothness with concurrent
	  2D activity when shadow status is enabled.

2005-01-30  Alex Deucher  <agd5f@yahoo.com>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	(SavageSetGBD_3D):
	- Update comments about tiled surface regs for savage3d

2005-01-30  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIBuffersInit), (SAVAGEDRIKernelInit),
	(SAVAGEDRIScreenInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	Added two new options "DmaType" and "ForcePCIMode".

2005-01-30  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/X11/Imakefile
	Bugzilla #1090 <https://bugs.freedesktop.org/show_bug.cgi?id=1090>
	Fix typo in filename of IsModifierKey man page
	(Reported by Pavel Tsekov <ptsekov@gmx.net>)

2005-01-30  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c
	Bugzilla #1692 <https://bugs.freedesktop.org/show_bug.cgi?id=1692>
	Remove reference to nonexistent Monitors file from xorgconfig
	(Report & patch from Dejan Lesjak <dejan.lesjak@ijs.si>)

2005-01-30  Matthieu Herrb <matthieu.herrb@laas.fr>

	* programs/Xserver/hw/xfree86/os-support/bsd/bsd_kbd.c
	Fix option dontVTSwitch under *BSD, when XKB is disabled.
	Bugzilla #2252.
	* config/cf/OpenBSD.cf
	- Enable DoLoadableServer on amd64 and macppc, since the Dlloader
	works on these architectures
	- Reenable build of freetype, expat and xterm since OpenBSD
	doesn't provide alternative sources for those.
	- use gcc -pipe as on base system.
	* config/cf/OpenBSDLib.tmpl
	bump libICE minor version here too.

2005-01-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/etc/pci.ids:
	Update to latest rev from http://pciids.sf.net/
	* programs/Xserver/hw/xfree86/etc/extrapci.ids:
	Remove entries that now duplicate pci.ids
	Add entries for new Nvidia boards added in recent nv driver update

2005-01-29  Daniel Stone  <daniel@freedesktop.org>

	* config/cf/X11.tmpl:
	* lib/ICE/ICElib.h:
	* lib/ICE/misc.c:
	* lib/SM/sm_manager.c:
	Move _IceGetPeerName into the ICE public API as IceGetPeerName; bump ICE
	soversion to 6.4 accordingly.  Change SM's use to the public version.
	The old version will be retained for compatibility.

2005-01-28  Markus Kuhn <http://www.cl.cam.ac.uk/~mgk25/>

	* lib/X11/StrKeysym.c:
	- cleaned up boundary-case handling for Uxxxx Unicode keysym notation

2005-01-28  Thomas Winischhofer  <thomas-at-winischhofer-dot-net>

	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_accel.c:
	(SiSUSBAccelInit):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_cursor.c:
	(SiSUSBLoadCursorImage), (SiSUSBLoadCursorImageARGB):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_driver.c:
	(sisusbSetup), (SISUSBDriverFunc), (SISUSBProbe),
	(SiSUSB_CheckModeCRT1), (SISUSBSearchCRT1Rate):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_driver.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_init.c:
	(SiSUSB_CalcCRRegisters), (SiSUSBBuildBuiltInModeList):
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_init.h:
	* programs/Xserver/hw/xfree86/drivers/sisusb/sisusb_video.c:
	- Accelerate HWcursor upload in double scan modes
	- Add "driverfunc" and report no hardware access needed
	- Remove unneeded stuff

2005-01-28  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Bus.c:
	(xf86FindPrimaryDevice):
	* programs/Xserver/hw/xfree86/common/xf86Configure.c:
	(DoConfigure):
	* programs/Xserver/hw/xfree86/common/xf86DoProbe.c: (DoProbe):
	* programs/Xserver/hw/xfree86/common/xf86Events.c: (xf86VTSwitch):
	* programs/Xserver/hw/xfree86/common/xf86Globals.c:
	* programs/Xserver/hw/xfree86/common/xf86Helper.c: (xf86AddDriver),
	(xf86AllocateScreen):
	* programs/Xserver/hw/xfree86/common/xf86Init.c: (InitOutput),
	(ddxProcessArgument), (ddxUseMsg):
	* programs/Xserver/hw/xfree86/common/xf86Priv.h:
	* programs/Xserver/hw/xfree86/common/xf86RandR.c:
	(xf86RandRGetInfo), (xf86RandRSetConfig):
	* programs/Xserver/hw/xfree86/common/xf86str.h:
	* programs/Xserver/hw/xfree86/drivers/dummy/dummy_driver.c:
	(dummySetup), (dummyDriverFunc):
	* programs/Xserver/hw/xfree86/drivers/fbdev/fbdev.c: (FBDevSetup),
	(FBDevDriverFunc):
	* programs/Xserver/hw/xfree86/etc/scanpci.c: (main):
	* programs/Xserver/hw/xfree86/os-support/bsd/alpha_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsd/arm_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsd/i386_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bsdi/bsdi_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/bus/Pci.c:
	* programs/Xserver/hw/xfree86/os-support/bus/ix86Pci.c:
	(ix86PciSelectCfgmech):
	* programs/Xserver/hw/xfree86/os-support/bus/linuxPci.c:
	(linuxPciOpenFile), (linuxPciCfgRead), (linuxPciCfgWrite),
	(linuxPciCfgSetBits), (xf86GetPciDomain), (linuxMapPci):
	* programs/Xserver/hw/xfree86/os-support/bus/ppcPci.c:
	(ppcPciInit), (motoppcPciInit), (buserr), (pciCfgMech1Read),
	(pciCfgMech1Write), (pciCfgMech1SetBits):
	* programs/Xserver/hw/xfree86/os-support/hurd/hurd_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c:
	(xf86OpenConsole), (xf86CloseConsole):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	(SetKbdRepeat):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/lynxos/lynx_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/nto/nto_ioperm.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/os2/os2_ioperm.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sco/sco_iop.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/shared/ioperm_noop.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sunos/sun_vid.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/sysv/sysv_video.c:
	(xf86EnableIO):
	* programs/Xserver/hw/xfree86/os-support/xf86_OSproc.h:
	Modifying X.Org Xserver DDX to allow to run X with ordinary
	user permissions when no access to HW registers is required.
	For API changes which mostly involve the modifications to
	make the RRFunc (introduced with 6.8) more flexible please
	check Bugzilla #2407.
	NOTE: This patch applies changes to OS specific files for
	other OSes which I cannot test.

2005-01-27 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xrx/plugin/include/npapi.h
	Bugzilla #2398 (https://bugs.freedesktop.org/show_bug.cgi?id=2398)
	attachment #1765 (https://bugs.freedesktop.org/attachment.cgi?id=1765):
	Fix build bustage on AIX.
	Patch by Dan McNichol <mcnichol@austin.ibm.com>.

2005-01-27  Egbert Eich  <eich-at-freedesktop-dot-org>

	* lib/Xaw/XawIm.c: (SizeNegotiation), (CreateIC), (SetICValues):
	Muffle gcc4 sentinel (trailing NULL in varargs list) check
	(Marcus Meissner, Bugzilla #2392).

2005-01-27  Daniel Stone  <daniel@freedesktop.org>

	* include/extensions/scrnsaver.h:
	Include <X11/Xlib.h>.

2005-01-26 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accel.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_accelfuncs.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_common.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon.man
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_reg.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_render.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_sarea.h
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_version.h
	(Stephane Marchesin, me) Add support for color (framebuffer) tiling.
	Convert all XAA accel code to use explicit dst and src offset pitch
	control to make it work.
	Use the new drm surface ioctls to set up the tiled surfaces
	(if dri is enabled).
	(retroactively applied to Changelog)

2005-01-26 Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_dri.c
	fix issues with mergedfb + pageflip (fix up sarea frame values)

2005-01-26  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_accel.c:
	Fix tiled framebuffer setup on Savage3D (Alex Deucher)

2005-01-26  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Disable building the Savage DRI driver.

2005-01-26  Alexander Gottwald  <ago at freedesktop dot org>

	* config/cf/mingw.cf:
	Define HasFreetype2 and HasZlib to NO.

2005-01-26  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	(IsBaseUnassigned64), (FindPCIVideoInfo):
	When we tested if a PCI base address was unassigned we
	didn't take into account that this bar could have been
	the upper part of a 64bit base address.
	This fix makes this code 64bit bar aware (Bugzilla #2382).

2005-01-26  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86Bus.c: (RemoveOverlaps):
	Rewrite of RemoveOverlaps() to make the code more readable.
	It was virtually impossible to determine if the old code did
	what it was supposed to do. Also changed paradigm:
	Trust the based address more than the (guessed) size
	(Bugzilla #2383).

2005-01-25  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
	* programs/Xserver/hw/xfree86/drivers/nv/nv_hw.c:
	Jan. 2005 nv chipset update from Mark Vojkovich
	Bug #2380 <https://bugs.freedesktop.org/show_bug.cgi?id=2380>
	Patch #1752 <https://bugs.freedesktop.org/attachment.cgi?id=1752>

2005-01-25  Thomas Winischhofer  <thomas-at-winischhofer-dot-net>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/drivers/sisusb:
	Add sisusb driver

2005-01-25  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86pciBus.c:
	(FindPCIVideoInfo):
	* programs/Xserver/hw/xfree86/os-support/bus/xf86Pci.h:
	Fix interpretation of 64bit PCI bases: read hi long word
	from the right bar (Michael Yaroslavtsev, Bugzilla #2322).

2005-01-25  Thomas Hellström  <unichrome-at-shipmail-dot-org>

	* programs/Xserver/hw/xfree86/drivers/via/via_dri.c:
	(VIAInitVisualConfigs), (VIADRIScreenInit),
	(VIADRIFinishScreenInit):
	Fixes for the visual fixup commits:
	- Fix DRM memory manager initialization so that it doesn't
	  overlap the pixmap cache.
	- Set accumAlphaSize to 0 for 16bpp visuals.

2005-01-24  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/i2c/xf86i2c.c:
	Bug #2004: Make DDC delay slightly longer.  (Thomas J. Moore)

2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/ati/radeon_video.c:
	(RADEONCopyData), (RADEONCopyRGB24Data), (RADEONCopyMungedData):
	Don't exclude 'RADEONInfoPtr info = ...' declaration even when
	not building with DRI support (Bugzilla #2370)

2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Adding vgaHW module to PPC64 architecture.

2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Adding dummy driver support to all platforms which don't build
	it by default yet. The dummy driver is completely generic and
	should work everywhere (Bugzilla #2369).

2005-01-24  Egbert Eich  <eich-at-freedesktop-dot-org>
	* programs/Xserver/hw/xfree86/drivers/i810/i810_dri.c:
	(I810DRILeave):
	Unmap XCursor AGP memory on VT switch to prevent system from lockup
	(Matthias Hopf, Bugzilla #2329).

2005-01-24  Daniel Stone  <daniel@fooishbar.org>

	* config/cf/Imake.tmpl:
	* config/cf/X11.tmpl:
	Disable potentially dangerous FreeType, zlib and libpng builds by
	default.  Disable xterm and XRX builds per default.

2005-01-21  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/man/Xext/Imakefile:
	* doc/man/Xext/XcupGetReservedColormapEntries.man:
	* doc/man/Xext/XcupQueryVersion.man:
	* doc/man/Xext/XcupStoreColors.man:
	Add man pages for TOG-CUP extension functions.   (Converted to
	man page format by Sun based on TOG-CUP specification docs.)

2005-01-21  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/os-support/linux/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_font.c:
	(lnx_savefont):
	* programs/Xserver/hw/xfree86/vgahw/Imakefile:
	Alan Cox requested that we check the kernel version before
	we use kernel VGA font save/restore as the required features
	have been added to Linux 2.6.11 (Bugzilla #2277).

2005-01-21  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/chips/ct_accel.c:
	(AccelInit):
	* programs/Xserver/hw/xfree86/drivers/chips/ct_driver.c:
	(chipsPreInitHiQV), (chipsModeInitHiQV):
	Comparing the C&T driver code with the original BE support patch
	by Rob Taylor and Jean-Laurent Gazelle it looks like the handling
	of the availability of a dual endian fb aperture and the byte
	swapping control bit appears to be slightly wrong.
	This patch attempts to fix it (Bugzilla #2346).

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>

 	* xc/config/imake/imakemdep.h:
	Pass through additional #defines for Solaris.
	(Sun bug id #5097074 - Alan Coopersmith)

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/common/xf86Xinput.c:
	Fix debugging ErrorF() so it compiles when DEBUG is true.

Wed Jan 19 16:52:51 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/Imakefile: Add MMXOPTIONS to fbcopy.c

2005-01-19  Alan Coopersmith  <alan.coopersmith@sun.com>
	* doc/man/Xt/Imakefile
	* doc/man/Xt/XtAddCbk.man
	* doc/man/Xt/XtAddIn.man
	* doc/man/Xt/XtAllocGC.man
	* doc/man/Xt/XtAppE.man
	* doc/man/Xt/XtAppEM.man
	* doc/man/Xt/XtAppSTC.man
	* doc/man/Xt/XtClass.man
	* doc/man/Xt/XtConvSt.man
	* doc/man/Xt/XtConvert.man
	* doc/man/Xt/XtCreateSR.man
	* doc/man/Xt/XtDisplayI.man
	* doc/man/Xt/XtErr.man
	* doc/man/Xt/XtErrM.man
	* doc/man/Xt/XtExtEvDis.man
	* doc/man/Xt/XtGEDB.man
	* doc/man/Xt/XtGetANC.man
	* doc/man/Xt/XtGetActK.man
	* doc/man/Xt/XtGetAres.man
	* doc/man/Xt/XtGetSTO.man
	* doc/man/Xt/XtGetSres.man
	* doc/man/Xt/XtInit.man
	* doc/man/Xt/XtInitWC.man
	* doc/man/Xt/XtManChild.man
	* doc/man/Xt/XtOffset.man
	* doc/man/Xt/XtOwnSel.man
	* doc/man/Xt/XtRegDraw.man
	* doc/man/Xt/XtResPA.man
	* doc/man/Xt/XtSession.man
	* doc/man/Xt/XtSetLangP.man
	* doc/man/Xt/XtSetSP.man
	* doc/man/Xt/XtSetVal.man
	* doc/man/Xt/XtSetWMC.man
	Xt man page cleanups/merge with Sun versions (Alan Coopersmith &
	Sun Microsystems docs teams)
	Bug #2331 <https://bugs.freedesktop.org/show_bug.cgi?id=2331>
	Attachment #1718 <https://bugs.freedesktop.org/attachment.cgi?id=1718>

2005-01-19 Thomas Winischhofer <thomas@winischhofer.net>
	SiS driver (all files)
	- Fix off-by-one error in setting up offscreen-images
	- Fix for retrieval of mode timing from BIOS for LCD
	- Fix for DGA in MergedFB mode
	- Code size reduction by more calculations, less tables
	- ShadowFB uses fast memcpy (correctly) now
	- Prefer user given modes over default ones
	- Add ForcePanelRGB option
	- Wrap fb and MMIO access with macros for easier porting

2005-01-18 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/compose.dir
	* xc/nls/locale.dir
	* xc/nls/Compose/Imakefile
	* xc/nls/Compose/pt_BR.UTF-8
	* xc/nls/XI18N_OBJS/Imakefile
	* xc/nls/XI18N_OBJS/pt_BR.UTF-8
	* xc/nls/XLC_LOCALE/Imakefile
	* xc/nls/XLC_LOCALE/pt_BR.UTF-8
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1896 (https://bugs.freedesktop.org/show_bug.cgi?id=1896)
	attachment #1675 (https://bugs.freedesktop.org/attachment.cgi?id=1675):
	Add support for pt_BR.UTF-8 locale.
	Patch by Gustavo Noronha Silva, Branden Robinson, Julien Lafon.

2005-01-17  Kristian Høgsberg  <krh@redhat.com>

	* programs/Xserver/hw/xfree86/input/evdev/evdev.c (EvdevReadInput)
	(EvdevReadInput): Handle horizontal wheel events and move mapping
	of extra buttons up so they don't overlap the wheel buttons.
	Patch from Alan Swanson (#968).

2005-01-15  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/fb/fbmmx.c:
	* programs/Xserver/fb/fbpict.c:
	* programs/Xserver/fb/fbpict.h:
	Bug #1895: Fix fbComposeGetSolid for BGR.  (David S. Miller)

Fri Jan 14 17:03:40 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/mi/miwindow.c (miSlideAndSizeWindow): Fix from Keith
	Packard for bitgravity bugs in the Composite extension, reported
	by Amir Bukhari.

Fri Jan 14 11:12:46 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbpict.c (fbComposite): Use mmx CopyArea in
	a few more places.

2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/common/xf86PM.c: (eventName),
	(DoApmEvent), (xf86HandlePMEvents):
	- Don't suspend Xserver on APM standby request as this seems
	  to cause problems on may systems which don't support APM
	  standby and might not be required as according to the APM
	  specs the chips should receive enough power to retain its
	  state.
	- Print out power state change requests to log file in all
	  verbosity levels.
        - Don't change server state if no driver PM function is
	  registered.
	(Bugzilla #2279)

2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/os-support/linux/Imakefile:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx.h:
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_font.c:
	(getfont), (lnx_savefont), (setfont), (lnx_restorefont),
	(lnx_switchaway), (lnx_freefontdata):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_init.c:
	(xf86OpenConsole), (xf86CloseConsole):
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	* programs/Xserver/hw/xfree86/os-support/shared/VTsw_usl.c:
	(xf86VTSwitchAway):
	* programs/Xserver/hw/xfree86/vgahw/Imakefile:
	* programs/Xserver/hw/xfree86/vgahw/vgaHW.c: (vgaHWRestoreFonts),
	(vgaHWSaveFonts):
	Let the OS instead of X save/restore text console fonts on Linux.
	So far we relied on the generic VGA layer to restore text console
	fonts for us when shutting down the server or VT switching back
	to the text console.
	This has worked rather well but it has some downsides on Linux:
	a. Many people use fbdev as console text mode. In this case it is
	   not necessary to save/restore console fonts as the console is
	   running in graphics mode anyway.
	b. Some architectures don't have a fbdev console but require a
	   full POST of even the primary card (ie. IA64). This posting
	   has to take place before we even have a chance to save
	   anything. Therefore the fonts we save are the once written to
	   the chip by POST, not what has been programmed by the user.
	c. Certain chipsets utilize the BIOS to perform mode setting. This
	   may interfer with the vga save/restore font function in a
	   strange way.
	It would therefore be preferrable to let the OS - which has been
	used to set up the font in the first place - take care of
	saving/restoring the data.
	I will attach a patch which will do so for Linux.
	To make this fully functional a small patch needs to be applied to
	the Linux kernel.
        To disable this feature add:
	#define DoOSFontRestore NO
	to your host.def. (Bugzilla #2277)

2005-01-14  Egbert Eich  <eich-at-freedesktop-dot-org>

        * lib/X11/lcFile.c: (normalize_lcname):
        Made some security enhancements:
        - no writing past end of buffer caused by bogus locale.
        - explicitely add a \0 character at end of string.
        (Ienup Sung, Bugzilla #2262)

2005-01-14 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Disable 32bpp depth buffers (Mesa limitations)

2005-01-14  Alexander Gottwald  <ago at freedesktop dot org>
	* xc/programs/Xserver/os/xprintf.c:
	Added copyright notice.

2005-01-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/afb/afbbres.c
	* xc/programs/Xserver/afb/afbbresd.c
	* xc/programs/Xserver/afb/afbclip.c
	* xc/programs/Xserver/afb/afbhrzvert.c
	* xc/programs/Xserver/afb/afbline.c
	* xc/programs/Xserver/afb/afbmodule.c
	* xc/programs/Xserver/afb/afbpixmap.c
	* xc/programs/Xserver/afb/afbpolypnt.c
	* xc/programs/Xserver/afb/afbpushpxl.c
	* xc/programs/Xserver/afb/afbtegblt.c
	* xc/programs/Xserver/cfb/Imakefile.inc
	* xc/programs/Xserver/cfb/cfballpriv.c
	* xc/programs/Xserver/cfb/cfbbitblt.c
	* xc/programs/Xserver/cfb/cfbcppl.c
	* xc/programs/Xserver/cfb/cfbgc.c
	* xc/programs/Xserver/cfb/cfbglblt8.c
	* xc/programs/Xserver/cfb/cfbmap.h
	* xc/programs/Xserver/cfb/cfbpixmap.c
	* xc/programs/Xserver/cfb/cfbscrinit.c
	* xc/programs/Xserver/cfb/cfbtab.h
	* xc/programs/Xserver/cfb/cfbteblt8.c
	* xc/programs/Xserver/cfb/cfbunmap.h
	* xc/programs/Xserver/mfb/maskbits.c
	* xc/programs/Xserver/mfb/maskbits.h
	* xc/programs/Xserver/mfb/mergerop.h
	* xc/programs/Xserver/mfb/mfb.h
	* xc/programs/Xserver/mfb/mfbclip.c
	* xc/programs/Xserver/mfb/mfbfont.c
	* xc/programs/Xserver/mfb/mfbgc.c
	* xc/programs/Xserver/mfb/mfbmisc.c
	* xc/programs/Xserver/mfb/mfbpushpxl.c
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1114 (https://bugs.freedesktop.org/show_bug.cgi?id=1114)
	attachment #667 (https://bugs.freedesktop.org/attachment.cgi?id=667):
	Convert afb and cfb{,16,24,32} to be dlloader-friendly.
	Patch by Adam Jackson  <ajax@freedesktop.org>.

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/sunleo/Imakefile:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_bcopy.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_checks.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_frect.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_frectsp.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_fspans.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_fspanssp.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_gc.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_gc.h:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_glyph.c:
	* programs/Xserver/hw/xfree86/drivers/sunleo/leo_stubs.c:
	Bug #1259: Convert sunleo(4) to fb.

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_accel.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_bcopy.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_dga.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_driver.c:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_rcache.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/ffb_regs.h:
	* programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile:
	Bug #1891: XAA support for Sun FFB.  (Dave S. Miller)

2005-01-14  Adam Jackson  <ajax@freedesktop.org>

	* config/cf/xorg.cf:
	Use dlloader by default for loadable server builds.

2005-01-14 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/nls/compose.dir
	* xc/nls/locale.alias
	* xc/nls/locale.dir
	* xc/programs/Xserver/XpConfig/Imakefile
	Bugzilla #1830 (https://bugs.freedesktop.org/show_bug.cgi?id=1830)
	attachment #1674 (https://bugs.freedesktop.org/attachment.cgi?id=1674):
	Adding support for the bs_BA (bs, bs_BA, bs_BA.iso88592,
	bs_BA.ISO-8859-2, bs_BA.ISO_8859-2, bs_BA.UTF-8) locale.
	Patch by Vedran Ljubovic <vljubovic@smartnet.ba>.

Thu Jan 13 17:45:13 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/GL/glx/glxcmds.c (DoCreateGLXPixmap): Make sure
	the pixmap is a valid new resource

	* programs/Xserver/GL/glx/glxcmds.c (DoCreateContext): Make sure
	the context is a legal new resource.

	* lib/GL/glx/glx_pbuffer.c (CreatePbuffer): Handle null
	attrib_list.

	* lib/GL/glx/glx_pbuffer.c (CreateDrawable): Handle null
	attrib_list; copy attrib_list to data; actually allocate the new
	GLXDrawable.

Thu Jan 13 15:40:29 2005  Søren Sandmann  <sandmann@redhat.com>

	* programs/Xserver/fb/fbmmx.c (fbCompositeSrc_8888x8x8888mmx): Add
	MMX implementation of non-repeating source IN repeating mask, aka
	"translucent window".

	* programs/Xserver/fb/fbmmx.c (fbCopyAreammx,
	fbCompositeCopyAreammx): Add MMX implementation of CopyArea.

	* programs/Xserver/fb/fbcopy.c (fbCopyNtoN): Use MMX
	implementation of CopyArea.

	* programs/Xserver/fb/fbpict.c (fbComposite): Use the new
	implementations.

2005-01-13 Vladimir Dergachev <volodya@mindspring.com>

        Modified:
	* programs/Xserver/hw/xfree86/drivers/ati/radeon_driver.c

	Some of the newer Radeons (R420 for example) have MM_TABLE's
	with size 0x33 (instead of 0x0c that we know). Furthermore,
	they lockup during access of I2C bus !

	Add a check to validate MM_TABLE.

2005-01-12  Adam Jackson  <ajax@freedesktop.org>

	* programs/Xserver/hw/xfree86/common/compiler.h:
	Bug #2114: PPC64 Linux build fix: use system definition of eieio().
	Originally Gentoo bug #66223.  (Tim Yamin, Donnie Berkholz)

2005-01-12  Kristian Høgsberg  <krh@redhat.com>

	* config/cf/linux.cf:
	* programs/Xserver/hw/xfree86/input/evdev/evdev.c:
	* programs/Xserver/hw/xfree86/input/evdev/Imakefile:
	Add new evdev input driver.  This driver uses the linux input
	layer directly and can handle both mice and keyboards.

	* ChangeLog:
	Convert this to UTF-8 again.  The ChangeLog should be kept in
	UTF-8.

2005-01-12 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.h
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.h
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_memcpy.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_cursor.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_accel.c
	Import some changes from the Unichrome project.
	- Fixes 2D acceleration problems
	- Adds AGP DMA

2005-01-11 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	More visual fixing.

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* lib/X11/lcFile.c: (normalize_lcname), (_XlcResolveLocaleName):
	'Normalize' locale names (ie. remove any '-' and '_' and convert
	to lower case after the <language>_<territory> part) before
	matching against locale.alias (Bugzilla #2262).
	This needs adequate testing that we don't accidentally introduce
	undesirable side effects.

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	Don't build tdfx DRI driver on any platform but x86 and AXP
	as therequired Glide3 lib is only available there (if at all).
	Readability fixes (Bugzilla #2264).

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/drivers/chips/chips.man:
	Explain the FpMode option (Bugzilla #2261).

2005-01-11  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/ddc/edid.h:
	Minor format fix.
	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (KbdPreInit),
	(PostKbdEvent):
	Added explanatory comment and debug code.
	* programs/Xserver/hw/xfree86/os-support/linux/lnx_apm.c:
	(lnxPMConfirmEventToOs):
	Added comment.

2005-01-11 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Add alpha buffer initialization to 32bpp modes.
	Move 24/8 mode to first exported mode as it works best (currently).

2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/spooler.c
	Bugzilla #2167 (https://bugs.freedesktop.org/show_bug.cgi?id=2167)
	attachment #1641 (https://bugs.freedesktop.org/attachment.cgi?id=1641):
	Fix broken Solaris print queue enumeration.

2005-01-11  Felix Kuehling  <fxkuehl@gmx.de>

	* programs/Xserver/hw/xfree86/drivers/savage/savage_dri.c:
	(SAVAGEDRIAgpInit), (SAVAGEDRIBuffersInit), (SAVAGEDRIKernelInit),
	(SAVAGEDRIScreenInit), (SAVAGEDRIFinishScreenInit),
	(SAVAGEDRICloseScreen):
	- Support for PCI Savages: on PCI cards don't run
	  SAVAGEDRIAgpInit, add PCI DMA buffers instead of AGP
	  buffers. Set dma_type properly in SAVAGEDRIKernelInit.
	- Something's still wrong with ShadowStatus on the PCI card I'm
	  testing here. Probably a DRM issue.
	- Fixed error handling. Call SAVAGEDRICloseScreen instead of
	  DRICloseScreen.

	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.c:
	(SavagePreInit):
	* programs/Xserver/hw/xfree86/drivers/savage/savage_driver.h:
	* programs/Xserver/hw/xfree86/drivers/savage/savage_regs.h:
	- Added AGP/PCI detection (copied from the radeon driver).

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/linux.cf:
	* config/cf/xorg.cf:
	Make MIPS build rules more standard conformant: Use a macro
	defined in the project specific config file for OptimizedCDebugFlags.

2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/attributes.h
	Bugzilla #2254 (https://bugs.freedesktop.org/show_bug.cgi?id=2254)
	attachment #1659 (https://bugs.freedesktop.org/attachment.cgi?id=1659):
	Refix for gcc4.0 build failure. It seems that the |ExecCommand()|
	function has no consumer and can safely be removed.

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	When having a place to define DevelDrivers for AMD64
	we should have reference it, too.

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/input/keyboard/kbd.c: (PostKbdEvent):
	PC keyboards internally generate a different scan code when the
	ALT modifier is pressed with the SysReq/Print key. Since X expects
	the same scancode regardless of the modifier the keyboard driver
	has to 'map the code back'. So far it does so when seeing the
	SysReq scancode without checking if the modifier is on. If this
	scancode is also sent by another key on an extended keyboard it
	receives the same remapping.
	Fix: Add check for ALT modifier down before doing the remapping
	(Bugzilla #2255, Helmut Fahrion).

2005-01-10 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/Util.c
	* xc/programs/Xserver/Xprint/attributes.h
	* xc/programs/Xserver/Xprint/ps/Ps.h
	Bugzilla #2254 (https://bugs.freedesktop.org/show_bug.cgi?id=2254)
	attachment #1654 (https://bugs.freedesktop.org/attachment.cgi?id=1654):
	Fix gcc4.0 build failure.
	Patch by Egbert Eich  <eich@freedesktop.org> and Roland Mainz
	<roland.mainz@nrubsig.org>

2005-01-10  Egbert Eich  <eich-at-freedesktop-dot-org>

	* programs/Xserver/hw/xfree86/os-support/linux/lnx_kbd.c:
	(SpecialKey):
	Make option 'DontVTSwitch' work again with kbd driver
	under Linux.
	The kbd driver now calls the OS layer to handle special
	keys. Possibly other special keys and other OSes need to
	be looked at also.
	(Bugzilla #2252, Helmut Fahrion).

2005-01-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	Revert some changes to TweakMemorySize

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/config/cf/mingw.cf:
	Adjust XVendorManNameString, XVendorContact, OSName and OSVendor

2005-01-10 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/via/via_dri.c
	Fix VIA DRI initialization so that the correct visuals are exported.

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/Imakefile:
	Fix library dependencies for libxkb.a on cygwin and mingw.

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxList.c
	* xc/programs/Xserver/xkb/ddxLoad.c
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1647 (https://bugs.freedesktop.org/attachment.cgi?id=1647):
	export Win32System and Win32TempDir
	remove #ifdef WIN32 block for building xkbcomp commandline
	create win32 tempfile in system tempdir
	use PATH_MAX*4 for commandline buffer
	unlink tempfile again

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/programs/Xserver/xkb/ddxLoad.c
	Bugzilla #2245 (https://bugs.freedesktop.org/show_bug.cgi?id=2245)
	attachment #1645 (https://bugs.freedesktop.org/attachment.cgi?id=1645):
	cleanup some #ifdef __UNIXOS2__ and WIN32 blocks.
	make OutputDirectory check the size of the buffer
	quote all file and pathnames in the xkbcomp commandline
	use PATH_MAX*4 for commandline buffer

2005-01-09  Alexander Gottwald  <ago at freedesktop dot org>

	* xc/include/Xwindows.h:
	Make sure PATH_MAX is at least 1024

2005-01-08 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/Xserver/Xprint/etc/init.d/xprint.cpp
	Bugzilla #2240 (https://bugs.freedesktop.org/show_bug.cgi?id=2240)
	attachment #1642 (https://bugs.freedesktop.org/attachment.cgi?id=1642):
	Fix incorrect usage of /usr/bin/tr in startup script (the used
	"[\n]" is neither correct or portable, using "\n" seems to be
	sufficient (this fixes various "random" issues, including
	including Debian bug #258419 and Debian bug #264983).
	Patch by Drew Parsons <dparsons@debian.org>.

2005-01-07 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/lib/GL/mesa/tnl/Imakefile.inc
	Add missing t_vb_cull.c

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_context.c
	Cleanup of extension string handling (Ian Romanick)

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/extras/drm/linux/drm_pm.h
	Missing file

2005-01-06 Alan Hourihane <alanh@fairlite.demon.co.uk>
	* xc/programs/Xserver/hw/xfree86/drivers/i810/Imakefile
	* xc/programs/Xserver/hw/xfree86/drivers/i810/common.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810.man
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i810_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_common.h
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_cursor.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_dri.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_memory.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_video.c
	* xc/programs/Xserver/hw/xfree86/drivers/i810/i830_modes.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_reg.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_texblend.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_metaops.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_reg.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_tex.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_texprog.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_texstate.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_context.h
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_ioctl.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_screen.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_state.c
	* xc/extras/Mesa/src/mesa/drivers/dri/i915/intel_tex.c
	* xc/extras/drm/shared/drm_pciids.txt
	* xc/extras/drm/shared/i915_drv.h
	* xc/extras/drm/shared/i915.h
	* xc/extras/drm/linux/drm_drv.h
	* xc/extras/drm/linux/drm_os_linux.h
	* xc/extras/drm/linux/drmP.h
	* xc/extras/drm/linux/i915_drv.c
	* xc/extras/drm/linux/Makefile
	* xc/extras/drm/linux/Makefile.kernel
	Add:
	- Intel i915GM support to 2D DDX and 3D Mesa drivers.
	- PanelID identification
	- DRI suspend/resume support
	- Detection of monitor changes on VT switches
	- Support custom video modes if available in the Video BIOS
	- 3D enhancements:
		* GL_ARB_texture_cube_map
		* GL_EXT_blend_equation_separate
		* GL_ATI_blend_equation_separate
		* GL_ARB_point_parameters
		* GL_NV_blend_square
		* GL_EXT_cull_vertex
		* GL_ARB_depth_texture
		* GL_SGIX_depth_texture
		* GL_ARB_shadow
		* GL_EXT_shadow_funcs
		* GL_3DFX_texture_compression_FXT1
	By Tungsten Graphics, Keith Whitwell & Alan Hourihane.

2005-01-05 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/xterm/INSTALL
	* xc/programs/xterm/MANIFEST
	* xc/programs/xterm/Makefile.in
	* xc/programs/xterm/Tekproc.c
	* xc/programs/xterm/VTPrsTbl.c
	* xc/programs/xterm/VTparse.def
	* xc/programs/xterm/VTparse.h
	* xc/programs/xterm/XTerm.ad
	* xc/programs/xterm/aclocal.m4
	* xc/programs/xterm/button.c
	* xc/programs/xterm/charclass.c
	* xc/programs/xterm/charproc.c
	* xc/programs/xterm/configure
	* xc/programs/xterm/configure.in
	* xc/programs/xterm/ctlseqs.ms
	* xc/programs/xterm/cursor.c
	* xc/programs/xterm/doublechr.c
	* xc/programs/xterm/fontutils.c
	* xc/programs/xterm/fontutils.h
	* xc/programs/xterm/input.c
	* xc/programs/xterm/main.c
	* xc/programs/xterm/main.h
	* xc/programs/xterm/menu.c
	* xc/programs/xterm/menu.h
	* xc/programs/xterm/misc.c
	* xc/programs/xterm/os2main.c
	* xc/programs/xterm/plink.sh
	* xc/programs/xterm/precompose.c
	* xc/programs/xterm/print.c
	* xc/programs/xterm/ptyx.h
	* xc/programs/xterm/resize.c
	* xc/programs/xterm/screen.c
	* xc/programs/xterm/scrollbar.c
	* xc/programs/xterm/testxmc.c
	* xc/programs/xterm/trace.c
	* xc/programs/xterm/util.c
	* xc/programs/xterm/uxterm
	* xc/programs/xterm/version.h
	* xc/programs/xterm/xstrings.c
	* xc/programs/xterm/xterm.h
	* xc/programs/xterm/xterm.log.html
	* xc/programs/xterm/xterm.man
	* xc/programs/xterm/xterm_io.h
	* xc/programs/xterm/xtermcfg.hin
	* xc/programs/xterm/unicode/README
	* xc/programs/xterm/unicode/make-precompose.sh
	* xc/programs/xterm/unicode/precompose.c.head
	Bugzilla #1979 (https://bugs.freedesktop.org/show_bug.cgi?id=1979)
	attachment #1639 (https://bugs.freedesktop.org/attachment.cgi?id=1639):
	Update xterm from version #196 to version #197:
	- modify configure script to remove empty "-DPROJECTROOT="
	  definition which resulted unusable values for luit's default path.
	- update precompose.c based on Unicode 4.0.1
	- several minor fixes based on Intel compiler warnings.
	- change default translations so a BtnDown which is not recognized
	  is simply ignored rather than emitting a bell. That makes it less
	  obtrusive when the user tries to use a mouse which provides more
	  capabilities than the X mouse driver supports, e.g., one with a
	  horizontal scroll wheel (Debian #265133).
	- note in xterm's manpage that translations is not specific to xterm
	  (Debian #278897).
	- modify uxterm script to use locale program to verify if the
	  derived locale is installed (Debian #246398).
	- correct font handling for active icon when in UTF-8 mode (report
	  by Paolo Liberatore).
	- make active-icon and toolbar configurations work together.
	- modify the criteria for disowning primary selection. Previously,
	  this happened anytime the cursor was moved before the end of the
	  selection. That would ensure that any insert/delete of char or
	  line, as well as scrolling, would disown the selection. The new
	  criteria change this to checking if the operations would modify
	  the data which is highlighted (Debian #277832).
	- reimplement DECALN with functions for vt420 rectangles, fixes
	  selection for this case.
	- implement vt420 rectangle operations.
	- add parsing, for debug/test of vt220 soft-fonts.
    	- add menu entry, actions and escape sequence to allow
	  enabling/disabling toolbars at runtime.
	- improve rendering for Xft, allow it to draw non-linedrawing
	  characters such as "pi", which were drawn from internal tables
	  with patch #180 (Freedesktop.org Bugzilla #1260).
	- add configure option --enable-mini-luit, ifdef'd the mini-luit
	  feature with OPT_MINI_LUIT.
	- add mini-luit feature, which supports Latin9 directly rather than
	  via luit, provided that Unicode fonts are used (Freedesktop.org
	  Bugzilla #1571, request by Stefan Dirsch, patch by Michael
	  Schroeder).
	- for Linux, if IUTF8 is defined, e.g., on recent 2.6.x kernels, set
	  the corresponding flag for the slave pty, to enable UTF-8
	  interpretation of backspace in cooked mode (Freedesktop.org
	  Bugzilla #1578, request by Stefan Dirsch).
	- modify faceSize resource to use a floating-point internal value
	  (adapted from patch by Sam Stephenson).
	- correct handling selection of tabs over cleared space in UTF-8
	  mode. In this special case, xterm represents the whitespace with a
	  null rather than a space character (Debian #276447).
	- amend fix for infinite loop from patch #192 to check if there
	  is wrapped text to output in a following iteration (Debian
	  #273202).
	- fixes ifdef'd with __INTERIX to allow building with Interix
	  (Windows Services for UNIX) 3.5 using the xlibs libraries from
	  freedesktop.org (patch by Min Sik Kim).
	- amend solution for Debian #252873, #260471 from patch #194 by
	  making the cursor not explicitly colored if only the foreground
	  color is set, and the cursor is on a blank space (Debian #275473).
	- correct logic for send/receive mode (SRM) with regard to control
	  characters.
	- fix masking of invisible text in wide-character mode, which did
	  not work for line-drawing characters.
	- incorporate CF_XOPEN_SOURCE into configure script, replacing
	  CF_GNU_SOURCE.
	Patch by Thomas Dickey <dickey@radix.net>.

2005-01-04 Roland Mainz <roland.mainz@nrubsig.org>
	* xc/programs/glxgears/glxgears.c
	Bugzilla #2220 (https://bugs.freedesktop.org/show_bug.cgi?id=2220)
	attachment #1630 (https://bugs.freedesktop.org/attachment.cgi?id=1630):
	Make glxgears a better GL client via calling |glFinish()| between frame
	swaps to avoid that the GL instruction queue gets spammed, sometimes
	even killing all interactive usage of the Xserver.

2005-01-04  Egbert Eich  <eich-at-freedesktop-dot-org>

	* config/cf/xorg.cf:
	- made structure of PPC64 part look more like the other
	  structures.
	- added VBE driver to PPC64. I don't know if this really
	  makes sense, but since we are building the int10 module
	  we should also build the vbe module.
	- added i915 DRM driver to list of drivers for the AMD64
	  architecture.
	- added a check for gcc versions > 3 for setting GccAliasingFlags.

2005-01-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* programs/Xserver/hw/xfree86/xf86config/xorgconfig.c:
	Bugzilla #2211 (https://bugs.freedesktop.org/show_bug.cgi?id=2211)
	attachment #1627 (https://bugs.freedesktop.org/attachment.cgi?id=1627):
